------------------------------------------------------------------------------

2014-07-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* ChangeLog, build/android/build-android.sh, configure.proto,
	doc/vice.chm, doc/vice.guide, doc/vice.hlp, doc/vice.inf,
	doc/vice.pdf, doc/vice.txt, po/da.po, po/de.po, po/es.po, po/fr.po,
	po/hu.po, po/it.po, po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po,
	po/tr.po, src/arch/android/AnVICE/AndroidManifest.xml,
	src/arch/win32/vice-version.bat, src/version.h: VICE 2.4.7

2014-07-20  groepaz <groepaz@gmx.net>

	* data/SCPU64/Makefile.am, data/SCPU64/jpchrgen: add jpchrgen to xscpu

2014-07-20  groepaz <groepaz@gmx.net>

	* src/c64/c64scmodel.c: fix typo

2014-07-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/constants.h, src/arch/beos/plus4ui.cc,
	src/arch/beos/ui_file.cc, src/arch/beos/ui_file.h,
	src/arch/beos/vicemenu.cc: Added plus4 cartridge support to the beos
	gui.

2014-07-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c64dtvui.cc, src/arch/beos/constants.h,
	src/arch/beos/vicemenu.cc: Added c64dtv model selection to the beos
	gui.

2014-07-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/macosx/Resources/Makefile.am,
	src/arch/unix/macosx/cocoa/Makefile.am: Tabs instead of spaces.

2014-07-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/constants.h, src/arch/beos/plus4ui.cc,
	src/arch/beos/vicemenu.cc: Added plus4 model selection to the beos
	gui.

2014-07-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/constants.h, src/arch/beos/vic20ui.cc,
	src/arch/beos/vicemenu.cc: Added vic20 digimax, sfx sound exander and
	sfx sound sampler support to the beos gui.

2014-07-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/constants.h, src/arch/beos/vic20ui.cc,
	src/arch/beos/vicemenu.cc: Added vic20 georam support to the beos gui.

2014-07-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/vicemenu.cc: Fixed.

2014-07-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/c64ui.cc,
	src/arch/beos/cbm2ui.cc, src/arch/beos/cbm5x0ui.cc,
	src/arch/beos/constants.h, src/arch/beos/petui.cc,
	src/arch/beos/plus4ui.cc, src/arch/beos/scpu64ui.cc,
	src/arch/beos/vic20ui.cc, src/arch/beos/vicemenu.cc: Added ACIA
	support to the beos gui.

2014-07-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl_text.c, src/arch/win32/res.rc,
	src/arch/win32/resautostart.rc, src/arch/win32/resc128.rc,
	src/arch/win32/reseasyflash.rc, src/arch/win32/resmmc64.rc,
	src/arch/win32/resretroreplay.rc, src/arch/win32/resscpu64.rc,
	src/translate_text.c: Did a 'make trans-update'.

2014-07-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, po/translations-status.txt: Updated.

2014-07-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt: Did a 'make update-po'.

2014-07-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/building/Android-Howto.txt, doc/building/Win32-MSVC-Howto.txt,
	doc/vice.texi, src/c64/cart/digimax.c, src/rtc/bq4830y.c,
	src/rtc/ds1202_1302.c: Fixed some typos.

2014-07-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/c128ui.c, src/arch/win32/resc128.rc,
	src/arch/win32/resdialogs.txt, src/arch/win32/resstrings.txt,
	src/arch/win32/uic128.c: Added Swiss ROM support to the windows gui.

2014-07-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_windows_runtime_os.c: Fixed.

2014-07-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128-cmdline-options.c, src/translate.txt,
	src/translate_text.c: Fixed the 'swiss rom' translations.

2014-07-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/uic128settings.c,
	src/arch/amigaos/mui/uiromc128settings.c: Added Swiss ROM support to
	the amiga gui.

2014-07-13  Kajtar Zsolt <soci@c64.rulez.org>

	* src/arch/sdl/menu_rom.c, src/arch/unix/gui/c128ui.c: Add GUI items
	for Swiss C128 KERNAL/CHARGEN. Someone please add it to the rest of
	the archs, it's getting complicated...

2014-07-13  Kajtar Zsolt <soci@c64.rulez.org>

	* doc/vice.guide, doc/vice.texi, doc/vice.txt: Update docs for Swiss
	C128 support

2014-07-13  Kajtar Zsolt <soci@c64.rulez.org>

	* src/Makefile.am,
	src/arch/android/AnVICE/assets-proto/sdl-vicerc-x128,
	src/arch/os2/makedist.cmd, src/arch/os2/watcom/makebindist.bat,
	src/arch/sdl/dingoo-files/sdl-vicerc,
	src/arch/sdl/make-bindist_qnx6.sh, src/arch/unix/hpux/make-bindist.sh,
	src/arch/unix/qnx6/make-bindist.sh, src/c128/c128-cmdline-options.c,
	src/c128/c128-resources.c, src/c128/c128.h, src/c128/c128embedded.c,
	src/c128/c128rom.c, src/c128/c128rom.h: Add Swiss ROM support to C128

2014-07-13  Kajtar Zsolt <soci@c64.rulez.org>

	* data/C128/Makefile.am, data/C128/chargch, data/C128/kernalch: Add
	Swiss ROMs

2014-07-13  Kajtar Zsolt <soci@c64.rulez.org>

	* data/C128/amiga_pos.vkm, data/C128/amiga_sym.vkm,
	data/C128/beos_pos.vkm, data/C128/beos_sym.vkm, data/C128/dos_pos.vkm,
	data/C128/dos_sym.vkm, data/C128/osx_pos.vkm, data/C128/osx_sym.vkm,
	data/C128/sdl_sym.vkm, data/C128/win_pos.vkm, data/C128/win_sym.vkm,
	data/C128/x11_pos.vkm: CAPS key was missing from x11 positional
	mapping. The rest is only reshuffling and comment fixes.

2014-07-12  Kajtar Zsolt <soci@c64.rulez.org>

	* data/C128/kernalde: Update german kernal to 315078-03
	(was 315078-02)

2014-07-10  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/ui.cc: FindData() takes a pointer to an ssize_t, which
	is 64 bits wide on 64 bit Haiku, so this should fix "Paste" there.

2014-07-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_amigaos3_runtime_os.c: Updated.

2014-07-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/archdep_amiga.c, src/arch/sdl/archdep_win32.c: Apllied
	patch by Greg King to fix bug #496.

2014-06-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/gfxoutputdrv/ffmpeglib.h: Close comment.

2014-06-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/gfxoutputdrv/ffmpegdrv.c, src/gfxoutputdrv/ffmpeglib.h: ffmpeg
	new names fix.

2014-06-21  groepaz <groepaz@gmx.net>

	* doc/vice.pdf, doc/vice.texi, doc/vice.txt: replace 'address space'
	by 'address_space', patch by moiree

2014-06-21  groepaz <groepaz@gmx.net>

	* doc/vice.pdf, doc/vice.texi, doc/vice.txt: replace 'memspace' by
	'address space', patch by moiree

2014-06-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/gfxoutputdrv/gifdrv.c: Added giflib 5.1.x support.

2014-06-19  groepaz <groepaz@gmx.net>

	* src/init.c, src/kbdbuf.c, src/kbdbuf.h, src/translate.txt,
	src/translate_text.c: added -keybuf-delay option to further delay
	keyboard buffer. dedicated to scheisstyp :)

2014-06-03  groepaz <groepaz@gmx.net>

	* src/gcr.c: dont break the framing for error 4

2014-06-02  groepaz <groepaz@gmx.net>

	* doc/vice.pdf, doc/vice.texi, doc/vice.txt: added description for
	rare 42 tracks images, added error table

2014-05-27  groepaz <groepaz@gmx.net>

	* src/c64/psid.c: show more mercy for slightly broken header :)

2014-05-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_cpu_type.h,
	src/platform/platform_linux_runtime_os.c: Updated.

2014-05-20  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/linenoise.c: don't include vte.h
	unconditionally, fixes compilation when VTE is not available, reported
	by enthusi

2014-05-20  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uitapestatus.c: fix hang on drawing tape
	status widget (record), reported by enthusi

2014-05-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_cpu_type.h,
	src/platform/platform_linux_runtime_os.c: Updated.

2014-05-17  groepaz <groepaz@gmx.net>

	* src/c64/cart/c64cartmem.c, src/c64/cart/mmc64.c: mmc64 flashmode fix

2014-05-17  groepaz <groepaz@gmx.net>

	* doc/vice.pdf, doc/vice.texi, doc/vice.txt: added info on psid
	fileformat

2014-05-17  groepaz <groepaz@gmx.net>

	* src/c64/psid.c: support sidplayer data embedded in psid files. this
	makes vsid support the psid format completely according to the
	specification.

2014-05-15  groepaz <groepaz@gmx.net>

	* doc/vice.pdf, doc/vice.txt: updated

2014-05-13  groepaz <groepaz@gmx.net>

	* src/c64/psid.c: slightly better credit extraction

2014-05-12  groepaz <groepaz@gmx.net>

	* doc/building/Win32-MSVC-Howto.txt: added hint on solving fatal error
	LNK1123 problem

2014-05-11  groepaz <groepaz@gmx.net>

	* doc/building/Makefile.am, doc/building/Win32-MSVC-Howto.txt: added
	short instructions for msvc

2014-05-11  groepaz <groepaz@gmx.net>

	* src/sound.c, src/sound.h: use more reasonable buffer size for vsid

2014-05-11  groepaz <groepaz@gmx.net>

	* src/initcmdline.c: make -default work in vsid

2014-05-11  groepaz <groepaz@gmx.net>

	* src/sid/sid-cmdline-options.c, src/sid/sid-resources.c: tuned
	default resid filter gain a bit so tunes like wizball will sound much
	better.

2014-05-11  groepaz <groepaz@gmx.net>

	* src/c64/Makefile.am, src/c64/musdrv.h, src/c64/psid.c: added basic
	support for compute gazette sidplayer files (mus/str). dedicated to
	ian coog :)

2014-05-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_cpu_type.h,
	src/platform/platform_linux_runtime_os.c: Updated.

2014-05-06  groepaz <groepaz@gmx.net>

	* src/core/viacore.c: cosmetics

2014-05-06  groepaz <groepaz@gmx.net>

	* src/c64/psid.c: make basic tunes with sub tunes work correctly

2014-05-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform.c, src/platform/platform_cpu_type.h,
	src/platform/platform_linux_libc_version.h,
	src/platform/platform_linux_runtime_os.c,
	src/platform/platform_x86_beos_cpuid.h,
	src/platform/platform_x86_gcc_cpuid.h: Updated.

2014-04-23  groepaz <groepaz@gmx.net>

	* doc/vice.texi: removed links to vicekb

2014-04-23  groepaz <groepaz@gmx.net>

	* doc/html/index.html: removed links to vicekb

2014-04-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform.h, src/platform/platform_cygwin_runtime_os.c,
	src/platform/platform_linux_libc_version.h,
	src/platform/platform_linux_runtime_os.c: Updated.

2014-04-21  Olaf Seibert <rhialto@falu.nl>

	* src/platform/platform_linux_runtime_os.c: Fix compiler warnings from
	clang.

2014-04-21  Olaf Seibert <rhialto@falu.nl>

	* src/serial/realdevice.c: Make calls to realdevice_enable() and
	realdevice_disable() nestable.

2014-04-21  Olaf Seibert <rhialto@falu.nl>

	* src/serial/serial-trap.c: I noticed that the code that handles ROM
	traps for the serial bus handles the following 2 BASIC instructions
	differently:
        OPEN 6,6
        OPEN 6,6,0
	In the first case, the (default) secondary address is never sent. This
	is because the trap code collects the device address, then later when
	it gets the secondary address, in the next trap, it uses them both in
	a single call to send them, either via opencbm, or to its further
	internal emulation. When the SA is defaulted, the second trap never
	comes. On a real bus, the LISTEN or TALK would of course already have
	been sent, but in the emulation it gets lost. This change aims to fix
	that by detecting in the traps for read/write that the secondary
	address was never sent, and then do it there (SA = 0). This causes an
	SA to be sent that wouldn't be sent on a real machine but that is
	better than missing the LISTEN or TALK.

2014-04-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_linux_runtime_os.c,
	src/platform/platform_windows_runtime_os.c: Updated.

2014-04-16  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/tape/tap.c: If a sufficiently long sequence of "short" pulses
	was present not long before the real start of a CBM header, it was
	mistaken for the start of the CBM header. This caused failure in
	loading some games from the uicontents (the tape was moved too far
	before the start of the header)

2014-04-13  groepaz <groepaz@gmx.net>

	* src/core/ciacore.c: reset tickcounter when clock is restartd, fixes
	hzsync0.prg

2014-04-11  groepaz <groepaz@gmx.net>

	* src/core/ciacore.c: handle invalid values correctly

2014-04-09  groepaz <groepaz@gmx.net>

	* src/core/ciacore.c: init TOD latch hour with 1, improve debug output

2014-04-06  Kajtar Zsolt <soci@c64.rulez.org>

	* doc/vice.texi, src/cartconv.c: Implement quiet mode in cartconv

2014-03-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform.h, src/platform/platform_linux_runtime_os.c,
	src/platform/platform_x86_runtime_cpu.h: Some linux improvements.

2014-03-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uirom.c: Applied windows rom settings dialog fix as
	supplied by Greg King.

2014-03-30  Kajtar Zsolt <soci@c64.rulez.org>

	* data/C128/x11_pos.vkm, data/C128/x11_sym.vkm: Map KP_Decimal for
	C128 on X11 to numpad ".", similar to CBM-II. And otherwise my
	keyboard does not work.

2014-03-28  Olaf Seibert <rhialto@falu.nl>

	* src/serial/serial-iec-device.c: Fix copy/paste error for device 7.

2014-03-27  Olaf Seibert <rhialto@falu.nl>

	* src/arch/sdl/menu_printer.c, src/arch/unix/gui/uiprinteriec.c,
	src/arch/unix/gui/uiprinteriecplus4.c,
	src/arch/unix/gui/uiprinterieee.c, src/printerdrv/interface-serial.c,
	src/serial/serial-iec-device.c, src/serial/serial-trap.c: Make OpenCBM
	access work for printers, and device 7 (which has no emulation
	otherwise). Add menu items for this in Xaw, Gnome and SDL GUIs. (It
	seems that all OpenCBM access in SDL crashes though; this is not new.)

2014-03-23  groepaz <groepaz@gmx.net>

	* src/drive/iecieee/via2d.c: comment out fake mechanical delay, it
	breaks things (see comments). fixes bug #508

2014-03-23  Kajtar Zsolt <soci@c64.rulez.org>

	* src/mouse.c: Horizontal movement was wrong, and the speed was
	incorrect too.

2014-03-23  Kajtar Zsolt <soci@c64.rulez.org>

	* src/mouse.c: Middle button resistor hack for Amiga/Atari ST mouse.

2014-03-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128cia1.c, src/c64/c64cia1.c: Some style fixes.

2014-03-22  Kajtar Zsolt <soci@c64.rulez.org>

	* src/c128/c128cia1.c, src/c64/c64cia1.c, src/mouse.c, src/mouse.h:
	Implement scroll wheel for Micromys mouse emulation

2014-03-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/sounddrv/soundwmm.c: Applied patch #89 from Magnus Lind. (The
	windows WMM-sounddriver reports 0-bytes available in its buffer when
	idle. This makes x64 under some circumstances when started slowly slow
	down until frozen solid. This is easily worked around by quickly
	toggling into warp speed but still annoying. The slow freeze occurs
	because the automatic speed adjust in vsync.c is fooled into thinking
	that it runs too fast since the sound driver reports that it always
	has a full buffer.)

2014-03-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vsyncarch.c: Applied patch #88 from Magnus Lind
	(Under some circumstances Windows 7 decides VICE is unresponsive and
	freezes the VICE UI. However, VICE has not stopped, it keeps
	outputting audio. It is impossible to break out of this state without
	killing the process. This almost always happens after a couple of
	minutes if I leave VICE running minimized or in the background.)

2014-03-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am: Applied patch #87 from Magnus Lind (Running
	configure from another directory than vice generates a broken
	translate.h: rule in vice/src/Makefile. It looks for the
	gentranslate_h.sh script in the wrong directory.)

2014-03-17  groepaz <groepaz@gmx.net>

	* src/printerdrv/interface-serial.c, src/translate.txt,
	src/translate_text.c: fix missing description/translation

2014-03-14  groepaz <groepaz@gmx.net>

	* src/c64dtv/c64dtv.c, src/c64dtv/c64dtvcia1.c,
	src/c64dtv/c64dtvcia2.c, src/core/ciacore.c: added CIA TOD fix to DTV,
	fixes bug #504

2014-03-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_interix_runtime_os.c: Updated.

2014-03-14  groepaz <groepaz@gmx.net>

	* src/viciisc/vicii-chip-model.c: output VICII timing details in
	verbose mode only

2014-03-14  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uicommands.c, src/machine.c, src/machine.h,
	src/translate_text.c: added 'quit emulator' as option on CPU JAM

2014-03-14  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/Makefile.am: Add uistatusbar.h to the list of
	sources.

2014-03-13  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uimon.c: fix funky monitor window behaviour,
	should fix bug #432

2014-03-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_windows_runtime_os.c: Updated.

2014-03-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/base.tmpl, src/arch/win32/vs_tmpl/c128.tmpl,
	src/arch/win32/vs_tmpl/c64.tmpl, src/arch/win32/vs_tmpl/c64dtv.tmpl,
	src/arch/win32/vs_tmpl/cbm2.tmpl, src/arch/win32/vs_tmpl/cbm5x0.tmpl,
	src/arch/win32/vs_tmpl/pet.tmpl, src/arch/win32/vs_tmpl/plus4.tmpl,
	src/arch/win32/vs_tmpl/vic20.tmpl: Added the 'embedded' source files
	to the windows project templates.

2014-03-09  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/unix/x11/gnome/uimon.c: Make monitor window resizable.
	Tested with GTK+3 only

2014-03-08  Olaf Seibert <rhialto@falu.nl>

	* src/pet/petcolour.h, src/pet/pethre.c, src/pet/pethre.h,
	src/pet/petmem.c: Add E888 (the HRE write-only) register to the
	monitor "io" command. Small cleanups in petmem.c. Remove remaining
	code for first version of the colour board.

2014-03-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_interix_runtime_os.c,
	src/platform/platform_windows_runtime_os.c: Updated.

2014-03-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/rtc/rtc-58321a.c: Comment fix.

2014-03-06  groepaz <groepaz@gmx.net>

	* src/cbm2/cbm2cia1.c, src/core/ciacore.c, src/drive/iec/cia1571d.c,
	src/drive/iec/cia1581d.c, src/drive/iec/ciad.h: apply CIA TOD-tick
	changes to 1571/81 also

2014-03-05  groepaz <groepaz@gmx.net>

	* src/cartconv.c: added -p option (pad input files)

2014-03-03  groepaz <groepaz@gmx.net>

	* src/c128/c128.c, src/c128/c128cia1.c, src/c64/c64.c,
	src/c64/c64cia.h, src/c64/c64cia1.c, src/c64/c64cia2.c,
	src/c64/vsid.c, src/c64/vsidcia1.c, src/c64/vsidcia2.c,
	src/c64dtv/c64dtv.c, src/cbm2/cbm2.c, src/cbm2/cbm2cia.h,
	src/cbm2/cbm2cia1.c, src/cbm2/cbm5x0.c, src/cia.h, src/core/ciacore.c,
	src/machine.h, src/pet/pet.c, src/plus4/plus4.c, src/scpu64/scpu64.c,
	src/vic20/vic20.c: Better approximation of real power frequency for
	CIA TOD. Other things that rely on the power frequency should perhaps
	get updated in a similar way.

2014-02-26  groepaz <groepaz@gmx.net>

	* src/c128/c128.c, src/c128/c128cia1.c, src/c64/c64.c,
	src/c64/c64cia1.c, src/c64/c64cia2.c, src/c64/vsid.c,
	src/c64/vsidcia1.c, src/c64/vsidcia2.c, src/cbm2/cbm2.c,
	src/cbm2/cbm2cia1.c, src/cbm2/cbm5x0.c, src/machine.h, src/pet/pet.c,
	src/plus4/plus4.c, src/scpu64/scpu64.c, src/vic20/vic20.c: use actual
	50/60Hz as per power line frequency instead of the refresh frequency
	for updating CIA TOD counter.

2014-02-21  Marcus Sutton <loggedoubt@gmail.com>

	* src/printerdrv/output-text.c: Fixed the build to account for lack of
	arch/beos/coproc.[ch] files.

2014-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_windows_runtime_os.c: Fixed again.

2014-02-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_windows_runtime_os.c: Fixed.

2014-02-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_windows_runtime_os.c: Added support for
	windows 8.1

2014-02-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/coproc.c, src/opencbm.h,
	src/platform/platform_discovery.h: Some fixes for sysv4.

2014-02-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: test for ssize_t as well.

2014-02-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/functionrom.c: Fixed the function rom disabling, fixes bug
	#498.

2014-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/android/build-android.sh, configure.proto, doc/vice.chm,
	doc/vice.guide, doc/vice.hlp, doc/vice.inf, doc/vice.pdf,
	doc/vice.txt, po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po,
	po/it.po, po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	src/arch/android/AnVICE/AndroidManifest.xml, ChangeLog,
	src/arch/win32/vice-version.bat, src/version.h: VICE 2.4.6


2014-02-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/pl.po, po/translations-status.txt: Updated.

2014-02-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/maincpu.h, src/platform/platform_interix_runtime_os.c: Updated.

2014-02-07  groepaz <groepaz@gmx.net>

	* src/c64/cart/tfe.c: do not call cs8900 core when no network is
	available, prevents segfault in that case

2014-02-07  Olaf Seibert <rhialto@falu.nl>

	* src/printerdrv/driver-select.c, src/printerdrv/driver-select.h,
	src/printerdrv/drv-ascii.c, src/printerdrv/drv-nl10.c,
	src/printerdrv/drv-raw.c, src/printerdrv/interface-serial.c,
	src/printerdrv/interface-userport.c, src/printerdrv/output-graphics.c,
	src/printerdrv/output-select.c, src/printerdrv/output-select.h: Change
	tabs to spaces.

2014-02-06  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uimon.c: use GDK_KEY macro

2014-02-05  pottendo  <pottendo@aon.at>

	* po/de.po: Updated.

2014-02-04  Errol Smith <strobe@kludgesoft.com> 

	* src/printerdrv/drv-mps803.c: Fix output size & set dpi to 60
	horizontal & 72 vertical like real mps803. More fixes for bug #418.

2014-02-04  Errol Smith <strobe@kludgesoft.com> 

	* src/printerdrv/drv-mps803.c: Fix vertical DPI, should fix bug #418

2014-02-02  Christian Vogelgsang <chris@vogelgsang.org>

	* Makefile.am, src/arch/unix/macosx/make-bindist.sh: osx: improved bin
	format detection in make-bindist.sh

2014-02-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/de.po, po/da.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/nl.po, po/sv.po, src/arch/amigaos/intl_text.c,
	src/arch/win32/res.rc, src/arch/win32/respet.rc,
	src/arch/win32/respetcolour.rc, src/arch/win32/ressid.rc,
	src/arch/win32/ressiddtv.rc, src/translate_text.c: Did a
	'make trans-update'.

2014-02-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, po/translations-status.txt: Updated.

2014-02-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/translations-status.txt, po/ko.po: Updated.

2014-02-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/de.po, po/da.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/nl.po, po/sv.po, po/ko.po, po/pl.po, po/ru.po, po/tr.po: Did a
	'make update-po'.

2014-02-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc, src/arch/win32/resmenu.txt,
	src/arch/win32/resstrings.txt, src/arch/win32/ui.c,
	src/arch/win32/uiperipheral.c, src/arch/win32/watcom/printerdrv.tgt,
	src/arch/win32/watcom/vice.wpj: Added 1520 and device 6 support to the
	windows gui.

2014-02-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_printer.c,
	src/arch/sdl/win32-watcom/printerdrv.tgt,
	src/arch/sdl/win32-watcom/vice.wpj: Added 1520 and device 6 support to
	the sdl gui.

2014-02-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc,
	src/arch/os2/vac++/incl/printerdrv.icc,
	src/arch/os2/watcom/printerdrv.tgt, src/arch/os2/watcom/vice.wpj:
	Added 1520 and device 6 support to the os/2 gui.

2014-02-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uiprinter.c: Added 1520 and device 6 support to the
	dos tui.

2014-02-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/constants.h, src/arch/beos/ui.cc,
	src/arch/beos/vicemenu.cc: Added 1520 and device 6 support to the beos
	gui.

2014-02-01  groepaz <groepaz@gmx.net>

	* src/kbdbuf.c: in -keybuf option convert regular characters to
	petscii and accept c-style escaped hex values that are passed
	verbatim, feature request #142

2014-02-01  groepaz <groepaz@gmx.net>

	* src/printerdrv/output-graphics.c: comment out debug code

2014-01-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl_text.c, src/arch/amigaos/intl.txt,
	src/arch/amigaos/mui/uiprinter.c: Added 1520 and device 6 support to
	the amiga gui.

2014-01-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/printerdrv/drv-mps803.c, src/printerdrv/output-graphics.c,
	src/c64/vsid.c, src/core/viacore.c, src/printerdrv/drv-nl10.c,
	src/printerdrv/output-text.c: Fixed some warnings.

2014-01-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/printerdrv.tmpl: Added drv-1520.c to the msvc
	templates, no gui changes yes, but at least msvc will compile again
	now.

2014-01-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/printerdrv/drv-1520.c: Changed min/max function names to
	vice_min/vice_max, since min and max are already defined on some
	platforms.

2014-01-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/uiprinteriec.c,
	src/arch/unix/gui/uiprinteriecplus4.c,
	src/arch/unix/gui/uiprinterieee.c: Fixed the formfeed.

2014-01-31  groepaz <groepaz@gmx.net>

	* src/drive/drive.h, src/drive/iecieee/via2d.c: minimal simulation of
	mechanical delay, fixes bug #401

2014-01-31  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/x11ui.c: removed tabs

2014-01-31  Olaf Seibert <rhialto@falu.nl>

	* src/printerdrv/drv-mps803.c, src/printerdrv/output-graphics.c,
	src/printerdrv/drv-nl10.c, src/printerdrv/output-text.c,
	src/printerdrv/drv-1520.c, src/arch/unix/gui/uiprinteriec.c,
	src/arch/unix/gui/uiprinteriecplus4.c,
	src/arch/unix/gui/uiprinterieee.c, data/PRINTER/1520.vpl,
	data/PRINTER/Makefile.am, src/arch/unix/gui/uiprinter.c,
	src/arch/unix/gui/uiprinter.h, src/printerdrv/Makefile.am,
	src/printerdrv/driver-select.c, src/printerdrv/driver-select.h,
	src/printerdrv/drv-1520.h, src/printerdrv/drv-ascii.c,
	src/printerdrv/drv-raw.c, src/printerdrv/interface-serial.c,
	src/printerdrv/interface-userport.c, src/printerdrv/output-select.c,
	src/printerdrv/output-select.h, src/printerdrv/output.h,
	src/printerdrv/printer.c, src/serial/serial-iec-device.c,
	src/serial/serial-trap.c: Support for "printer/plotter" Commodore
	1520. Hopefully also working "exec" printer output now (not really
	well tested).

2014-01-31  groepaz <groepaz@gmx.net>

	* src/sound.c: avoid calling malloc in the mixing loop

2014-01-31  groepaz <groepaz@gmx.net>

	* src/arch/unix/ui-threads.h, src/arch/unix/x11/gnome/uinetplay.c: fix
	some warnings

2014-01-31  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uiromset.c: remove unused variable

2014-01-31  groepaz <groepaz@gmx.net>

	* src/util.c: strrev returns a pointer

2014-01-31  groepaz <groepaz@gmx.net>

	* src/arch/sdl/uihotkey.c: fix crash at startup with --console

2014-01-31  groepaz <groepaz@gmx.net>

	* src/sounddrv/soundsdl.c: clear sound buffer at init

2014-01-31  groepaz <groepaz@gmx.net>

	* src/arch/sdl/vsidui.c: cosmetic fixes

2014-01-31  groepaz <groepaz@gmx.net>

	* src/keyboard.c: dont skip kbd_arch_init for vsid, fixes bug #452

2014-01-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/monitor/monitor.c: Fixed monitor register output (patch by
	David Wood).

2014-01-30  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/unix/x11/gnome/uimon.c: Prevent resizing of monitor window

2014-01-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/utils/geninfocontrib.c: Fixed for minix.

2014-01-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128mem.c: Cosmetic fix.

2014-01-28  groepaz <groepaz@gmx.net>

	* src/video/render2x4crt.c: fix crash in renderer, fixes bug #484
	(hopefully :))

2014-01-28  groepaz <groepaz@gmx.net>

	* src/crtc/crtc-cmdline-options.c: register CRTC cmdline options with
	uppercase CRTC to be consistant with other chips

2014-01-28  groepaz <groepaz@gmx.net>

	* src/video/video-cmdline-options.c: enable render filter cmdline
	option for all chips

2014-01-28  groepaz <groepaz@gmx.net>

	* Makefile.am, Doxyfile: removed outdated Doxyfile, use doc/mkdoxy.sh
	instead

2014-01-28  groepaz <groepaz@gmx.net>

	* src/Makefile.am: use phony target for regenerating svnversion.h

2014-01-28  groepaz <groepaz@gmx.net>

	* src/gensvnversion.sh: handle mixed revisions

2014-01-28  groepaz <groepaz@gmx.net>

	* src/vic20/vic20mem.c, src/vic20/vic20rom.c: dont attempt to patch
	kernal before it is loaded

2014-01-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_minix_runtime_os.c,
	src/platform/platform_solaris_runtime_os.c,
	src/platform/platform_windows_runtime_os.c: Updated.

2014-01-25  Kajtar Zsolt <soci@c64.rulez.org>

	* src/vic20/vic20iec.c: Typo, should be CA2

2014-01-24  groepaz <groepaz@gmx.net>

	* src/c64/cart/easyflash.c: init easyflash ram with 0xff at power-on.
	fixes bug #469

2014-01-24  Kajtar Zsolt <soci@c64.rulez.org>

	* src/c64/cart/ide64.c: Fix IDE64 configuration saving

2014-01-23  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uidrivestatus.c: with HAVE_CAIRO draw second
	LED correctly. also draw LEDs side by side as without cairo

2014-01-23  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uidrivestatus.c: do not hide dualdrive LED
	widget with HAVE_CAIRO

2014-01-22  groepaz <groepaz@gmx.net>

	* src/printerdrv/drv-mps803.c: handle quote mode, handle business mode
	correctly. fixes bug #418

2014-01-22  groepaz <groepaz@gmx.net>

	* src/arch/sdl/uimon.c: Fix crash in SDL-ui when disconnecting from
	remote monitor. Patch by Uffe Jakobsen.

2014-01-22  groepaz <groepaz@gmx.net>

	* src/midi.c: Generate MIDI interrupt per byte, not per bit. Patch by
	Frank Buss.

2014-01-21  groepaz <groepaz@gmx.net>

	* src/crtc/crtc-color.c, src/plus4/ted-color.c, src/vic20/vic-color.c,
	src/viciisc/vicii-color.c, src/video/video-color.c: fix vic and pet
	color saturation to prevent overflow in crt renderer

2014-01-21  groepaz <groepaz@gmx.net>

	* src/core/ciacore.c: toggle am/pm flag when hour goes from 11 to 12,
	fixes bug #486

2014-01-19  groepaz <groepaz@gmx.net>

	* src/translate_text.c, src/c64/cart/mmc64.c, src/translate.txt: added
	command line option for setting flash jumper

2014-01-19  groepaz <groepaz@gmx.net>

	* src/c64/cart/mmc64.c: disable ROM at reset when flash jumper is set

2014-01-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_minix_runtime_os.c,
	src/platform/platform_solaris_runtime_os.c,
	src/platform/platform_x86_runtime_cpu.h: Updated.

2014-01-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/xpet.tmpl: Do not use maincpu.c.

2014-01-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_solaris_runtime_os.c,
	src/platform/platform_sunos_runtime_os.c: Updated.

2014-01-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_minix_runtime_os.c,
	src/platform/platform_x86_runtime_cpu.h, src/arch/unix/rs232.c,
	src/arch/unix/socketimpl.h, src/platform/Makefile.am,
	src/platform/platform.h, src/platform/platform_cpu_type.h,
	src/platform/platform_discovery.h: Fixed for minix.

2014-01-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128model.h, src/c128/c128rom.h, src/c128/daa.h,
	src/info.c: Added 'newline' at the end of some files.

2014-01-03  Marcus Sutton <loggedoubt@gmail.com>

	* src/scpu64/scpu64cpu.c: If we assume CLOCK is a DWORD then we
	shouldn't also assumes it's a uint. (Fixes warnings on some win32
	builds.)

2014-01-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc, src/arch/beos/ui.cc, README, doc/vice.texi,
	src/arch/amigaos/mui/mui.c, src/arch/msdos/menudefs.c,
	src/arch/os2/dialogs/dialogs.rc, src/arch/sdl/menu_help.c,
	src/arch/unix/macosx/Info.plist, src/arch/unix/x11/gnome/about.c,
	src/arch/unix/x11/xaw/about.c, src/c1541.c: Changed '2013' to '2014',
	happy new year!!!

2014-01-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_interix_runtime_os.c: Fixed a typo.

2014-01-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_discovery.h, src/monitor/mon_parse.c,
	src/monitor/mon_parse.y, src/platform/platform_compiler.h: Fixed for
	minixvmd.

2014-01-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/monitor/mon_assemble6502.c, src/monitor/mon_assemble65816.c,
	src/monitor/mon_assemble6809.c, src/monitor/mon_assembleR65C02.c,
	src/monitor/mon_assemblez80.c: Added missing util.h include.

2014-01-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/drive/iecieee.h, src/drive/ieee.h: Added a newline at the end of
	the files.

2014-01-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_solaris_runtime_os.c: Updated.

2013-12-30  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/uipalcontrol.c: Add ReSID controls to the
	(increasingly inaccurately named) CRT Contols.

2013-12-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/pet/petmem.c: Check for 'random()', when not
	available use 'rand()' instead.

2013-12-26  Olaf Seibert <rhialto@falu.nl>

	* src/pet/petmem.c: Fix small typo.

2013-12-26  Olaf Seibert <rhialto@falu.nl>

	* src/pet/petmem.c, src/pet/petcolour.c, src/pet/petcolour.h,
	src/pet/pethre.c, src/pet/petmodel.c: Change colour PET extension for
	the next version, which is 80-column compatible. The colour memory is
	moved to $8800.

2013-12-24  Olaf Seibert <rhialto@falu.nl>

	* src/pet/petmodel.c: PETs based on the Universal Dynamic PET (8032081,
	8032087) already have an I/O size of only a single page.

2013-12-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_solaris_runtime_os.c,
	src/platform/platform_sunos_runtime_os.c, src/platform/platform.h:
	Updated.

2013-12-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/util.c: Removed obsolete variable.

2013-12-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_x86_runtime_cpu.c: Cosmetic fix.

2013-12-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_x86_gcc_cpuid.h: Use '.byte 15;.byte 162'
	instead of 'cpuid' in case the assembler doesn't know the 'cpuid'
	opcode.

2013-12-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_windows_runtime_os.c,
	src/platform/platform_interix_runtime_os.c,
	src/platform/platform_amigaos3_runtime_os.c,
	src/platform/platform_amigaos4_runtime_os.c,
	src/platform/platform_aros_runtime_os.c,
	src/platform/platform_beos_runtime_os.c,
	src/platform/platform_cygwin_runtime_os.c,
	src/platform/platform_darwin_runtime_os.c,
	src/platform/platform_dos_runtime_os.c,
	src/platform/platform_linux_runtime_os.c,
	src/platform/platform_nextopenstep_runtime_os.c,
	src/platform/platform_os2_runtime_os.c,
	src/platform/platform_rhapsody_runtime_os.c,
	src/platform/platform_sco_runtime_os.c,
	src/platform/platform_skyos_runtime_os.c,
	src/platform/platform_syllable_runtime_os.c: Remember the os and cpu
	when found.

2013-12-15  groepaz <groepaz@gmx.net>

	* src/c64/cart/retroreplay.c: make ram banking more compact

2013-12-15  groepaz <groepaz@gmx.net>

	* src/c64/cart/retroreplay.c: remove weird hack

2013-05-13  Kajtar Zsolt <soci@c64.rulez.org>

	* src/6510core.c, src/6510dtvcore.c: Revert

2013-05-03  Kajtar Zsolt <soci@c64.rulez.org>

	* src/6510core.c, src/6510dtvcore.c: Use common constant for ANE and
	LXA. Both instructions share the same circuit to produce the result
	(accumulator looped back to itself while using the special bus), so it
	can't be that these two constants are permanently different. Sure the
	value varies across processors, temperature and other factors, but not
	between these two instructions and not for a long time. As for why
	6510dtv core is using 0xee and 6510 core 0xff is beyond me.
	Technically both are correct, in practice 0xee is more common but
	breaks that one loader mentioned in the comment. I leave this
	inconsistency in for now.

2013-12-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_sunos_runtime_os.c, src/platform/platform.h,
	src/platform/platform_cpu_type.h, src/platform/platform_compiler.h:
	Added SunOS support.

2013-12-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_macosx.c: Added test results.

2013-12-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/65c02core.c: Cosmetic fixes.

2013-12-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Fix for interix5+.

2013-12-02  groepaz <groepaz@gmx.net>

	* src/c64/c64mem.c, src/c64/c64memlimit.c, src/c64/c64memlimit.h,
	src/c64/c64memsc.c: improved MAC Machine hack a bit and carried over
	to x64sc

2013-12-02  groepaz <groepaz@gmx.net>

	* src/c64/c64memsc.c: carrying over missing patch from r27310 to x64sc
	- soci, please remember not to update x64 only :)

2013-11-28  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/uiarch.h: Oops, forgot to include in commit.

2013-11-28  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/x11ui.c: Enable/disable the mouse event
	callback as needed (when mouse, lightpen or fullscreen enabled)
	instead of wastefully having it always on.

2013-11-28  Olaf Seibert <rhialto@falu.nl>

	* src/mouse.c: Avoid infinite loop at the top of mouse_poll() when the
	mouse is enabled, moved, disabled, enabled and then used (by GEOS for
	example).

2013-11-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/monitor/mon_parse.c, src/monitor/mon_parse.y, configure.proto:
	Endian fix.

2013-11-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/mkmsvc.c: Updated with tested compilers.

2013-11-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_nextopenstep_runtime_os.c,
	build/nextstep/build.sh, build/rhapsody/build.sh,
	src/arch/unix/next_open_rhap/make-bindist.sh,
	src/arch/unix/x11/xaw/widgets/Directory.c: Fixed and updated.

2013-11-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/macosx/cocoa/menu/Makefile.am: Fixed a typo.

2013-11-26  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/uidrivestatus.c: Fix bug which prevented the
	drive menus on the second application shell.

2013-11-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_darwin_runtime_os.c: Updated.

2013-11-19  Olaf Seibert <rhialto@falu.nl>

	* src/core/ata.c: Fix 2 uninitialized fields (found with help of
	Valgrind).

2013-11-18  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/x11ui.c, src/arch/unix/gui/uilib.h: Update for
	extra values in uilib_file_filter_enum_t. Add bounds checking.

2013-11-18  Olaf Seibert <rhialto@falu.nl>

	* src/diskimage/fsimage-probe.c: Do it for d1m too, not just d81.

2013-11-18  Olaf Seibert <rhialto@falu.nl>

	* src/diskimage/fsimage-probe.c: Avoid segfault if there is no
	extension.

2013-11-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/plus4/plus4-sidcart.c: SIDcart phi2 clock gets halved before
	going to the SID (Markku Reunanen).

2013-11-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_darwin_runtime_os.c: Added missing include.

2013-11-11  groepaz <groepaz@gmx.net>

	* src/c64/cart/supergames.c: updated with some more comments and
	guesswork

2013-11-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/openstep/build.sh, src/platform/platform_x86_runtime_cpu.h:
	Fixed for osx.

2013-11-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/gfxoutputdrv/quicktimedrv.c: Define MAC_OS_X_VERSION_10_5 if it
	is not defined (as it is in the case of pre-10.5 headers).

2013-11-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/macosx/cocoa/menu/Makefile.am,
	src/arch/unix/macosx/cocoa/menu/scpu64ui.m: Added a temporary scpu64ui
	for macosx, identical to the c64ui.

2013-11-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/rhapsody/build.sh,
	src/arch/unix/next_open_rhap/make-bindist.sh, src/libm_math.c,
	src/platform/platform_rhapsody_runtime_os.c: Rhapsody fixes.

2013-11-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/nextstep/build.sh: Fixed.

2013-11-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: xscpu64 builds on all platforms.

2013-11-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/xaw/uimenu.c,
	src/platform/platform_darwin_runtime_os.c: Darwin fixes.

2013-11-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/openstep/build.sh, src/arch/unix/vsyncarch.c: Fixed.

2013-11-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/unix/macosx/vsyncarch.c,
	src/arch/unix/vsyncarch.c, src/platform/Makefile.am,
	src/platform/platform.h, src/platform/platform_compiler.h,
	src/platform/platform_darwin_runtime_os.c,
	src/platform/platform_discovery.h, src/platform/platform_macosx.c,
	src/platform/platform_nextopenstep_runtime_os.c,
	src/platform/platform_rhapsody_runtime_os.c,
	src/platform/platform_x86_runtime_cpu.h: Some Darwin, NextStep,
	OpenStep and Rhapsody improvements.

2013-11-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/os2/watcom/c64commonscvsid128.tgt,
	src/arch/os2/watcom/c64commonvsidsc128scpu.tgt,
	src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/c64commonscvsid128.tgt,
	src/arch/sdl/win32-watcom/c64commonvsidsc128scpu.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/c64scpu64.tmpl,
	src/arch/win32/watcom/c64commonscvsid128.tgt,
	src/arch/win32/watcom/c64commonvsidsc128scpu.tgt,
	src/arch/win32/watcom/vice.wpj, src/c64/Makefile.am,
	src/scpu64/scpu64mem.c: Fixed the pport issue by adding a 'dummy'
	pport variable to scpu64/scpu64mem.c and not include c64/c64pla.c in
	the c64scpu64 library. Besides the pport variable none of the
	functions in c64/c64pla.c were used, this might have led to some
	compilers/linkers not including the object file in the library for
	linking and having pport undefined.

2013-11-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Enable -posix check only for certain platforms that
	seem to need it to be able to compile vice.

2013-11-01  Olaf Seibert <rhialto@falu.nl>

	* configure.proto, src/arch/unix/joy_usb.c,
	src/arch/unix/rawnetarch.c, src/arch/unix/x11/gnome/uimon.c,
	src/arch/unix/x11/xaw/widgets/Directory.c: On some systems, including
	at least NetBSD, -posix *reduces* features to strict POSIX compliance.
	Since VICE uses features that POSIX doesn't promise, this means that
	VICE won't compile. Previously I put in hacks to go around this, but
	it is much better to simply not use the -posix option if it reduces
	features.

2013-10-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/next_open_rhap/Makefile.am,
	src/arch/unix/next_open_rhap/make-bindist.sh,
	src/arch/unix/next_open_rhap/nextfix.sh,
	src/arch/unix/x11/xaw/widgets/Directory.c: Some
	nextstep/openstep/rhapsody fixes.

2013-10-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_cygwin_runtime_os.c: Added another confirmed
	test.

2013-10-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/main65816cpu.c: Comment fix.

2013-10-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	configure.proto, src/arch/unix/macosx/joy-hid.h,
	src/arch/unix/macosx/joy-hidlib.h, src/arch/unix/macosx/vsyncarch.c,
	src/arch/unix/vsyncarch.c, src/platform/platform_macosx.c: Some darwin
	fixes.

2013-10-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/65816core.c: Fixed a comment.

2013-10-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_discovery.h: Proper define check.

2013-10-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Added missing check for vsnprintf.

2013-10-24  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/rawnetarch.c, src/arch/unix/x11/gnome/uimon.c: NetBSD,
	when compiled with -posix, doesn't define DT_DIR in <dirent.h> since
	POSIX.1 doesn't require it. Strictly speaking the code using it is not
	portable. Similar hack for <pcap.h> which breaks when compiled with
	-posix (arguably a bug of NetBSD, I'd say).

2013-10-24  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/mididrv.c, src/arch/unix/rs232.c: #include
	<sys/select> to get fd_set. NetBSD got stricter on namespace
	pollution, it seems.

2013-10-24  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/joy_usb.c: Hack for <dev/usb/usb.h> on NetBSD.

2013-10-24  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/widgets/Directory.c: Add #define
	_XOPEN_SOURCE; apparently now needeed with NetBSD (6.1.2). The use of
	S_IFMT is apparently non- (or less-)standard.

2013-10-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32, src/arch/win32/vs_tmpl/mkmsvc.c,
	src/arch/win32/vs_tmpl/mkmsvc.exe: Fixed.

2013-10-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, src/arch/sdl/generate_msvc12_project.bat,
	src/arch/win32/Makefile.am,
	src/arch/win32/generate_msvc12_project.bat,
	src/arch/win32/vs_tmpl/mkmsvc.c, src/arch/win32/vs_tmpl/mkmsvc.exe,
	src/platform/platform_compiler.h: Added msvc12/vs2013 support.

2013-10-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/util.c: Added missing table.

2013-10-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_macosx.c: Corrected the define check.

2013-10-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/sound.c: Changed define so that windows based sdl compiles work
	again.

2013-10-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/socketimpl.h: Fixed for correct header inclusion.

2013-10-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/archdep.c: Added needed define.

2013-10-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/os2/vac++/ide-config.h,
	src/arch/os2/watcom/ide-config.h,
	src/arch/sdl/msvc-files/ide-config-mips.h,
	src/arch/sdl/msvc-files/ide-config.h,
	src/arch/sdl/win32-watcom/ide-config.h,
	src/arch/win32/msvc/ide-config.h, src/arch/win32/watcom/ide-config.h,
	src/util.c: Added more replacement functions and tests.

2013-10-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/nextstep/build.sh: Don't use -s for nextstep.

2013-10-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_cygwin_runtime_os.c: Added confirmed tests.

2013-10-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_compiler.h, src/platform/platform_discovery.h:
	Fixed.

2013-10-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/parallel/parallel.c: Fixed.

2013-10-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uihelp.c, src/platform/platform_discovery.h: Make
	sure PLATFORM is defined.

2013-10-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/xaw/widgets/TextField.c: Updated.

2013-10-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/rhapsody/build.sh: Don't strip rhapsody bins through
	compiling with -s, the strip command works for all supported
	rhapsody archs.

2013-10-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Fixed a typo.

2013-10-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Improved the checks for network functions and added
	check for the Xaw(3d) Tip.h file.

2013-10-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/xaw/widgets/TextField.c: Updated.

2013-10-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Don't check ar for nextstep, openstep and rhapsody,
	and added a check for -lposix.

2013-10-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/imagecontents/imagecontents.c: Use lib_stralloc instead of
	strdup.

2013-10-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/parallel/parallel.c, src/printerdrv/drv-nl10.c,
	src/video/video-sound.c: Changed to use the 'STATIC_PROTOTYPE' define.

2013-10-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/openstep/build.sh: Don't strip openstep bins through
	compiling with -s, the strip command works for all supported openstep
	archs.

2013-10-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_beos_runtime_os.c: BeOS improvements.

2013-09-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* config.guess, configure.proto, src/arch/beos/joy.cc,
	src/arch/beos/ui.cc: Added support for haiku 64bit.

2013-09-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/openstep/build.sh: No hppa arch option in openstep.

2013-09-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/amigaos/archdep.h,
	src/arch/beos/archdep.h, src/arch/beos/scpu64ui.cc,
	src/arch/msdos/archdep.h, src/arch/os2/archdep.h,
	src/arch/sdl/archdep_amiga.h, src/arch/sdl/archdep_beos.h,
	src/arch/sdl/archdep_cegcc.h, src/arch/sdl/archdep_dingoo.h,
	src/arch/sdl/archdep_unix.h, src/arch/sdl/archdep_win32.h,
	src/arch/sdl/archdep_xbox.h, src/arch/unix/archdep.h,
	src/arch/win32/archdep.h, src/gfxoutputdrv/bmpdrv.c,
	src/gfxoutputdrv/doodledrv.c, src/gfxoutputdrv/gifdrv.c,
	src/gfxoutputdrv/iffdrv.c, src/gfxoutputdrv/jpegdrv.c,
	src/gfxoutputdrv/koaladrv.c, src/gfxoutputdrv/pcxdrv.c,
	src/gfxoutputdrv/pngdrv.c, src/gfxoutputdrv/ppmdrv.c: BeOS fixes.

2013-09-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_discovery.h,
	src/platform/platform_x86_beos_cpuid.h: Improved BeOS support.

2013-09-15  groepaz <groepaz@gmx.net>

	* src/monitor/monitor.c: dont forget single stepping commands

2013-09-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/sdl/archdep_unix.c,
	src/arch/unix/archdep.c, src/platform/Makefile.am,
	src/platform/platform.h, src/platform/platform_amd64_msvc_cpuid.h,
	src/platform/platform_amigaos4_runtime_os.c,
	src/platform/platform_compiler.h, src/platform/platform_cpu_type.h,
	src/platform/platform_discovery.h,
	src/platform/platform_linux_runtime_os.c,
	src/platform/platform_macosx.c,
	src/platform/platform_sco_runtime_os.c,
	src/platform/platform_solaris_runtime_os.c,
	src/platform/platform_syllable_runtime_os.c,
	src/platform/platform_x86_beos_cpuid.h,
	src/platform/platform_x86_gcc_cpuid.h,
	src/platform/platform_x86_msvc_cpuid.h,
	src/platform/platform_x86_runtime_cpu.c,
	src/platform/platform_x86_runtime_cpu.h,
	src/platform/platform_x86_watcom_cpuid.h: Added sco support and split
	up the cpuid code to different files.

2013-09-15  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/vsidui.c, src/arch/unix/vsiduiunix.h,
	src/arch/unix/x11/gnome/uivsidcontrol.c,
	src/arch/unix/x11/xaw/uivsidcontrol.c: show default tune in ui

2013-09-15  groepaz <groepaz@gmx.net>

	* src/c64/c64.c, src/c64/psid.c: hack to handle default tune properly

2013-09-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_cpu_type.h,
	src/platform/platform_x86_runtime_cpu.c: Improved interix support.

2013-09-13  Marcus Sutton <loggedoubt@gmail.com>

	* src/pet/pet.c, src/pet/petmem.c, src/pet/petmem.h,
	src/pet/petmodel.c: Make petmodel_get() use resource settings to
	determine the model and stop petmodel_set() from trying to set an
	invalid one. Also fix clipboard copy and monitor screen commands not
	working properly when PET video size is set to 'auto' and slightly
	refactor pet.c.

2013-09-13  Marcus Sutton <loggedoubt@gmail.com>

	* src/pet/petcolour.c, src/pet/petcolour.h, src/pet/petcpu.c,
	src/pet/petmodel.h: Fix svn properties.

2013-09-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/archdep_unix.c, src/arch/unix/archdep.c,
	src/platform/Makefile.am, src/platform/platform.h,
	src/platform/platform_discovery.h,
	src/platform/platform_skyos_runtime_os.c,
	src/platform/platform_syllable_runtime_os.c: Added skyos support and
	improved syllable support.

2013-09-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_x86_runtime_cpu.c: Fixed.

2013-09-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_interix_runtime_os.c: Removed unused var.

2013-09-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/types.h, src/monitor/monitor.c: Cygwin64 fixes.

2013-09-03  groepaz <groepaz@gmx.net>

	* src/c64/cart/ocean.c: updated/fixed

2013-09-02  groepaz <groepaz@gmx.net>

	* src/c64/cart/gs.c: updated/fixed

2013-09-02  groepaz <groepaz@gmx.net>

	* src/c64/cart/funplay.c: updated/fixed

2013-09-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_compiler.h: Added ow compiler detection.

2013-09-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_cpu_type.h: Also define __i?86__ for watcom
	compiles.

2013-09-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_windows_runtime_os.c: Fixed.

2013-09-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_windows_runtime_os.c: Fixed a warning.

2013-09-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/msvc-files/ide-config.h,
	src/arch/win32/msvc/ide-config.h, src/platform/platform_compiler.h,
	src/platform/platform_discovery.h: Reorganized to give common results.

2013-09-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_cpu_type.h: Only define __i?86__ when
	compiling with msvc.

2013-08-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_amigaos4_runtime_os.c,
	src/platform/platform_aros_runtime_os.c: Fixed some warnings.

2013-08-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/archdep.c, src/opencbm.h,
	src/platform/platform_cygwin_runtime_os.c,
	src/platform/platform_discovery.h,
	src/platform/platform_windows_runtime_os.c: Cygwin64 fixes.

2013-08-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/findhacks.sh: Added "SKYOS" to the findhacks script.

2013-08-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/archdep_unix.c, src/opencbm.h,
	src/platform/platform_x86_runtime_cpu.c: SkyOS fixes.

2013-08-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* config.guess: Improved config.guess to handle 64bit cygwin.

2013-08-14  groepaz <groepaz@gmx.net>

	* src/arch/win32/uimon.c: better fix for monitor crash, patch by
	greg king

2013-08-13  groepaz <groepaz@gmx.net>

	* src/arch/amigaos/vsidui.c, src/arch/sdl/vsidui.c,
	src/arch/win32/vsidui.c: kill references to csidmodel array, fixes bug
	#465

2013-08-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/android/AnVICE/jni/locnet/include/AndroidOSfunc.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_events.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_getenv.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_joystick.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_keyboard.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_keysym.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_loadso.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_main.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_mouse.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_mutex.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_name.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_opengl.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_platform.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_quit.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_rwops.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_screenkeyboard.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_stdinc.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_syswm.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_thread.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_timer.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_types.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_version.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_video.h, src/log.c,
	src/opencbm.h: Removed an unneeded comment.

2013-08-12  Antti S. Lankila <alankila@bel.fi>

	* src/c64/psid.c, src/c64/psid.h, src/c64/vsid.c: Get rid of the log
	print of the SID model. Probably nobody reads it from the log or
	cares.

2013-08-12  groepaz <groepaz@gmx.net>

	* src/c64/psid.c, src/c64/vsid.c: remove remains of resid-fp, reject
	psid file with invalid default tune

2013-08-12  groepaz <groepaz@gmx.net>

	* src/c64/vsid.c: revert 27722, doesnt work this way unless further
	work is put into it

2013-08-12  groepaz <groepaz@gmx.net>

	* src/c64/vsid.c: remove references to keyboard maps

2013-08-12  Antti S. Lankila <alankila@bel.fi>

	* configure.proto, src/resid/configure.in, src/resid-dtv/configure.in:
	Switch VICE to use clang/clang++ if it's there, fall back to gcc/g++.
	Allows autotools build to succeed on OS X.

2013-08-12  Antti S. Lankila <alankila@bel.fi>

	* build/android/build-android.sh.in: Fix echi -> echo

2013-08-12  groepaz <groepaz@gmx.net>

	* src/arch/win32/uimon.c: zero out allocated block, fixes monitor
	crash bug #454. patch by derrick inksley

2013-08-11  groepaz <groepaz@gmx.net>

	* src/monitor/mon_util.c, src/monitor/monitor.c,
	src/monitor/monitor_network.c: remote monitor command stream bugfix,
	patch by uffe jakobsen

2013-08-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vsyncarch.c, src/socket.c: Fixed for ow.

2013-08-10  Antti S. Lankila <alankila@bel.fi>

	* src/resid/wave.cc: Lengthen TTL for floating output based on some
	SOASC songs (bug 290)

2013-08-10  Antti S. Lankila <alankila@bel.fi>

	* src/Makefile.am: Use READLINE_LIBS only in *_LDADD and not
	common_libs, so we don't try to build target called -lreadline

2013-08-10  groepaz <groepaz@gmx.net>

	* src/video/video-resources.c: due to popular demand changed CRT
	emulation defaults to show slightly less agressive scanlines and
	somewhat more saturated colors.

2013-08-10  groepaz <groepaz@gmx.net>

	* src/arch/sdl/dingoo-files/sdl-vicerc,
	src/arch/sdl/dingoo-files/sdl-vicerc-cbm5x0: removed unused UseVicII
	resource

2013-08-10  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64dtvui.c,
	src/arch/unix/gui/c64scui.c, src/arch/unix/gui/c64ui.c,
	src/arch/unix/gui/cbm2ui.c, src/arch/unix/gui/scpu64ui.c,
	src/arch/unix/gui/uisid.c, src/arch/unix/gui/vsidui.c: removed numeric
	entry for resid params from GTK menus

2013-08-10  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uipalcontrol.c: added sliders for ReSID
	params

2013-08-10  groepaz <groepaz@gmx.net>

	* src/sid/sid-resources.c: fixed limiting

2013-08-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/socket.c: Don't use PF_INET6 if HAVE_IPV6 is not defined.

2013-08-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/xaw/uimenu.c: Fixed log_warning use.

2013-08-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/android/build-android.sh, build/android/build-android.sh.in:
	Fixed a typo.

2013-08-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/arch.tgt,
	src/arch/sdl/win32-watcom/vice.wpj: Added menu_jam.c to the sdl win32
	ow project files.

2013-08-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/android/AnVICE/jni/vice_commonall/Android.mk.proto: Added
	menu_jam.c to the android build.

2013-08-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/archdep_unix.c: Don't call linux platform code when
	using android.

2013-08-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_discovery.h,
	src/platform/platform_linux_runtime_os.c: Don't use linux detection
	code for android.

2013-08-09  pottendo  <pottendo@aon.at>

	* build/android/build-android.sh: build/android/build-android.sh
	(options): fixed typo.

2013-08-09  groepaz <groepaz@gmx.net>

	* src/arch/amigaos/archdep.c, src/arch/beos/archdep.c,
	src/arch/msdos/archdep.c, src/arch/os2/archdep.c,
	src/arch/sdl/archdep_amiga.c, src/arch/sdl/archdep_beos.c,
	src/arch/sdl/archdep_cegcc.c, src/arch/sdl/archdep_dingoo.h,
	src/arch/sdl/archdep_unix.c, src/arch/sdl/archdep_win32.c,
	src/arch/sdl/archdep_xbox.c, src/arch/unix/archdep.c,
	src/arch/win32/archdep.c, src/archapi.h, src/c1541.c: removed pager
	from c1541 and related archdep code. use '|more' instead.

2013-08-09  groepaz <groepaz@gmx.net>

	* src/arch/sdl/archdep_unix.c: slightly better handling of when
	argv[0] is NULL

2013-08-09  groepaz <groepaz@gmx.net>

	* src/main.c: added proper error handling when archdep_init failed

2013-08-08  groepaz <groepaz@gmx.net>

	* src/arch/msdos/uijoystick.c, src/arch/win32/uijoystick.c: rename
	conflicting type

2013-08-08  groepaz <groepaz@gmx.net>

	* doc/vice.pdf, doc/vice.txt: updated

2013-08-08  groepaz <groepaz@gmx.net>

	* src/monitor/monitor.c: do not remember 'exit' command when exiting
	monitor, patch by uffe jakobsen

2013-08-08  groepaz <groepaz@gmx.net>

	* src/autostart-prg.c: do not disable TDE on autostarting PRG when
	'handle TDE at autostart' is enabled. patch by uffe jakobsen

2013-08-07  groepaz <groepaz@gmx.net>

	* doc/vice.texi: removed references to resid-fp

2013-08-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/msvc-files/ide-config.h: Better msvc version detection.

2013-08-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc: Adjusted the size of the header of the
	windows command-line options dialog.

2013-08-07 Dag Lem <resid@nimrod.no>

	* doc/vice.texi: Replaced invalid @itemx with @item in vice.texi

2013-08-07 Dag Lem <resid@nimrod.no>

	* src/Makefile.am: Compilation fix for system-wide libreadline

2013-08-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src: Added svnversion.h to the svn ignores.

2013-08-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/svnversion.h: Removed svnversion.h from version control.

2013-08-07  groepaz <groepaz@gmx.net>

	* data/C64/Makefile.am, data/C64/sdl_keyrah.vkm: another keyrah
	mapping

2013-08-07  Manuel Antonio Rodriguez Bas <formater@winuaespanol.com>

	* po/es.po, po/translations-status.txt: Updated.

2013-08-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/arch_sdl.tmpl: Added menu_jam.c to the
	template.

2013-08-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/generate_msvc10_project.bat,
	src/arch/sdl/generate_msvc11_project.bat,
	src/arch/sdl/generate_msvc6_project.bat,
	src/arch/sdl/generate_msvc70_project.bat,
	src/arch/sdl/generate_msvc71_project.bat,
	src/arch/sdl/generate_msvc8_project.bat,
	src/arch/sdl/generate_msvc9_project.bat: Removed residfp leftovers.

2013-08-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/arch_native.tmpl: Removed system.c from the
	template.

2013-08-07  groepaz <groepaz@gmx.net>

	* data/C64/x11_keyrah.vkm, data/C64/x11_keyrah_de.vkm: updated

2013-08-07  groepaz <groepaz@gmx.net>

	* src/arch/sdl/joy.c, src/arch/sdl/kbd.c, src/joystick.c,
	src/joystick.h, src/keyboard.c: implement loading/saving joystick
	keymaps from/to .vkm files

2013-08-06  groepaz <groepaz@gmx.net>

	* data/C64/sdl_keyrah_de.vkm: updated

2013-08-06  Jarek Sobolewski <r@sledinmay.com>

	* po/pl.po, po/translations-status.txt: Updated.

2013-08-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/android/AnVICE/jni/sdl/Makefile.am,
	src/arch/android/AnVICE/jni/sdl/include/SDL,
	src/arch/android/AnVICE/jni/sdl/include/SDL.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_active.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_audio.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_byteorder.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_cdrom.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_config.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_config.h.default,
	src/arch/android/AnVICE/jni/sdl/include/SDL_config.h.in,
	src/arch/android/AnVICE/jni/sdl/include/SDL_config_android.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_config_dreamcast.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_config_macos.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_config_macosx.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_config_minimal.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_config_nds.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_config_os2.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_config_symbian.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_config_win32.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_copying.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_cpuinfo.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_endian.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_error.h,
	src/arch/android/AnVICE/jni/sdl/include/SDL_events.h,
	src/arch/android/AnVICE/jni/sdl/include/begin_code.h,
	src/arch/android/AnVICE/jni/sdl/include/close_code.h: Started on the
	android sdl headers cleanup.

2013-08-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/archdep.h, src/arch/beos/archdep.h,
	src/arch/msdos/archdep.h, src/arch/os2/archdep.h,
	src/arch/sdl/archdep.h, src/arch/unix/archdep.h,
	src/arch/win32/archdep.h, src/c128/c128mmu.c, src/sound.c: Changed the
	OS2 ifdefs to COMMON_KBD ifdefs.

2013-08-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/xaw/uimenu.c: Added missing log.h include.

2013-08-05  groepaz <groepaz@gmx.net>

	* data/C64/Makefile.am, data/C64/sdl_keyrah_de.vkm,
	data/C64/x11_keyrah.vkm, data/C64/x11_keyrah_de.vkm: more keyrah
	mappings

2013-08-05  groepaz <groepaz@gmx.net>

	* data/C64/Makefile.am: updated makefile too

2013-08-05  groepaz <groepaz@gmx.net>

	* data/C64/x11_keyrah.vkm, data/C64/x11_keyrah_de.vkm: keyboard maps
	for use with keyrah

2013-08-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/archdep.c, src/arch/beos/archdep.c,
	src/arch/msdos/archdep.c, src/arch/os2/archdep.c,
	src/arch/sdl/archdep_amiga.c, src/arch/sdl/archdep_beos.c,
	src/arch/sdl/archdep_cegcc.c, src/arch/sdl/archdep_dingoo.c,
	src/arch/sdl/archdep_unix.c, src/arch/sdl/archdep_win32.c,
	src/arch/sdl/archdep_xbox.c, src/arch/unix/archdep.c,
	src/arch/win32/archdep.c, src/archapi.h, src/ioutil.c, src/zfile.c:
	Added archdep_rename() and made ioutil_rename() call archdep_rename().

2013-08-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/util.c: Changed arch specific define to use the directory
	seperator define.

2013-08-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/archdep.h, src/arch/win32/uimon.c, src/uimon.h: Moved
	the uimon_console_open_mdi prototype to the windows archdep.h

2013-08-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/archdep.h, src/arch/beos/archdep.h,
	src/arch/msdos/archdep.h, src/arch/os2/archdep.h,
	src/arch/sdl/archdep_amiga.h, src/arch/sdl/archdep_beos.h,
	src/arch/sdl/archdep_cegcc.h, src/arch/sdl/archdep_dingoo.h,
	src/arch/sdl/archdep_unix.h, src/arch/sdl/archdep_win32.h,
	src/arch/sdl/archdep_xbox.h, src/arch/unix/archdep.h,
	src/arch/win32/archdep.h, src/socket.c: Added ARCHDEP_SOCKET_ERROR
	define which indicates what to do/use when a socket error happens.

2013-08-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/archdep.h, src/arch/msdos/archdep.h,
	src/arch/os2/archdep.h, src/arch/sdl/archdep_beos.h,
	src/arch/sdl/archdep_win32.h, src/arch/win32/archdep.h,
	src/printerdrv/drv-ascii.c: Added
	ARCHDEP_PRINTER_RETURN_BEFORE_NEWLINE define for platforms that need
	to have a return before a newline when using the ascii printer driver.

2013-08-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/archdep_win32.h: Forgot about sdl again.

2013-08-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/archdep.h, src/log.c: Added ARCHDEP_EXTRA_LOG_CALL
	define for when archdep_log() needs to be called even though a logfile
	could be opened.

2013-08-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/archdep.h, src/arch/win32/gifdrv.c: Fixed windows gif
	related compile by using the dll code when HAVE_GIF has not been
	defined previously.

2013-08-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* ChangeLog, build/android/build-android.sh, configure.proto,
	doc/vice.chm, doc/vice.guide, doc/vice.hlp, doc/vice.inf,
	doc/vice.pdf, doc/vice.txt, po/da.po, po/de.po, po/es.po, po/fr.po,
	po/hu.po, po/it.po, po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po,
	po/tr.po, src/arch/android/AnVICE/AndroidManifest.xml,
	src/arch/win32/vice-version.bat, src/version.h: VICE 2.4.5

2013-07-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/archdep_unix.h, src/arch/sdl/archdep_win32.h,
	src/arch/unix/archdep.h, src/arch/win32/archdep.h,
	src/gfxoutputdrv/ffmpeglib.c, src/gfxoutputdrv/ffmpeglib.h,
	src/opencbmlib.c, src/sounddrv/lamelib.c: Prefixed archdep specific
	defines with ARCHDEP_, that way it is better to see where the define
	comes from.

2013-07-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/gfxoutputdrv/ffmpeglib.h: Forgot to include archdep.h

2013-07-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/archdep_win32.h, src/arch/win32/archdep.h,
	src/gfxoutputdrv/ffmpeglib.h: Made the av_* defines more generic.

2013-07-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* INSTALL, Makefile.am, README, configure.proto, data/C64/Makefile.am,
	data/C64/gp2x_pos.vkm, data/C64/gp2x_sym.vkm, data/SCPU64/Makefile.am,
	data/SCPU64/gp2x_pos.vkm, data/SCPU64/gp2x_sym.vkm,
	doc/building/GP2X-Howto.txt, doc/building/Makefile.am,
	doc/html/index.html, doc/mainpage.dox, doc/mkdoxy.sh,
	src/arch/sdl/Makefile.am, src/arch/sdl/make-bindist_gp2x.sh,
	src/arch/sdl/make-bindist_qnx6.sh, src/arch/sdl/make-bindist_skyos.sh,
	src/arch/sdl/qnx4/install_msg, src/arch/unix/Makefile.am,
	src/arch/unix/gp2x, src/arch/unix/qnx4/install_msg,
	src/arch/unix/qnx6/make-bindist.sh,
	src/arch/unix/skyos/make-bindist.sh, src/arch/win32/make-bindist.sh:
	Removed the rest of the gp2x code/references.

2013-07-29  groepaz <groepaz@gmx.net>

	* src/c64/c64io.c: fix reading of mirrors that are registered with low
	io priority

2013-07-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/archdep_unix.h: Added dynlib name handling to the sdl
	unix archdep.h file.

2013-07-28  groepaz <groepaz@gmx.net>

	* src/findpath.c: windos actually uses backward slashes :)

2013-07-28  groepaz <groepaz@gmx.net>

	* src/findhacks.sh: updated

2013-07-28  groepaz <groepaz@gmx.net>

	* src/arch/sdl/archdep_unix.c, src/arch/unix/archdep.c,
	src/arch/unix/kbd.h, src/arch/unix/uimenu.h,
	src/arch/unix/videoarch.h, src/arch/unix/vsyncarch.c, src/cartconv.c,
	src/raster/raster-canvas.c, src/vdc/vdc.c: removed GP2X and WIZ ifdefs
	from shared code. src/arch/unix/gp2x removal TODO

2013-07-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/archdep.h, src/gfxoutputdrv/gfxoutput.c: Always
	define HAVE_GIF for windows native, and removed extra conditions from
	the ifdef.

2013-07-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/archdep_win32.h: Dynlib name handling added to the sdl
	archdep_win32.h file.

2013-07-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/archdep.h, src/arch/win32/archdep.h,
	src/gfxoutputdrv/ffmpeglib.c, src/opencbmlib.c,
	src/sounddrv/lamelib.c: Moved dynlib name handling to archdep.h

2013-07-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/findpath.c: Changed the arch specific ifdefs to use the
	directory seperator define instead.

2013-07-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am, src/arch/win32/archdep.c, src/c1541.c,
	src/petcat.c: Windows system.c is now included by the windows
	archdep.c file, removed duplicated system_* code in petcat.c and
	c1541.c

2013-07-27  groepaz <groepaz@gmx.net>

	* src/findhacks.sh: added more defines, ignore platform dir

2013-07-27  groepaz <groepaz@gmx.net>

	* src/arch/android/AnVICE/jni/sdl/include/SDL_platform.h: remove
	pointless defines

2013-07-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c1541.c: Made GEOS related code compile by default, without
	using #ifdef's.

2013-07-27  groepaz <groepaz@gmx.net>

	* src/monitor/mon_command.c, src/monitor/monitor.c: OS2 -> __OS2__

2013-07-27  groepaz <groepaz@gmx.net>

	* src/vsync.c: MSDOS -> __MSDOS__

2013-07-27  groepaz <groepaz@gmx.net>

	* src/findhacks.sh: updated

2013-07-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_discovery.h: Only define msvc when _MSC_VER is
	defined.

2013-07-27  groepaz <groepaz@gmx.net>

	* src/findhacks.sh: updated

2013-07-27  groepaz <groepaz@gmx.net>

	* src/log.c: dont return early when opening default logfile, so it
	will be set to non buffered too

2013-07-26  groepaz <groepaz@gmx.net>

	* po/de.po: updated

2013-07-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl_text.c, src/arch/win32/res.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resisepic.rc,
	src/arch/win32/resmouse.rc, src/arch/win32/respet.rc,
	src/arch/win32/respetcolour.rc, src/arch/win32/resscpu64.rc,
	src/arch/win32/ressid.rc, src/arch/win32/ressidcart.rc,
	src/arch/win32/ressiddtv.rc, src/translate_text.c: Did a
	'make trans-update'.

2013-07-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po: Did a 'make trans-update'.

2013-07-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, po/translations-status.txt: Updated.

2013-07-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/msvc-files, src/arch/win32/vs_tmpl: Added some svn
	ignores.

2013-07-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt: Did a 'make update-po'.

2013-07-25  Marcus Sutton <loggedoubt@gmail.com>

	* src/sound.c: Avoid printing "fragment size 0ms" in the log file.

2013-07-25  Errol Smith <strobe@kludgesoft.com> 

	* src/c128/c128mem.c: Fix bug #457, enable copy/paste from 80 col VDC
	screen (assumes 40/80 switch is set appropriately).

2013-07-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/android/push-roms.sh, src/arch/os2/makedist.cmd,
	src/arch/os2/watcom/makebindist.bat,
	src/arch/sdl/make-bindist_qnx6.sh,
	src/arch/sdl/msvc-files/make-bindist-mips.bat.proto,
	src/arch/sdl/msvc-files/make-bindist.bat.proto,
	src/arch/sdl/win32-watcom/make-watcom-bindist.bat,
	src/arch/unix/hpux/make-bindist.sh,
	src/arch/unix/qnx6/make-bindist.sh,
	src/arch/win32/msvc/make-msvc-bindist-native.bat.proto,
	src/arch/win32/watcom/make-watcom-bindist.bat: Added missing plus4
	roms.

2013-07-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/watcom/Makefile.am,
	src/arch/win32/watcom/ide-sidfpdefs.h: Removed ide-sidfpdefs.h from
	the windows watcom directory.

2013-07-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/Makefile.am,
	src/arch/sdl/win32-watcom/ide-sidfpdefs.h: Removed ide-sidfpdefs.h
	from the sdl win32-watcom directory.

2013-07-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/msvc/Makefile.am,
	src/arch/win32/msvc/ide-sidfpdefs.h: Removed ide-sidfpdefs.h from the
	win32 msvc directory.

2013-07-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/msvc-files/Makefile.am,
	src/arch/sdl/msvc-files/ide-sidfpdefs.h: Removed ide-sidfpdefs.h from
	the sdl msvc-files directory.

2013-07-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/Makefile.am,
	src/arch/sdl/win32-watcom/residfp.tgt,
	src/arch/sdl/win32-watcom/sid.tgt, src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/sdl/win32-watcom/vsid.tgt,
	src/arch/sdl/win32-watcom/x128.tgt, src/arch/sdl/win32-watcom/x64.tgt,
	src/arch/sdl/win32-watcom/x64dtv.tgt,
	src/arch/sdl/win32-watcom/x64sc.tgt,
	src/arch/sdl/win32-watcom/xcbm2.tgt,
	src/arch/sdl/win32-watcom/xcbm5x0.tgt,
	src/arch/sdl/win32-watcom/xpet.tgt,
	src/arch/sdl/win32-watcom/xplus4.tgt,
	src/arch/sdl/win32-watcom/xscpu64.tgt,
	src/arch/sdl/win32-watcom/xvic.tgt: Removed resid-fp from the sdl
	win32 watcom project files.

2013-07-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/watcom/Makefile.am,
	src/arch/win32/watcom/resid-fp.tgt, src/arch/win32/watcom/sid.tgt,
	src/arch/win32/watcom/vice.wpj, src/arch/win32/watcom/vsid.tgt,
	src/arch/win32/watcom/x128.tgt, src/arch/win32/watcom/x64.tgt,
	src/arch/win32/watcom/x64dtv.tgt, src/arch/win32/watcom/x64sc.tgt,
	src/arch/win32/watcom/xcbm2.tgt, src/arch/win32/watcom/xcbm5x0.tgt,
	src/arch/win32/watcom/xpet.tgt, src/arch/win32/watcom/xplus4.tgt,
	src/arch/win32/watcom/xscpu64.tgt, src/arch/win32/watcom/xvic.tgt:
	Removed resid-fp from the win32 watcom project files.

2013-07-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/Makefile.am,
	src/arch/win32/vs_tmpl/residfp.tmpl, src/arch/win32/vs_tmpl/sid.tmpl,
	src/arch/win32/vs_tmpl/vice.tmpl, src/arch/win32/vs_tmpl/vsid.tmpl,
	src/arch/win32/vs_tmpl/x128.tmpl, src/arch/win32/vs_tmpl/x64.tmpl,
	src/arch/win32/vs_tmpl/x64dtv.tmpl, src/arch/win32/vs_tmpl/x64sc.tmpl,
	src/arch/win32/vs_tmpl/xcbm2.tmpl,
	src/arch/win32/vs_tmpl/xcbm5x0.tmpl, src/arch/win32/vs_tmpl/xpet.tmpl,
	src/arch/win32/vs_tmpl/xplus4.tmpl,
	src/arch/win32/vs_tmpl/xscpu64.tmpl, src/arch/win32/vs_tmpl/xvic.tmpl:
	Removed resid-fp from the msvc template files.

2013-07-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/mkdoxy.sh: Removed resid-fp from mkdoxy.sh

2013-07-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.texi: Removed a resid-fp reference from the vice.texi file.

2013-07-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/translate.txt: Removed the (now obsolete)
	IDCLS_RESIDFP_ENGINE_MODEL translation item.

2013-07-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/msvc-files/ide-config.h: Removed HAVE_RESID_FP from the
	sdl windows ide-config.h

2013-07-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl: Added winmips-msvc to the svn ignores.

2013-07-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/sdl/Makefile.am,
	src/arch/sdl/winmips-msvc: Removed the winmips-msvc directory, since
	it can be generated now.

2013-07-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am,
	src/arch/sdl/generate_msvcmips_project.bat,
	src/arch/sdl/msvc-files/Makefile.am,
	src/arch/sdl/msvc-files/ide-config-mips.h,
	src/arch/sdl/msvc-files/make-bindist-mips.bat.proto,
	src/arch/win32/vs_tmpl/mkmsvc.c, src/arch/win32/vs_tmpl/mkmsvc.exe,
	src/gfxoutputdrv/ffmpegdrv.c: Finished the msvc generation support.

2013-07-21  groepaz <groepaz@gmx.net>

	* src/socket.c: set either SO_REUSEPORT or SO_REUSEADDR socket options
	before binding to listening address, patch by Uffe Jakobsen

2013-07-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uisiddtv.c: Removed SID_ENGINE_RESID_FP.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl: Added the sdl win32-msvc11 directory to the svn
	ignores.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, configure.proto,
	src/arch/sdl/win32-msvc11: Removed the sdl win32-msvc11 directory,
	since it can now be generated.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, src/arch/sdl/generate_msvc10_project.bat,
	src/arch/sdl/generate_msvc11_project.bat: Added an sdl msvc11 project
	files generation batch file.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl: Added the sdl win32-msvc10 directory to the svn
	ignores.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, configure.proto,
	src/arch/sdl/win32-msvc10: Removed the sdl win32-msvc10 directory,
	since it can now be generated.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, src/arch/sdl/generate_msvc10_project.bat:
	Added an sdl msvc10 project files generation batch file.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl: Added the sdl win32-msvc9 directory to the svn
	ignores.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, configure.proto, src/arch/sdl/win32-msvc9:
	Removed the sdl win32-msvc9 directory, since it can now be generated.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/mkmsvc.c, src/arch/win32/vs_tmpl/mkmsvc.exe:
	Small fix.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, src/arch/sdl/generate_msvc9_project.bat:
	Added an sdl msvc9 project files generation batch file.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl: Added the sdl win32-msvc8 directory to the svn
	ignores.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, configure.proto, src/arch/sdl/win32-msvc8:
	Removed the sdl win32-msvc8 directory, since it can now be generated.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/generate_msvc70_project.bat,
	src/arch/sdl/generate_msvc71_project.bat: Fixed.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, src/arch/sdl/msvc-files/Makefile.am,
	src/arch/sdl/generate_msvc8_project.bat,
	src/arch/sdl/msvc-files/winid_ia64.bat,
	src/arch/sdl/msvc-files/winid_x64.bat,
	src/arch/sdl/msvc-files/winid_x86.bat: Added an sdl msvc8 project
	files generation batch file.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl: Added the sdl win32-msvc71 directory to the svn
	ignores.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, configure.proto,
	src/arch/sdl/win32-msvc71: Removed the sdl win32-msvc71 directory,
	since it can now be generated.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, src/arch/sdl/generate_msvc71_project.bat:
	Added an sdl msvc7.1 project files generation batch file.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl: Added the sdl win32-msvc70 directory to the svn
	ignores.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, configure.proto,
	src/arch/sdl/win32-msvc70: Removed the sdl win32-msvc70 directory,
	since it can now be generated.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, src/arch/sdl/generate_msvc70_project.bat:
	Added an sdl msvc7.0 project files generation batch file.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl: Added the sdl win32-msvc6 directory to the svn
	ignores.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, configure.proto, src/arch/sdl/win32-msvc6:
	Removed the sdl win32-msvc6 directory, since it can now be generated.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, src/arch/sdl/generate_msvc6_project.bat,
	src/arch/sdl/msvc-files, src/arch/sdl/msvc-files/Makefile.am,
	configure.proto, src/arch/sdl/msvc-files/dirent.h,
	src/arch/sdl/msvc-files/ide-config.h,
	src/arch/sdl/msvc-files/ide-siddefs.h,
	src/arch/sdl/msvc-files/ide-siddtvdefs.h,
	src/arch/sdl/msvc-files/ide-sidfpdefs.h,
	src/arch/sdl/msvc-files/inttypes.h,
	src/arch/sdl/msvc-files/make-bindist.bat.proto,
	src/arch/sdl/msvc-files/stdint.h,
	src/arch/sdl/msvc-files/vice.manifest: Added an sdl msvc6 project
	files generation batch file.

2013-07-20  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uiedit.c, src/arch/unix/x11/gnome/uimenu.c:
	dont use CHECK_MENUS on items that do not have a checkmark, fixes
	copy/paste

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32: Added the vs11 dir to the svn ignores.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/win32/Makefile.am, src/arch/win32/vs11:
	Removed the vs11 directory since it can be generated now.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am,
	src/arch/win32/generate_msvc11_project.bat: Added an msvc11 project
	files generation batch file.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32: Added the vs10 dir to the svn ignores.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/win32/Makefile.am, src/arch/win32/vs10:
	Removed the vs10 directory since it can be generated now.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/generate_msvc10_project.bat: Fixed.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am,
	src/arch/win32/generate_msvc10_project.bat: Added an msvc10 project
	files generation batch file.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32: Added the vs9 dir to the svn ignores.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/win32/Makefile.am, src/arch/win32/vs9:
	Removed the vs9 directory since it can be generated now.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am,
	src/arch/win32/generate_msvc9_project.bat: Added an msvc9 project
	files generation batch file.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32: Added the vs8 dir to the svn ignores.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/win32/Makefile.am, src/arch/win32/vs8:
	Removed the vs8 directory since it can be generated now.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am,
	src/arch/win32/generate_msvc8_project.bat,
	src/arch/win32/msvc/Makefile.am, src/arch/win32/msvc/winid_ia64.bat,
	src/arch/win32/msvc/winid_x64.bat, src/arch/win32/msvc/winid_x86.bat:
	Added an msvc8 project files generation batch file.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32: Added the vs71 dir to the svn ignores.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/generate_msvc70_project.bat: Fixed a typo.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/win32/Makefile.am, src/arch/win32/vs71:
	Removed the vs71 directory since it can be generated now.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am,
	src/arch/win32/generate_msvc71_project.bat: Added an msvc7.1 project
	files generation batch file.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32: Added the vs70 dir to the svn ignores.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/win32/Makefile.am, src/arch/win32/vs70:
	Removed the vs70 directory since it can be generated now.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am,
	src/arch/win32/generate_msvc70_project.bat: Added an msvc7.0 project
	files generation batch file.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32: Added the vs6 dir to the svn ignores.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/win32/Makefile.am, src/arch/win32/vs6:
	Removed the vs6 directory since it can be generated now.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/generate_msvc6_project.bat,
	src/arch/win32/Makefile.am, src/arch/win32/msvc/Makefile.am,
	src/arch/win32/msvc/make-msvc-bindist-native.bat.proto: Added an msvc6
	project files generation batch file.

2013-07-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl, src/arch/win32/vs_tmpl/mkmsvc.c,
	src/arch/win32/vs_tmpl/mkmsvc.exe, src/arch/win32/vs_tmpl/Makefile.am,
	src/arch/win32/vs_tmpl/mkmsvc.dsp, src/arch/win32/vs_tmpl/mkmsvc.dsw:
	Added mkmsvc executable to generate msvc project files, and msvc
	project files to regenerate the executable.

2013-07-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/mkmsvc.c,
	src/arch/sdl/winmips-msvc/_vice.mak,
	src/arch/sdl/winmips-msvc/arch.mak,
	src/arch/sdl/winmips-msvc/base.mak,
	src/arch/sdl/winmips-msvc/c128.mak,
	src/arch/sdl/winmips-msvc/c1541.mak,
	src/arch/sdl/winmips-msvc/c64.mak,
	src/arch/sdl/winmips-msvc/c64c128.mak,
	src/arch/sdl/winmips-msvc/c64c64dtv.mak,
	src/arch/sdl/winmips-msvc/c64cart.mak,
	src/arch/sdl/winmips-msvc/c64cartsystem.mak,
	src/arch/sdl/winmips-msvc/c64commoncart.mak,
	src/arch/sdl/winmips-msvc/c64dtv.mak,
	src/arch/sdl/winmips-msvc/c64dtvstubs.mak,
	src/arch/sdl/winmips-msvc/c64exp.mak,
	src/arch/sdl/winmips-msvc/c64sc.mak,
	src/arch/sdl/winmips-msvc/c64scpu64.mak,
	src/arch/sdl/winmips-msvc/cartconv.mak,
	src/arch/sdl/winmips-msvc/cbm2.mak,
	src/arch/sdl/winmips-msvc/cbm2common.mak,
	src/arch/sdl/winmips-msvc/cbm5x0.mak,
	src/arch/sdl/winmips-msvc/core.mak,
	src/arch/sdl/winmips-msvc/crtc.mak,
	src/arch/sdl/winmips-msvc/diskimage.mak,
	src/arch/sdl/winmips-msvc/drive.mak,
	src/arch/sdl/winmips-msvc/fileio.mak,
	src/arch/sdl/winmips-msvc/fsdevice.mak,
	src/arch/sdl/winmips-msvc/geninfocontrib.mak,
	src/arch/sdl/winmips-msvc/gentranslate.mak,
	src/arch/sdl/winmips-msvc/gfxoutputdrv.mak,
	src/arch/sdl/winmips-msvc/iec.mak,
	src/arch/sdl/winmips-msvc/iec128dcr.mak,
	src/arch/sdl/winmips-msvc/iecbus.mak,
	src/arch/sdl/winmips-msvc/iecieee.mak,
	src/arch/sdl/winmips-msvc/ieee.mak,
	src/arch/sdl/winmips-msvc/imagecontents.mak,
	src/arch/sdl/winmips-msvc/monitor.mak,
	src/arch/sdl/winmips-msvc/p64.mak,
	src/arch/sdl/winmips-msvc/parallel.mak,
	src/arch/sdl/winmips-msvc/pet.mak,
	src/arch/sdl/winmips-msvc/petcat.mak,
	src/arch/sdl/winmips-msvc/platform.mak,
	src/arch/sdl/winmips-msvc/plus4.mak,
	src/arch/sdl/winmips-msvc/plus4exp.mak,
	src/arch/sdl/winmips-msvc/printerdrv.mak,
	src/arch/sdl/winmips-msvc/raster.mak,
	src/arch/sdl/winmips-msvc/rs232drv.mak,
	src/arch/sdl/winmips-msvc/rtc.mak,
	src/arch/sdl/winmips-msvc/scpu64.mak,
	src/arch/sdl/winmips-msvc/serial.mak,
	src/arch/sdl/winmips-msvc/sid.mak,
	src/arch/sdl/winmips-msvc/sounddrv.mak,
	src/arch/sdl/winmips-msvc/tape.mak,
	src/arch/sdl/winmips-msvc/tcbm.mak,
	src/arch/sdl/winmips-msvc/userport.mak,
	src/arch/sdl/winmips-msvc/vdc.mak,
	src/arch/sdl/winmips-msvc/vdrive.mak,
	src/arch/sdl/winmips-msvc/vic20.mak,
	src/arch/sdl/winmips-msvc/vic20cart.mak,
	src/arch/sdl/winmips-msvc/vicii.mak,
	src/arch/sdl/winmips-msvc/viciidtv.mak,
	src/arch/sdl/winmips-msvc/viciisc.mak,
	src/arch/sdl/winmips-msvc/video.mak,
	src/arch/sdl/winmips-msvc/vsid.mak,
	src/arch/sdl/winmips-msvc/vsidlib.mak,
	src/arch/sdl/winmips-msvc/x128.mak, src/arch/sdl/winmips-msvc/x64.mak,
	src/arch/sdl/winmips-msvc/x64dtv.mak,
	src/arch/sdl/winmips-msvc/x64sc.mak,
	src/arch/sdl/winmips-msvc/xcbm2.mak,
	src/arch/sdl/winmips-msvc/xcbm5x0.mak,
	src/arch/sdl/winmips-msvc/xpet.mak,
	src/arch/sdl/winmips-msvc/xplus4.mak,
	src/arch/sdl/winmips-msvc/xscpu64.mak,
	src/arch/sdl/winmips-msvc/xvic.mak: Updated the sdl mips msvc make
	files.

2013-07-18  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uipetcolour.c: added missing includes

2013-07-16  groepaz <groepaz@gmx.net>

	* src/scpu64/scpu64-resources.c: setting kernal- and basic- name
	shouldnt fail

2013-07-15  pottendo  <pottendo@aon.at>

	* po/de.po: Updated.

2013-07-15  Antti S. Lankila <alankila@bel.fi>

	* src/c64/psid.c, src/c64/psid.h, src/c64/vsid.c: Use the WORD, BYTE,
	etc. types for rsid autostart

2013-07-15  Antti S. Lankila <alankila@bel.fi>

	* src/cartconv.c, src/printerdrv/drv-mps803.c,
	src/scpu64/scpu64-resources.c, src/video/renderscale2x.c: Fix a few
	clang warns: mixing signed and unsigned types, no-effect expressions,
	uninitialized return values

2013-07-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, configure.proto, src/arch/sdl/win64-msvc:
	Removed the now obsolete sdl win64-msvc directory.

2013-07-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-msvc11/_vice.vcxproj,
	src/arch/sdl/win32-msvc11/arch.vcxproj,
	src/arch/sdl/win32-msvc11/base.vcxproj,
	src/arch/sdl/win32-msvc11/c128.vcxproj,
	src/arch/sdl/win32-msvc11/c1541.vcxproj,
	src/arch/sdl/win32-msvc11/c64.vcxproj,
	src/arch/sdl/win32-msvc11/c64c128.vcxproj,
	src/arch/sdl/win32-msvc11/c64c64dtv.vcxproj,
	src/arch/sdl/win32-msvc11/c64cart.vcxproj,
	src/arch/sdl/win32-msvc11/c64cartsystem.vcxproj,
	src/arch/sdl/win32-msvc11/c64commoncart.vcxproj,
	src/arch/sdl/win32-msvc11/c64dtv.vcxproj,
	src/arch/sdl/win32-msvc11/c64dtvstubs.vcxproj,
	src/arch/sdl/win32-msvc11/c64exp.vcxproj,
	src/arch/sdl/win32-msvc11/c64sc.vcxproj,
	src/arch/sdl/win32-msvc11/c64scpu64.vcxproj,
	src/arch/sdl/win32-msvc11/cartconv.vcxproj,
	src/arch/sdl/win32-msvc11/cbm2.vcxproj,
	src/arch/sdl/win32-msvc11/cbm2common.vcxproj,
	src/arch/sdl/win32-msvc11/cbm5x0.vcxproj,
	src/arch/sdl/win32-msvc11/core.vcxproj,
	src/arch/sdl/win32-msvc11/crtc.vcxproj,
	src/arch/sdl/win32-msvc11/diskimage.vcxproj,
	src/arch/sdl/win32-msvc11/drive.vcxproj,
	src/arch/sdl/win32-msvc11/fileio.vcxproj,
	src/arch/sdl/win32-msvc11/fsdevice.vcxproj,
	src/arch/sdl/win32-msvc11/geninfocontrib.vcxproj,
	src/arch/sdl/win32-msvc11/gentranslate.vcxproj,
	src/arch/sdl/win32-msvc11/gfxoutputdrv.vcxproj,
	src/arch/sdl/win32-msvc11/iec.vcxproj,
	src/arch/sdl/win32-msvc11/iec128dcr.vcxproj,
	src/arch/sdl/win32-msvc11/iecbus.vcxproj,
	src/arch/sdl/win32-msvc11/iecieee.vcxproj,
	src/arch/sdl/win32-msvc11/ieee.vcxproj,
	src/arch/sdl/win32-msvc11/imagecontents.vcxproj,
	src/arch/sdl/win32-msvc11/monitor.vcxproj,
	src/arch/sdl/win32-msvc11/p64.vcxproj,
	src/arch/sdl/win32-msvc11/parallel.vcxproj,
	src/arch/sdl/win32-msvc11/pet.vcxproj,
	src/arch/sdl/win32-msvc11/petcat.vcxproj,
	src/arch/sdl/win32-msvc11/platform.vcxproj,
	src/arch/sdl/win32-msvc11/plus4.vcxproj,
	src/arch/sdl/win32-msvc11/plus4exp.vcxproj,
	src/arch/sdl/win32-msvc11/printerdrv.vcxproj,
	src/arch/sdl/win32-msvc11/raster.vcxproj,
	src/arch/sdl/win32-msvc11/resid.vcxproj,
	src/arch/sdl/win32-msvc11/residdtv.vcxproj,
	src/arch/sdl/win32-msvc11/residfp.vcxproj,
	src/arch/sdl/win32-msvc11/rs232drv.vcxproj,
	src/arch/sdl/win32-msvc11/rtc.vcxproj,
	src/arch/sdl/win32-msvc11/scpu64.vcxproj,
	src/arch/sdl/win32-msvc11/serial.vcxproj,
	src/arch/sdl/win32-msvc11/sid.vcxproj,
	src/arch/sdl/win32-msvc11/sounddrv.vcxproj,
	src/arch/sdl/win32-msvc11/tape.vcxproj,
	src/arch/sdl/win32-msvc11/tcbm.vcxproj,
	src/arch/sdl/win32-msvc11/userport.vcxproj,
	src/arch/sdl/win32-msvc11/vdc.vcxproj,
	src/arch/sdl/win32-msvc11/vdrive.vcxproj,
	src/arch/sdl/win32-msvc11/vic20.vcxproj,
	src/arch/sdl/win32-msvc11/vic20cart.vcxproj,
	src/arch/sdl/win32-msvc11/vice.sln,
	src/arch/sdl/win32-msvc11/vicii.vcxproj,
	src/arch/sdl/win32-msvc11/viciidtv.vcxproj,
	src/arch/sdl/win32-msvc11/viciisc.vcxproj,
	src/arch/sdl/win32-msvc11/video.vcxproj,
	src/arch/sdl/win32-msvc11/vsid.vcxproj,
	src/arch/sdl/win32-msvc11/vsidlib.vcxproj,
	src/arch/sdl/win32-msvc11/x128.vcxproj,
	src/arch/sdl/win32-msvc11/x64.vcxproj,
	src/arch/sdl/win32-msvc11/x64dtv.vcxproj,
	src/arch/sdl/win32-msvc11/x64sc.vcxproj,
	src/arch/sdl/win32-msvc11/xcbm2.vcxproj,
	src/arch/sdl/win32-msvc11/xcbm5x0.vcxproj,
	src/arch/sdl/win32-msvc11/xpet.vcxproj,
	src/arch/sdl/win32-msvc11/xplus4.vcxproj,
	src/arch/sdl/win32-msvc11/xscpu64.vcxproj,
	src/arch/sdl/win32-msvc11/xvic.vcxproj: Finished sdl msvc11 support.

2013-07-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, src/arch/win32/vs_tmpl/mkmsvc.c,
	configure.proto, src/arch/sdl/win32-msvc11,
	src/arch/sdl/win32-msvc11/_vice.vcxproj,
	src/arch/sdl/win32-msvc11/arch.vcxproj,
	src/arch/sdl/win32-msvc11/base.vcxproj,
	src/arch/sdl/win32-msvc11/c128.vcxproj,
	src/arch/sdl/win32-msvc11/c1541.vcxproj,
	src/arch/sdl/win32-msvc11/c64.vcxproj,
	src/arch/sdl/win32-msvc11/c64c128.vcxproj,
	src/arch/sdl/win32-msvc11/c64c64dtv.vcxproj,
	src/arch/sdl/win32-msvc11/c64cart.vcxproj,
	src/arch/sdl/win32-msvc11/c64cartsystem.vcxproj,
	src/arch/sdl/win32-msvc11/c64commoncart.vcxproj,
	src/arch/sdl/win32-msvc11/c64dtv.vcxproj,
	src/arch/sdl/win32-msvc11/c64dtvstubs.vcxproj,
	src/arch/sdl/win32-msvc11/c64exp.vcxproj,
	src/arch/sdl/win32-msvc11/c64sc.vcxproj,
	src/arch/sdl/win32-msvc11/c64scpu64.vcxproj,
	src/arch/sdl/win32-msvc11/cartconv.vcxproj,
	src/arch/sdl/win32-msvc11/cbm2.vcxproj,
	src/arch/sdl/win32-msvc11/cbm2common.vcxproj,
	src/arch/sdl/win32-msvc11/cbm5x0.vcxproj,
	src/arch/sdl/win32-msvc11/core.vcxproj,
	src/arch/sdl/win32-msvc11/crtc.vcxproj,
	src/arch/sdl/win32-msvc11/diskimage.vcxproj,
	src/arch/sdl/win32-msvc11/drive.vcxproj,
	src/arch/sdl/win32-msvc11/fileio.vcxproj,
	src/arch/sdl/win32-msvc11/fsdevice.vcxproj,
	src/arch/sdl/win32-msvc11/geninfocontrib.vcxproj,
	src/arch/sdl/win32-msvc11/gentranslate.vcxproj,
	src/arch/sdl/win32-msvc11/gfxoutputdrv.vcxproj,
	src/arch/sdl/win32-msvc11/iec.vcxproj,
	src/arch/sdl/win32-msvc11/iec128dcr.vcxproj,
	src/arch/sdl/win32-msvc11/iecbus.vcxproj,
	src/arch/sdl/win32-msvc11/iecieee.vcxproj,
	src/arch/sdl/win32-msvc11/ieee.vcxproj,
	src/arch/sdl/win32-msvc11/imagecontents.vcxproj,
	src/arch/sdl/win32-msvc11/monitor.vcxproj,
	src/arch/sdl/win32-msvc11/p64.vcxproj,
	src/arch/sdl/win32-msvc11/parallel.vcxproj,
	src/arch/sdl/win32-msvc11/pet.vcxproj,
	src/arch/sdl/win32-msvc11/petcat.vcxproj,
	src/arch/sdl/win32-msvc11/platform.vcxproj,
	src/arch/sdl/win32-msvc11/plus4.vcxproj,
	src/arch/sdl/win32-msvc11/plus4exp.vcxproj,
	src/arch/sdl/win32-msvc11/printerdrv.vcxproj,
	src/arch/sdl/win32-msvc11/raster.vcxproj,
	src/arch/sdl/win32-msvc11/resid.vcxproj,
	src/arch/sdl/win32-msvc11/residdtv.vcxproj,
	src/arch/sdl/win32-msvc11/residfp.vcxproj,
	src/arch/sdl/win32-msvc11/rs232drv.vcxproj,
	src/arch/sdl/win32-msvc11/rtc.vcxproj,
	src/arch/sdl/win32-msvc11/scpu64.vcxproj,
	src/arch/sdl/win32-msvc11/serial.vcxproj,
	src/arch/sdl/win32-msvc11/sid.vcxproj,
	src/arch/sdl/win32-msvc11/sounddrv.vcxproj,
	src/arch/sdl/win32-msvc11/tape.vcxproj,
	src/arch/sdl/win32-msvc11/tcbm.vcxproj,
	src/arch/sdl/win32-msvc11/userport.vcxproj,
	src/arch/sdl/win32-msvc11/vdc.vcxproj,
	src/arch/sdl/win32-msvc11/vdrive.vcxproj,
	src/arch/sdl/win32-msvc11/vic20.vcxproj,
	src/arch/sdl/win32-msvc11/vic20cart.vcxproj,
	src/arch/sdl/win32-msvc11/vice.sln,
	src/arch/sdl/win32-msvc11/vicii.vcxproj,
	src/arch/sdl/win32-msvc11/viciidtv.vcxproj,
	src/arch/sdl/win32-msvc11/viciisc.vcxproj,
	src/arch/sdl/win32-msvc11/video.vcxproj,
	src/arch/sdl/win32-msvc11/vsid.vcxproj,
	src/arch/sdl/win32-msvc11/vsidlib.vcxproj,
	src/arch/sdl/win32-msvc11/x128.vcxproj,
	src/arch/sdl/win32-msvc11/x64.vcxproj,
	src/arch/sdl/win32-msvc11/x64dtv.vcxproj,
	src/arch/sdl/win32-msvc11/x64sc.vcxproj,
	src/arch/sdl/win32-msvc11/xcbm2.vcxproj,
	src/arch/sdl/win32-msvc11/xcbm5x0.vcxproj,
	src/arch/sdl/win32-msvc11/xpet.vcxproj,
	src/arch/sdl/win32-msvc11/xplus4.vcxproj,
	src/arch/sdl/win32-msvc11/xscpu64.vcxproj,
	src/arch/sdl/win32-msvc11/xvic.vcxproj,
	src/arch/sdl/win32-msvc11/Makefile.am,
	src/arch/sdl/win32-msvc11/Readme.txt,
	src/arch/sdl/win32-msvc11/dirent.h,
	src/arch/sdl/win32-msvc11/ide-config.h,
	src/arch/sdl/win32-msvc11/ide-siddefs.h,
	src/arch/sdl/win32-msvc11/ide-siddtvdefs.h,
	src/arch/sdl/win32-msvc11/ide-sidfpdefs.h,
	src/arch/sdl/win32-msvc11/inttypes.h,
	src/arch/sdl/win32-msvc11/make-bindist.bat,
	src/arch/sdl/win32-msvc11/stdint.h,
	src/arch/sdl/win32-msvc11/vice.manifest,
	src/arch/sdl/win32-msvc11/winid_ia64.bat,
	src/arch/sdl/win32-msvc11/winid_x64.bat,
	src/arch/sdl/win32-msvc11/winid_x86.bat: Added an sdl win32-msvc11
	directory, populated with msvc10 project files for now.

2013-07-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-msvc10/_vice.vcxproj,
	src/arch/sdl/win32-msvc10/arch.vcxproj,
	src/arch/sdl/win32-msvc10/base.vcxproj,
	src/arch/sdl/win32-msvc10/c128.vcxproj,
	src/arch/sdl/win32-msvc10/c1541.vcxproj,
	src/arch/sdl/win32-msvc10/c64.vcxproj,
	src/arch/sdl/win32-msvc10/c64c128.vcxproj,
	src/arch/sdl/win32-msvc10/c64c64dtv.vcxproj,
	src/arch/sdl/win32-msvc10/c64cart.vcxproj,
	src/arch/sdl/win32-msvc10/c64cartsystem.vcxproj,
	src/arch/sdl/win32-msvc10/c64commoncart.vcxproj,
	src/arch/sdl/win32-msvc10/c64dtv.vcxproj,
	src/arch/sdl/win32-msvc10/c64dtvstubs.vcxproj,
	src/arch/sdl/win32-msvc10/c64exp.vcxproj,
	src/arch/sdl/win32-msvc10/c64sc.vcxproj,
	src/arch/sdl/win32-msvc10/c64scpu64.vcxproj,
	src/arch/sdl/win32-msvc10/cartconv.vcxproj,
	src/arch/sdl/win32-msvc10/cbm2.vcxproj,
	src/arch/sdl/win32-msvc10/cbm2common.vcxproj,
	src/arch/sdl/win32-msvc10/cbm5x0.vcxproj,
	src/arch/sdl/win32-msvc10/core.vcxproj,
	src/arch/sdl/win32-msvc10/crtc.vcxproj,
	src/arch/sdl/win32-msvc10/diskimage.vcxproj,
	src/arch/sdl/win32-msvc10/drive.vcxproj,
	src/arch/sdl/win32-msvc10/fileio.vcxproj,
	src/arch/sdl/win32-msvc10/fsdevice.vcxproj,
	src/arch/sdl/win32-msvc10/geninfocontrib.vcxproj,
	src/arch/sdl/win32-msvc10/gentranslate.vcxproj,
	src/arch/sdl/win32-msvc10/gfxoutputdrv.vcxproj,
	src/arch/sdl/win32-msvc10/iec.vcxproj,
	src/arch/sdl/win32-msvc10/iec128dcr.vcxproj,
	src/arch/sdl/win32-msvc10/iecbus.vcxproj,
	src/arch/sdl/win32-msvc10/iecieee.vcxproj,
	src/arch/sdl/win32-msvc10/ieee.vcxproj,
	src/arch/sdl/win32-msvc10/imagecontents.vcxproj,
	src/arch/sdl/win32-msvc10/monitor.vcxproj,
	src/arch/sdl/win32-msvc10/p64.vcxproj,
	src/arch/sdl/win32-msvc10/parallel.vcxproj,
	src/arch/sdl/win32-msvc10/pet.vcxproj,
	src/arch/sdl/win32-msvc10/petcat.vcxproj,
	src/arch/sdl/win32-msvc10/platform.vcxproj,
	src/arch/sdl/win32-msvc10/plus4.vcxproj,
	src/arch/sdl/win32-msvc10/plus4exp.vcxproj,
	src/arch/sdl/win32-msvc10/printerdrv.vcxproj,
	src/arch/sdl/win32-msvc10/raster.vcxproj,
	src/arch/sdl/win32-msvc10/resid.vcxproj,
	src/arch/sdl/win32-msvc10/residdtv.vcxproj,
	src/arch/sdl/win32-msvc10/residfp.vcxproj,
	src/arch/sdl/win32-msvc10/rs232drv.vcxproj,
	src/arch/sdl/win32-msvc10/rtc.vcxproj,
	src/arch/sdl/win32-msvc10/scpu64.vcxproj,
	src/arch/sdl/win32-msvc10/serial.vcxproj,
	src/arch/sdl/win32-msvc10/sid.vcxproj,
	src/arch/sdl/win32-msvc10/sounddrv.vcxproj,
	src/arch/sdl/win32-msvc10/tape.vcxproj,
	src/arch/sdl/win32-msvc10/tcbm.vcxproj,
	src/arch/sdl/win32-msvc10/userport.vcxproj,
	src/arch/sdl/win32-msvc10/vdc.vcxproj,
	src/arch/sdl/win32-msvc10/vdrive.vcxproj,
	src/arch/sdl/win32-msvc10/vic20.vcxproj,
	src/arch/sdl/win32-msvc10/vic20cart.vcxproj,
	src/arch/sdl/win32-msvc10/vice.sln,
	src/arch/sdl/win32-msvc10/vicii.vcxproj,
	src/arch/sdl/win32-msvc10/viciidtv.vcxproj,
	src/arch/sdl/win32-msvc10/viciisc.vcxproj,
	src/arch/sdl/win32-msvc10/video.vcxproj,
	src/arch/sdl/win32-msvc10/vsid.vcxproj,
	src/arch/sdl/win32-msvc10/vsidlib.vcxproj,
	src/arch/sdl/win32-msvc10/x128.vcxproj,
	src/arch/sdl/win32-msvc10/x64.vcxproj,
	src/arch/sdl/win32-msvc10/x64dtv.vcxproj,
	src/arch/sdl/win32-msvc10/x64sc.vcxproj,
	src/arch/sdl/win32-msvc10/xcbm2.vcxproj,
	src/arch/sdl/win32-msvc10/xcbm5x0.vcxproj,
	src/arch/sdl/win32-msvc10/xpet.vcxproj,
	src/arch/sdl/win32-msvc10/xplus4.vcxproj,
	src/arch/sdl/win32-msvc10/xscpu64.vcxproj,
	src/arch/sdl/win32-msvc10/xvic.vcxproj: Finished the sdl msvc10
	support.

2013-07-14  Antti S. Lankila <alankila@bel.fi>

	* INSTALL, configure.proto, doc/vice.pdf, src/Makefile.am,
	src/arch/amigaos/mui/uisid.c, src/arch/amigaos/mui/uisiddtv.c,
	src/arch/amigaos/vsidui.c, src/arch/android/AnVICE/config.android.h,
	src/arch/beos/ui_sid.cc, src/arch/beos/ui_sidcart.cc,
	src/arch/msdos/uisidc128.c, src/arch/msdos/uisidc64.c,
	src/arch/msdos/uisidcbm2.c, src/arch/msdos/uisiddtv.c,
	src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.rc,
	src/arch/os2/vac++/Makefile.am, src/arch/os2/vac++/RESIDFP.ICC,
	src/arch/sdl/menu_sid.c, src/arch/unix/gui/uisid.c,
	src/arch/unix/macosx/cocoa/dialog/sidsettingswindowcontroller.m,
	src/arch/watcom-source-wrappers/Makefile.am,
	src/arch/watcom-source-wrappers/residfp-envelope.cc,
	src/arch/watcom-source-wrappers/residfp-extfilt.cc,
	src/arch/watcom-source-wrappers/residfp-filter.cc,
	src/arch/watcom-source-wrappers/residfp-pot.cc,
	src/arch/watcom-source-wrappers/residfp-sid.cc,
	src/arch/watcom-source-wrappers/residfp-version.cc,
	src/arch/watcom-source-wrappers/residfp-voice.cc,
	src/arch/watcom-source-wrappers/residfp-wave.cc,
	src/arch/win32/Makefile.am, src/arch/win32/msvc/ide-config.h,
	src/arch/win32/ressid.rc, src/arch/win32/ressiddtv.rc,
	src/arch/win32/uisid.c, src/arch/win32/uisiddtv.c,
	src/arch/win64/Makefile.am, src/c128/c128model.c, src/c64/c64model.c,
	c64/c64scmodel.c, src/resid-fp, src/sid/Makefile.am,
	src/sid/resid-fp.cc, src/sid/resid-fp.h, src/sid/sid-resources.c,
	src/sid/sid.c, src/sid/sid.h, src/svnversion.h, src/translate.c,
	src/translate_text.c: Remove resid-fp from the codebase. I tried to
	fix the autotools build, but MSVC stuff is not fixed

2013-07-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-msvc10/Makefile.am,
	src/arch/sdl/win32-msvc10/_vice.vcxproj,
	src/arch/sdl/win32-msvc10/arch.vcxproj,
	src/arch/sdl/win32-msvc10/base.vcxproj,
	src/arch/sdl/win32-msvc10/c128.vcxproj,
	src/arch/sdl/win32-msvc10/c1541.vcxproj,
	src/arch/sdl/win32-msvc10/c64.vcxproj,
	src/arch/sdl/win32-msvc10/c64c128.vcxproj,
	src/arch/sdl/win32-msvc10/c64c64dtv.vcxproj,
	src/arch/sdl/win32-msvc10/c64cart.vcxproj,
	src/arch/sdl/win32-msvc10/c64cartsystem.vcxproj,
	src/arch/sdl/win32-msvc10/c64commoncart.vcxproj,
	src/arch/sdl/win32-msvc10/c64dtv.vcxproj,
	src/arch/sdl/win32-msvc10/c64dtvstubs.vcxproj,
	src/arch/sdl/win32-msvc10/c64exp.vcxproj,
	src/arch/sdl/win32-msvc10/c64sc.vcxproj,
	src/arch/sdl/win32-msvc10/c64scpu64.vcxproj,
	src/arch/sdl/win32-msvc10/cartconv.vcxproj,
	src/arch/sdl/win32-msvc10/cbm2.vcxproj,
	src/arch/sdl/win32-msvc10/cbm2common.vcxproj,
	src/arch/sdl/win32-msvc10/cbm5x0.vcxproj,
	src/arch/sdl/win32-msvc10/core.vcxproj,
	src/arch/sdl/win32-msvc10/crtc.vcxproj,
	src/arch/sdl/win32-msvc10/diskimage.vcxproj,
	src/arch/sdl/win32-msvc10/drive.vcxproj,
	src/arch/sdl/win32-msvc10/fileio.vcxproj,
	src/arch/sdl/win32-msvc10/fsdevice.vcxproj,
	src/arch/sdl/win32-msvc10/geninfocontrib.vcxproj,
	src/arch/sdl/win32-msvc10/gentranslate.vcxproj,
	src/arch/sdl/win32-msvc10/gfxoutputdrv.vcxproj,
	src/arch/sdl/win32-msvc10/iec.vcxproj,
	src/arch/sdl/win32-msvc10/iec128dcr.vcxproj,
	src/arch/sdl/win32-msvc10/iecbus.vcxproj,
	src/arch/sdl/win32-msvc10/iecieee.vcxproj,
	src/arch/sdl/win32-msvc10/ieee.vcxproj,
	src/arch/sdl/win32-msvc10/imagecontents.vcxproj,
	src/arch/sdl/win32-msvc10/monitor.vcxproj,
	src/arch/sdl/win32-msvc10/p64.vcxproj,
	src/arch/sdl/win32-msvc10/parallel.vcxproj,
	src/arch/sdl/win32-msvc10/pet.vcxproj,
	src/arch/sdl/win32-msvc10/petcat.vcxproj,
	src/arch/sdl/win32-msvc10/platform.vcxproj,
	src/arch/sdl/win32-msvc10/plus4.vcxproj,
	src/arch/sdl/win32-msvc10/plus4exp.vcxproj,
	src/arch/sdl/win32-msvc10/printerdrv.vcxproj,
	src/arch/sdl/win32-msvc10/raster.vcxproj,
	src/arch/sdl/win32-msvc10/resid.vcxproj,
	src/arch/sdl/win32-msvc10/residdtv.vcxproj,
	src/arch/sdl/win32-msvc10/residfp.vcxproj,
	src/arch/sdl/win32-msvc10/rs232drv.vcxproj,
	src/arch/sdl/win32-msvc10/rtc.vcxproj,
	src/arch/sdl/win32-msvc10/scpu64.vcxproj,
	src/arch/sdl/win32-msvc10/serial.vcxproj,
	src/arch/sdl/win32-msvc10/sid.vcxproj,
	src/arch/sdl/win32-msvc10/sounddrv.vcxproj,
	src/arch/sdl/win32-msvc10/tape.vcxproj,
	src/arch/sdl/win32-msvc10/tcbm.vcxproj,
	src/arch/sdl/win32-msvc10/userport.vcxproj,
	src/arch/sdl/win32-msvc10/vdc.vcxproj,
	src/arch/sdl/win32-msvc10/vdrive.vcxproj,
	src/arch/sdl/win32-msvc10/vic20.vcxproj,
	src/arch/sdl/win32-msvc10/vic20cart.vcxproj,
	src/arch/sdl/win32-msvc10/vice.sln,
	src/arch/sdl/win32-msvc10/vicii.vcxproj,
	src/arch/sdl/win32-msvc10/viciidtv.vcxproj,
	src/arch/sdl/win32-msvc10/viciisc.vcxproj,
	src/arch/sdl/win32-msvc10/video.vcxproj,
	src/arch/sdl/win32-msvc10/vsid.vcxproj,
	src/arch/sdl/win32-msvc10/vsidlib.vcxproj,
	src/arch/sdl/win32-msvc10/x128.vcxproj,
	src/arch/sdl/win32-msvc10/x64.vcxproj,
	src/arch/sdl/win32-msvc10/x64dtv.vcxproj,
	src/arch/sdl/win32-msvc10/x64sc.vcxproj,
	src/arch/sdl/win32-msvc10/xcbm2.vcxproj,
	src/arch/sdl/win32-msvc10/xcbm5x0.vcxproj,
	src/arch/sdl/win32-msvc10/xpet.vcxproj,
	src/arch/sdl/win32-msvc10/xplus4.vcxproj,
	src/arch/sdl/win32-msvc10/xscpu64.vcxproj,
	src/arch/sdl/win32-msvc10/xvic.vcxproj,
	src/arch/sdl/win32-msvc10/_vice.vcproj,
	src/arch/sdl/win32-msvc10/arch.vcproj,
	src/arch/sdl/win32-msvc10/base.vcproj,
	src/arch/sdl/win32-msvc10/c128.vcproj,
	src/arch/sdl/win32-msvc10/c1541.vcproj,
	src/arch/sdl/win32-msvc10/c64.vcproj,
	src/arch/sdl/win32-msvc10/c64c128.vcproj,
	src/arch/sdl/win32-msvc10/c64c64dtv.vcproj,
	src/arch/sdl/win32-msvc10/c64cart.vcproj,
	src/arch/sdl/win32-msvc10/c64cartsystem.vcproj,
	src/arch/sdl/win32-msvc10/c64commoncart.vcproj,
	src/arch/sdl/win32-msvc10/c64dtv.vcproj,
	src/arch/sdl/win32-msvc10/c64dtvstubs.vcproj,
	src/arch/sdl/win32-msvc10/c64exp.vcproj,
	src/arch/sdl/win32-msvc10/c64sc.vcproj,
	src/arch/sdl/win32-msvc10/c64scpu64.vcproj,
	src/arch/sdl/win32-msvc10/cartconv.vcproj,
	src/arch/sdl/win32-msvc10/cbm2.vcproj,
	src/arch/sdl/win32-msvc10/cbm2common.vcproj,
	src/arch/sdl/win32-msvc10/cbm5x0.vcproj,
	src/arch/sdl/win32-msvc10/core.vcproj,
	src/arch/sdl/win32-msvc10/crtc.vcproj,
	src/arch/sdl/win32-msvc10/diskimage.vcproj,
	src/arch/sdl/win32-msvc10/drive.vcproj,
	src/arch/sdl/win32-msvc10/fileio.vcproj,
	src/arch/sdl/win32-msvc10/fsdevice.vcproj,
	src/arch/sdl/win32-msvc10/geninfocontrib.vcproj,
	src/arch/sdl/win32-msvc10/gentranslate.vcproj,
	src/arch/sdl/win32-msvc10/gfxoutputdrv.vcproj,
	src/arch/sdl/win32-msvc10/iec.vcproj,
	src/arch/sdl/win32-msvc10/iec128dcr.vcproj,
	src/arch/sdl/win32-msvc10/iecbus.vcproj,
	src/arch/sdl/win32-msvc10/iecieee.vcproj,
	src/arch/sdl/win32-msvc10/ieee.vcproj,
	src/arch/sdl/win32-msvc10/imagecontents.vcproj,
	src/arch/sdl/win32-msvc10/monitor.vcproj,
	src/arch/sdl/win32-msvc10/p64.vcproj,
	src/arch/sdl/win32-msvc10/parallel.vcproj,
	src/arch/sdl/win32-msvc10/pet.vcproj,
	src/arch/sdl/win32-msvc10/petcat.vcproj,
	src/arch/sdl/win32-msvc10/platform.vcproj,
	src/arch/sdl/win32-msvc10/plus4.vcproj,
	src/arch/sdl/win32-msvc10/plus4exp.vcproj,
	src/arch/sdl/win32-msvc10/printerdrv.vcproj,
	src/arch/sdl/win32-msvc10/raster.vcproj,
	src/arch/sdl/win32-msvc10/resid.vcproj,
	src/arch/sdl/win32-msvc10/residdtv.vcproj,
	src/arch/sdl/win32-msvc10/residfp.vcproj,
	src/arch/sdl/win32-msvc10/rs232drv.vcproj,
	src/arch/sdl/win32-msvc10/rtc.vcproj,
	src/arch/sdl/win32-msvc10/scpu64.vcproj,
	src/arch/sdl/win32-msvc10/serial.vcproj,
	src/arch/sdl/win32-msvc10/sid.vcproj,
	src/arch/sdl/win32-msvc10/sounddrv.vcproj,
	src/arch/sdl/win32-msvc10/tape.vcproj,
	src/arch/sdl/win32-msvc10/tcbm.vcproj,
	src/arch/sdl/win32-msvc10/userport.vcproj,
	src/arch/sdl/win32-msvc10/vdc.vcproj,
	src/arch/sdl/win32-msvc10/vdrive.vcproj,
	src/arch/sdl/win32-msvc10/vic20.vcproj,
	src/arch/sdl/win32-msvc10/vic20cart.vcproj,
	src/arch/sdl/win32-msvc10/vicii.vcproj,
	src/arch/sdl/win32-msvc10/viciidtv.vcproj,
	src/arch/sdl/win32-msvc10/viciisc.vcproj,
	src/arch/sdl/win32-msvc10/video.vcproj,
	src/arch/sdl/win32-msvc10/vsid.vcproj,
	src/arch/sdl/win32-msvc10/vsidlib.vcproj,
	src/arch/sdl/win32-msvc10/x128.vcproj,
	src/arch/sdl/win32-msvc10/x64.vcproj,
	src/arch/sdl/win32-msvc10/x64dtv.vcproj,
	src/arch/sdl/win32-msvc10/x64sc.vcproj,
	src/arch/sdl/win32-msvc10/xcbm2.vcproj,
	src/arch/sdl/win32-msvc10/xcbm5x0.vcproj,
	src/arch/sdl/win32-msvc10/xpet.vcproj,
	src/arch/sdl/win32-msvc10/xplus4.vcproj,
	src/arch/sdl/win32-msvc10/xscpu64.vcproj,
	src/arch/sdl/win32-msvc10/xvic.vcproj: Put sdl msvc10 project files in
	place.

2013-07-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, configure.proto,
	src/arch/sdl/win32-msvc10, src/arch/sdl/win32-msvc10/Makefile.am,
	src/arch/sdl/win32-msvc10/Readme.txt,
	src/arch/sdl/win32-msvc10/dirent.h,
	src/arch/sdl/win32-msvc10/ide-config.h,
	src/arch/sdl/win32-msvc10/ide-siddefs.h,
	src/arch/sdl/win32-msvc10/ide-siddtvdefs.h,
	src/arch/sdl/win32-msvc10/ide-sidfpdefs.h,
	src/arch/sdl/win32-msvc10/inttypes.h,
	src/arch/sdl/win32-msvc10/make-bindist.bat,
	src/arch/sdl/win32-msvc10/stdint.h,
	src/arch/sdl/win32-msvc10/vice.manifest,
	src/arch/sdl/win32-msvc10/vice.sln,
	src/arch/sdl/win32-msvc10/winid_ia64.bat,
	src/arch/sdl/win32-msvc10/winid_x64.bat,
	src/arch/sdl/win32-msvc10/winid_x86.bat,
	src/arch/sdl/win32-msvc10/_vice.vcproj,
	src/arch/sdl/win32-msvc10/arch.vcproj,
	src/arch/sdl/win32-msvc10/base.vcproj,
	src/arch/sdl/win32-msvc10/c128.vcproj,
	src/arch/sdl/win32-msvc10/c1541.vcproj,
	src/arch/sdl/win32-msvc10/c64.vcproj,
	src/arch/sdl/win32-msvc10/c64c128.vcproj,
	src/arch/sdl/win32-msvc10/c64c64dtv.vcproj,
	src/arch/sdl/win32-msvc10/c64cart.vcproj,
	src/arch/sdl/win32-msvc10/c64cartsystem.vcproj,
	src/arch/sdl/win32-msvc10/c64commoncart.vcproj,
	src/arch/sdl/win32-msvc10/c64dtv.vcproj,
	src/arch/sdl/win32-msvc10/c64dtvstubs.vcproj,
	src/arch/sdl/win32-msvc10/c64exp.vcproj,
	src/arch/sdl/win32-msvc10/c64sc.vcproj,
	src/arch/sdl/win32-msvc10/c64scpu64.vcproj,
	src/arch/sdl/win32-msvc10/cartconv.vcproj,
	src/arch/sdl/win32-msvc10/cbm2.vcproj,
	src/arch/sdl/win32-msvc10/cbm2common.vcproj,
	src/arch/sdl/win32-msvc10/cbm5x0.vcproj,
	src/arch/sdl/win32-msvc10/core.vcproj,
	src/arch/sdl/win32-msvc10/crtc.vcproj,
	src/arch/sdl/win32-msvc10/diskimage.vcproj,
	src/arch/sdl/win32-msvc10/drive.vcproj,
	src/arch/sdl/win32-msvc10/fileio.vcproj,
	src/arch/sdl/win32-msvc10/fsdevice.vcproj,
	src/arch/sdl/win32-msvc10/geninfocontrib.vcproj,
	src/arch/sdl/win32-msvc10/gentranslate.vcproj,
	src/arch/sdl/win32-msvc10/gfxoutputdrv.vcproj,
	src/arch/sdl/win32-msvc10/iec.vcproj,
	src/arch/sdl/win32-msvc10/iec128dcr.vcproj,
	src/arch/sdl/win32-msvc10/iecbus.vcproj,
	src/arch/sdl/win32-msvc10/iecieee.vcproj,
	src/arch/sdl/win32-msvc10/ieee.vcproj,
	src/arch/sdl/win32-msvc10/imagecontents.vcproj,
	src/arch/sdl/win32-msvc10/monitor.vcproj,
	src/arch/sdl/win32-msvc10/p64.vcproj,
	src/arch/sdl/win32-msvc10/parallel.vcproj,
	src/arch/sdl/win32-msvc10/pet.vcproj,
	src/arch/sdl/win32-msvc10/petcat.vcproj,
	src/arch/sdl/win32-msvc10/platform.vcproj,
	src/arch/sdl/win32-msvc10/plus4.vcproj,
	src/arch/sdl/win32-msvc10/plus4exp.vcproj,
	src/arch/sdl/win32-msvc10/printerdrv.vcproj,
	src/arch/sdl/win32-msvc10/raster.vcproj,
	src/arch/sdl/win32-msvc10/resid.vcproj,
	src/arch/sdl/win32-msvc10/residdtv.vcproj,
	src/arch/sdl/win32-msvc10/residfp.vcproj,
	src/arch/sdl/win32-msvc10/rs232drv.vcproj,
	src/arch/sdl/win32-msvc10/rtc.vcproj,
	src/arch/sdl/win32-msvc10/scpu64.vcproj,
	src/arch/sdl/win32-msvc10/serial.vcproj,
	src/arch/sdl/win32-msvc10/sid.vcproj,
	src/arch/sdl/win32-msvc10/sounddrv.vcproj,
	src/arch/sdl/win32-msvc10/tape.vcproj,
	src/arch/sdl/win32-msvc10/tcbm.vcproj,
	src/arch/sdl/win32-msvc10/userport.vcproj,
	src/arch/sdl/win32-msvc10/vdc.vcproj,
	src/arch/sdl/win32-msvc10/vdrive.vcproj,
	src/arch/sdl/win32-msvc10/vic20.vcproj,
	src/arch/sdl/win32-msvc10/vic20cart.vcproj,
	src/arch/sdl/win32-msvc10/vicii.vcproj,
	src/arch/sdl/win32-msvc10/viciidtv.vcproj,
	src/arch/sdl/win32-msvc10/viciisc.vcproj,
	src/arch/sdl/win32-msvc10/video.vcproj,
	src/arch/sdl/win32-msvc10/vsid.vcproj,
	src/arch/sdl/win32-msvc10/vsidlib.vcproj,
	src/arch/sdl/win32-msvc10/x128.vcproj,
	src/arch/sdl/win32-msvc10/x64.vcproj,
	src/arch/sdl/win32-msvc10/x64dtv.vcproj,
	src/arch/sdl/win32-msvc10/x64sc.vcproj,
	src/arch/sdl/win32-msvc10/xcbm2.vcproj,
	src/arch/sdl/win32-msvc10/xcbm5x0.vcproj,
	src/arch/sdl/win32-msvc10/xpet.vcproj,
	src/arch/sdl/win32-msvc10/xplus4.vcproj,
	src/arch/sdl/win32-msvc10/xscpu64.vcproj,
	src/arch/sdl/win32-msvc10/xvic.vcproj: Made an sdl win32-msvc10
	directory, populated with msvc9 project files for now.

2013-07-12  groepaz <groepaz@gmx.net>

	* src/sounddrv/soundsdl.c: fix sample calculation, makes stereo
	setting work when pulseaudio is used as backend

2013-07-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/mkmsvc.c,
	src/arch/sdl/win32-msvc9/_vice.vcproj,
	src/arch/sdl/win32-msvc9/base.vcproj,
	src/arch/sdl/win32-msvc9/c128.vcproj,
	src/arch/sdl/win32-msvc9/c1541.vcproj,
	src/arch/sdl/win32-msvc9/c64dtv.vcproj,
	src/arch/sdl/win32-msvc9/c64sc.vcproj,
	src/arch/sdl/win32-msvc9/cartconv.vcproj,
	src/arch/sdl/win32-msvc9/cbm2common.vcproj,
	src/arch/sdl/win32-msvc9/drive.vcproj,
	src/arch/sdl/win32-msvc9/geninfocontrib.vcproj,
	src/arch/sdl/win32-msvc9/gentranslate.vcproj,
	src/arch/sdl/win32-msvc9/monitor.vcproj,
	src/arch/sdl/win32-msvc9/pet.vcproj,
	src/arch/sdl/win32-msvc9/petcat.vcproj,
	src/arch/sdl/win32-msvc9/plus4.vcproj,
	src/arch/sdl/win32-msvc9/rtc.vcproj,
	src/arch/sdl/win32-msvc9/scpu64.vcproj,
	src/arch/sdl/win32-msvc9/sid.vcproj,
	src/arch/sdl/win32-msvc9/sounddrv.vcproj,
	src/arch/sdl/win32-msvc9/vic20.vcproj,
	src/arch/sdl/win32-msvc9/vice.sln,
	src/arch/sdl/win32-msvc9/vsid.vcproj,
	src/arch/sdl/win32-msvc9/vsidlib.vcproj,
	src/arch/sdl/win32-msvc9/x128.vcproj,
	src/arch/sdl/win32-msvc9/x64.vcproj,
	src/arch/sdl/win32-msvc9/x64dtv.vcproj,
	src/arch/sdl/win32-msvc9/x64sc.vcproj,
	src/arch/sdl/win32-msvc9/xcbm2.vcproj,
	src/arch/sdl/win32-msvc9/xcbm5x0.vcproj,
	src/arch/sdl/win32-msvc9/xpet.vcproj,
	src/arch/sdl/win32-msvc9/xplus4.vcproj,
	src/arch/sdl/win32-msvc9/xscpu64.vcproj,
	src/arch/sdl/win32-msvc9/xvic.vcproj: Finished the sdl msvc9 support.

2013-07-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-msvc9/_vice.vcproj,
	src/arch/sdl/win32-msvc9/arch.vcproj,
	src/arch/sdl/win32-msvc9/base.vcproj,
	src/arch/sdl/win32-msvc9/c128.vcproj,
	src/arch/sdl/win32-msvc9/c1541.vcproj,
	src/arch/sdl/win32-msvc9/c64.vcproj,
	src/arch/sdl/win32-msvc9/c64c128.vcproj,
	src/arch/sdl/win32-msvc9/c64c64dtv.vcproj,
	src/arch/sdl/win32-msvc9/c64cart.vcproj,
	src/arch/sdl/win32-msvc9/c64cartsystem.vcproj,
	src/arch/sdl/win32-msvc9/c64commoncart.vcproj,
	src/arch/sdl/win32-msvc9/c64dtv.vcproj,
	src/arch/sdl/win32-msvc9/c64dtvstubs.vcproj,
	src/arch/sdl/win32-msvc9/c64exp.vcproj,
	src/arch/sdl/win32-msvc9/c64sc.vcproj,
	src/arch/sdl/win32-msvc9/c64scpu64.vcproj,
	src/arch/sdl/win32-msvc9/cartconv.vcproj,
	src/arch/sdl/win32-msvc9/cbm2.vcproj,
	src/arch/sdl/win32-msvc9/cbm2common.vcproj,
	src/arch/sdl/win32-msvc9/cbm5x0.vcproj,
	src/arch/sdl/win32-msvc9/core.vcproj,
	src/arch/sdl/win32-msvc9/crtc.vcproj,
	src/arch/sdl/win32-msvc9/diskimage.vcproj,
	src/arch/sdl/win32-msvc9/drive.vcproj,
	src/arch/sdl/win32-msvc9/fileio.vcproj,
	src/arch/sdl/win32-msvc9/fsdevice.vcproj,
	src/arch/sdl/win32-msvc9/geninfocontrib.vcproj,
	src/arch/sdl/win32-msvc9/gentranslate.vcproj,
	src/arch/sdl/win32-msvc9/gfxoutputdrv.vcproj,
	src/arch/sdl/win32-msvc9/iec.vcproj,
	src/arch/sdl/win32-msvc9/iec128dcr.vcproj,
	src/arch/sdl/win32-msvc9/iecbus.vcproj,
	src/arch/sdl/win32-msvc9/iecieee.vcproj,
	src/arch/sdl/win32-msvc9/ieee.vcproj,
	src/arch/sdl/win32-msvc9/imagecontents.vcproj,
	src/arch/sdl/win32-msvc9/monitor.vcproj,
	src/arch/sdl/win32-msvc9/p64.vcproj,
	src/arch/sdl/win32-msvc9/parallel.vcproj,
	src/arch/sdl/win32-msvc9/pet.vcproj,
	src/arch/sdl/win32-msvc9/petcat.vcproj,
	src/arch/sdl/win32-msvc9/platform.vcproj,
	src/arch/sdl/win32-msvc9/plus4.vcproj,
	src/arch/sdl/win32-msvc9/plus4exp.vcproj,
	src/arch/sdl/win32-msvc9/printerdrv.vcproj,
	src/arch/sdl/win32-msvc9/raster.vcproj,
	src/arch/sdl/win32-msvc9/resid.vcproj,
	src/arch/sdl/win32-msvc9/residdtv.vcproj,
	src/arch/sdl/win32-msvc9/residfp.vcproj,
	src/arch/sdl/win32-msvc9/rs232drv.vcproj,
	src/arch/sdl/win32-msvc9/rtc.vcproj,
	src/arch/sdl/win32-msvc9/scpu64.vcproj,
	src/arch/sdl/win32-msvc9/serial.vcproj,
	src/arch/sdl/win32-msvc9/sid.vcproj,
	src/arch/sdl/win32-msvc9/sounddrv.vcproj,
	src/arch/sdl/win32-msvc9/tape.vcproj,
	src/arch/sdl/win32-msvc9/tcbm.vcproj,
	src/arch/sdl/win32-msvc9/userport.vcproj,
	src/arch/sdl/win32-msvc9/vdc.vcproj,
	src/arch/sdl/win32-msvc9/vdrive.vcproj,
	src/arch/sdl/win32-msvc9/vic20.vcproj,
	src/arch/sdl/win32-msvc9/vic20cart.vcproj,
	src/arch/sdl/win32-msvc9/vice.sln,
	src/arch/sdl/win32-msvc9/vicii.vcproj,
	src/arch/sdl/win32-msvc9/viciidtv.vcproj,
	src/arch/sdl/win32-msvc9/viciisc.vcproj,
	src/arch/sdl/win32-msvc9/video.vcproj,
	src/arch/sdl/win32-msvc9/vsid.vcproj,
	src/arch/sdl/win32-msvc9/vsidlib.vcproj,
	src/arch/sdl/win32-msvc9/x128.vcproj,
	src/arch/sdl/win32-msvc9/x64.vcproj,
	src/arch/sdl/win32-msvc9/x64dtv.vcproj,
	src/arch/sdl/win32-msvc9/x64sc.vcproj,
	src/arch/sdl/win32-msvc9/xcbm2.vcproj,
	src/arch/sdl/win32-msvc9/xcbm5x0.vcproj,
	src/arch/sdl/win32-msvc9/xpet.vcproj,
	src/arch/sdl/win32-msvc9/xplus4.vcproj,
	src/arch/sdl/win32-msvc9/xscpu64.vcproj,
	src/arch/sdl/win32-msvc9/xvic.vcproj: Put the msvc9 project files in
	place.

2013-07-11  groepaz <groepaz@gmx.net>

	* src/arch/sdl/Makefile.am, src/arch/sdl/menu_c64model.c,
	src/arch/sdl/menu_drive.c, src/arch/sdl/menu_jam.c,
	src/arch/sdl/menu_jam.h, src/arch/sdl/menu_scpu64hw.c,
	src/arch/sdl/ui.c, src/arch/sdl/uimenu.c, src/arch/sdl/vsidui.c,
	src/arch/sdl/x128_ui.c, src/arch/sdl/x64_ui.c,
	src/arch/sdl/x64dtv_ui.c, src/arch/sdl/x64sc_ui.c,
	src/arch/sdl/xcbm2_ui.c, src/arch/sdl/xpet_ui.c,
	src/arch/sdl/xplus4_ui.c, src/arch/sdl/xscpu64_ui.c,
	src/arch/sdl/xvic_ui.c: menu updates

2013-07-11  groepaz <groepaz@gmx.net>

	* src/arch/unix/macosx/cocoa/viceapplication.m,
	src/arch/unix/x11/gnome/uidialogs.c, src/arch/unix/x11/gnome/x11ui.c,
	src/arch/unix/x11/xaw/x11ui.c: fix extend image message

2013-07-11  groepaz <groepaz@gmx.net>

	* doc/html/index.html: fixed wording to mention all pet models as
	requested by andre :) fixes bug #448

2013-07-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, configure.proto, src/arch/sdl/win32-msvc9,
	src/arch/sdl/win32-msvc9/Makefile.am,
	src/arch/sdl/win32-msvc9/Readme.txt,
	src/arch/sdl/win32-msvc9/_vice.vcproj,
	src/arch/sdl/win32-msvc9/arch.vcproj,
	src/arch/sdl/win32-msvc9/base.vcproj,
	src/arch/sdl/win32-msvc9/c128.vcproj,
	src/arch/sdl/win32-msvc9/c1541.vcproj,
	src/arch/sdl/win32-msvc9/c64.vcproj,
	src/arch/sdl/win32-msvc9/c64c128.vcproj,
	src/arch/sdl/win32-msvc9/c64c64dtv.vcproj,
	src/arch/sdl/win32-msvc9/c64cart.vcproj,
	src/arch/sdl/win32-msvc9/c64cartsystem.vcproj,
	src/arch/sdl/win32-msvc9/c64commoncart.vcproj,
	src/arch/sdl/win32-msvc9/c64dtv.vcproj,
	src/arch/sdl/win32-msvc9/c64dtvstubs.vcproj,
	src/arch/sdl/win32-msvc9/c64exp.vcproj,
	src/arch/sdl/win32-msvc9/c64sc.vcproj,
	src/arch/sdl/win32-msvc9/c64scpu64.vcproj,
	src/arch/sdl/win32-msvc9/cartconv.vcproj,
	src/arch/sdl/win32-msvc9/cbm2.vcproj,
	src/arch/sdl/win32-msvc9/cbm2common.vcproj,
	src/arch/sdl/win32-msvc9/cbm5x0.vcproj,
	src/arch/sdl/win32-msvc9/core.vcproj,
	src/arch/sdl/win32-msvc9/crtc.vcproj,
	src/arch/sdl/win32-msvc9/dirent.h,
	src/arch/sdl/win32-msvc9/diskimage.vcproj,
	src/arch/sdl/win32-msvc9/drive.vcproj,
	src/arch/sdl/win32-msvc9/fileio.vcproj,
	src/arch/sdl/win32-msvc9/fsdevice.vcproj,
	src/arch/sdl/win32-msvc9/geninfocontrib.vcproj,
	src/arch/sdl/win32-msvc9/gentranslate.vcproj,
	src/arch/sdl/win32-msvc9/gfxoutputdrv.vcproj,
	src/arch/sdl/win32-msvc9/ide-config.h,
	src/arch/sdl/win32-msvc9/ide-siddefs.h,
	src/arch/sdl/win32-msvc9/ide-siddtvdefs.h,
	src/arch/sdl/win32-msvc9/ide-sidfpdefs.h,
	src/arch/sdl/win32-msvc9/iec.vcproj,
	src/arch/sdl/win32-msvc9/iec128dcr.vcproj,
	src/arch/sdl/win32-msvc9/iecbus.vcproj,
	src/arch/sdl/win32-msvc9/iecieee.vcproj,
	src/arch/sdl/win32-msvc9/ieee.vcproj,
	src/arch/sdl/win32-msvc9/imagecontents.vcproj,
	src/arch/sdl/win32-msvc9/inttypes.h,
	src/arch/sdl/win32-msvc9/make-bindist.bat,
	src/arch/sdl/win32-msvc9/monitor.vcproj,
	src/arch/sdl/win32-msvc9/p64.vcproj,
	src/arch/sdl/win32-msvc9/parallel.vcproj,
	src/arch/sdl/win32-msvc9/pet.vcproj,
	src/arch/sdl/win32-msvc9/petcat.vcproj,
	src/arch/sdl/win32-msvc9/platform.vcproj,
	src/arch/sdl/win32-msvc9/plus4.vcproj,
	src/arch/sdl/win32-msvc9/plus4exp.vcproj,
	src/arch/sdl/win32-msvc9/printerdrv.vcproj,
	src/arch/sdl/win32-msvc9/raster.vcproj,
	src/arch/sdl/win32-msvc9/resid.vcproj,
	src/arch/sdl/win32-msvc9/residdtv.vcproj,
	src/arch/sdl/win32-msvc9/residfp.vcproj,
	src/arch/sdl/win32-msvc9/rs232drv.vcproj,
	src/arch/sdl/win32-msvc9/rtc.vcproj,
	src/arch/sdl/win32-msvc9/scpu64.vcproj,
	src/arch/sdl/win32-msvc9/serial.vcproj,
	src/arch/sdl/win32-msvc9/sid.vcproj,
	src/arch/sdl/win32-msvc9/sounddrv.vcproj,
	src/arch/sdl/win32-msvc9/stdint.h,
	src/arch/sdl/win32-msvc9/tape.vcproj,
	src/arch/sdl/win32-msvc9/tcbm.vcproj,
	src/arch/sdl/win32-msvc9/userport.vcproj,
	src/arch/sdl/win32-msvc9/vdc.vcproj,
	src/arch/sdl/win32-msvc9/vdrive.vcproj,
	src/arch/sdl/win32-msvc9/vic20.vcproj,
	src/arch/sdl/win32-msvc9/vic20cart.vcproj,
	src/arch/sdl/win32-msvc9/vice.manifest,
	src/arch/sdl/win32-msvc9/vice.sln,
	src/arch/sdl/win32-msvc9/vicii.vcproj,
	src/arch/sdl/win32-msvc9/viciidtv.vcproj,
	src/arch/sdl/win32-msvc9/viciisc.vcproj,
	src/arch/sdl/win32-msvc9/video.vcproj,
	src/arch/sdl/win32-msvc9/vsid.vcproj,
	src/arch/sdl/win32-msvc9/vsidlib.vcproj,
	src/arch/sdl/win32-msvc9/winid_ia64.bat,
	src/arch/sdl/win32-msvc9/winid_x64.bat,
	src/arch/sdl/win32-msvc9/winid_x86.bat,
	src/arch/sdl/win32-msvc9/x128.vcproj,
	src/arch/sdl/win32-msvc9/x64.vcproj,
	src/arch/sdl/win32-msvc9/x64dtv.vcproj,
	src/arch/sdl/win32-msvc9/x64sc.vcproj,
	src/arch/sdl/win32-msvc9/xcbm2.vcproj,
	src/arch/sdl/win32-msvc9/xcbm5x0.vcproj,
	src/arch/sdl/win32-msvc9/xpet.vcproj,
	src/arch/sdl/win32-msvc9/xplus4.vcproj,
	src/arch/sdl/win32-msvc9/xscpu64.vcproj,
	src/arch/sdl/win32-msvc9/xvic.vcproj: Made an sdl win32-msvc9
	directory, populated with msvc8 project files for now.

2013-07-11  groepaz <groepaz@gmx.net>

	* src/arch/sdl/menu_midi.c: only show midi driver item when a driver
	exists, fixes bug #451

2013-07-11  groepaz <groepaz@gmx.net>

	* src/log.c: better handling of invalid ids, second try :)

2013-07-11  groepaz <groepaz@gmx.net>

	* src/log.c: better handling of invalid ids

2013-07-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/mkmsvc.c,
	src/arch/sdl/win32-msvc8/winid_ia64.bat,
	src/arch/sdl/win32-msvc8/winid_x64.bat,
	src/arch/sdl/win32-msvc8/winid_x86.bat,
	src/arch/sdl/win32-msvc8/make-bindist.bat,
	src/arch/sdl/win32-msvc8/Makefile.am,
	src/arch/sdl/win32-msvc8/_vice.vcproj,
	src/arch/sdl/win32-msvc8/arch.vcproj,
	src/arch/sdl/win32-msvc8/base.vcproj,
	src/arch/sdl/win32-msvc8/c128.vcproj,
	src/arch/sdl/win32-msvc8/c1541.vcproj,
	src/arch/sdl/win32-msvc8/c64.vcproj,
	src/arch/sdl/win32-msvc8/c64c128.vcproj,
	src/arch/sdl/win32-msvc8/c64c64dtv.vcproj,
	src/arch/sdl/win32-msvc8/c64cart.vcproj,
	src/arch/sdl/win32-msvc8/c64cartsystem.vcproj,
	src/arch/sdl/win32-msvc8/c64commoncart.vcproj,
	src/arch/sdl/win32-msvc8/c64dtv.vcproj,
	src/arch/sdl/win32-msvc8/c64dtvstubs.vcproj,
	src/arch/sdl/win32-msvc8/c64exp.vcproj,
	src/arch/sdl/win32-msvc8/c64sc.vcproj,
	src/arch/sdl/win32-msvc8/c64scpu64.vcproj,
	src/arch/sdl/win32-msvc8/cartconv.vcproj,
	src/arch/sdl/win32-msvc8/cbm2.vcproj,
	src/arch/sdl/win32-msvc8/cbm2common.vcproj,
	src/arch/sdl/win32-msvc8/cbm5x0.vcproj,
	src/arch/sdl/win32-msvc8/core.vcproj,
	src/arch/sdl/win32-msvc8/crtc.vcproj,
	src/arch/sdl/win32-msvc8/diskimage.vcproj,
	vice/src/arch/sdl/win32-msvc8/drive.vcproj,
	src/arch/sdl/win32-msvc8/fileio.vcproj,
	src/arch/sdl/win32-msvc8/fsdevice.vcproj,
	src/arch/sdl/win32-msvc8/geninfocontrib.vcproj,
	src/arch/sdl/win32-msvc8/gentranslate.vcproj,
	src/arch/sdl/win32-msvc8/gfxoutputdrv.vcproj,
	src/arch/sdl/win32-msvc8/iec.vcproj,
	src/arch/sdl/win32-msvc8/iec128dcr.vcproj,
	src/arch/sdl/win32-msvc8/iecbus.vcproj,
	src/arch/sdl/win32-msvc8/iecieee.vcproj,
	src/arch/sdl/win32-msvc8/ieee.vcproj,
	src/arch/sdl/win32-msvc8/imagecontents.vcproj,
	src/arch/sdl/win32-msvc8/monitor.vcproj,
	src/arch/sdl/win32-msvc8/p64.vcproj,
	src/arch/sdl/win32-msvc8/parallel.vcproj,
	src/arch/sdl/win32-msvc8/pet.vcproj,
	src/arch/sdl/win32-msvc8/petcat.vcproj,
	src/arch/sdl/win32-msvc8/platform.vcproj,
	src/arch/sdl/win32-msvc8/plus4.vcproj,
	src/arch/sdl/win32-msvc8/plus4exp.vcproj,
	src/arch/sdl/win32-msvc8/printerdrv.vcproj,
	src/arch/sdl/win32-msvc8/raster.vcproj,
	src/arch/sdl/win32-msvc8/resid.vcproj,
	src/arch/sdl/win32-msvc8/residdtv.vcproj,
	src/arch/sdl/win32-msvc8/residfp.vcproj,
	src/arch/sdl/win32-msvc8/rs232drv.vcproj,
	src/arch/sdl/win32-msvc8/rtc.vcproj,
	src/arch/sdl/win32-msvc8/scpu64.vcproj,
	src/arch/sdl/win32-msvc8/serial.vcproj,
	src/arch/sdl/win32-msvc8/sid.vcproj,
	src/arch/sdl/win32-msvc8/sounddrv.vcproj,
	src/arch/sdl/win32-msvc8/tape.vcproj,
	src/arch/sdl/win32-msvc8/tcbm.vcproj,
	src/arch/sdl/win32-msvc8/userport.vcproj,
	src/arch/sdl/win32-msvc8/vdc.vcproj,
	src/arch/sdl/win32-msvc8/vdrive.vcproj,
	src/arch/sdl/win32-msvc8/vic20.vcproj,
	src/arch/sdl/win32-msvc8/vic20cart.vcproj,
	src/arch/sdl/win32-msvc8/vice.sln,
	src/arch/sdl/win32-msvc8/vicii.vcproj,
	src/arch/sdl/win32-msvc8/viciidtv.vcproj,
	src/arch/sdl/win32-msvc8/viciisc.vcproj,
	src/arch/sdl/win32-msvc8/video.vcproj,
	src/arch/sdl/win32-msvc8/vsid.vcproj,
	src/arch/sdl/win32-msvc8/vsidlib.vcproj,
	src/arch/sdl/win32-msvc8/x128.vcproj,
	src/arch/sdl/win32-msvc8/x64.vcproj,
	src/arch/sdl/win32-msvc8/x64dtv.vcproj,
	src/arch/sdl/win32-msvc8/x64sc.vcproj,
	src/arch/sdl/win32-msvc8/xcbm2.vcproj,
	src/arch/sdl/win32-msvc8/xcbm5x0.vcproj,
	src/arch/sdl/win32-msvc8/xpet.vcproj,
	src/arch/sdl/win32-msvc8/xplus4.vcproj,
	src/arch/sdl/win32-msvc8/xscpu64.vcproj,
	src/arch/sdl/win32-msvc8/xvic.vcproj: Finished sdl msvc8 support.

2013-07-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_x86_runtime_cpu.c: Don't use x86 cpu code for
	ia64.

2013-07-10  groepaz <groepaz@gmx.net>

	* src/attach.c: zero out p64, fixes bug #450

2013-07-10  groepaz <groepaz@gmx.net>

	* src/arch/sdl/video.c: dont recalculate window dimensions (see note).
	fixes bug #389

2013-07-10  groepaz <groepaz@gmx.net>

	* src/ioutil.c: fall back to using stat when d_type returns DT_UNKNOWN

2013-07-10  groepaz <groepaz@gmx.net>

	* src/arch/sdl/video.c: properly setup custom fullscreen resolution,
	fixes bug #366

2013-07-10  groepaz <groepaz@gmx.net>

	* src/arch/sdl/ui.c: remove remains of old hack, supposedly makes free
	scaling work again on some setups

2013-07-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-msvc8/_vice.vcproj,
	src/arch/sdl/win32-msvc8/arch.vcproj,
	src/arch/sdl/win32-msvc8/base.vcproj,
	src/arch/sdl/win32-msvc8/c128.vcproj,
	src/arch/sdl/win32-msvc8/c1541.vcproj,
	src/arch/sdl/win32-msvc8/c64.vcproj,
	src/arch/sdl/win32-msvc8/c64c128.vcproj,
	src/arch/sdl/win32-msvc8/c64c64dtv.vcproj,
	src/arch/sdl/win32-msvc8/c64cart.vcproj,
	src/arch/sdl/win32-msvc8/c64cartsystem.vcproj,
	src/arch/sdl/win32-msvc8/c64commoncart.vcproj,
	src/arch/sdl/win32-msvc8/c64dtv.vcproj,
	src/arch/sdl/win32-msvc8/c64dtvstubs.vcproj,
	src/arch/sdl/win32-msvc8/c64exp.vcproj,
	src/arch/sdl/win32-msvc8/c64sc.vcproj,
	src/arch/sdl/win32-msvc8/c64scpu64.vcproj,
	src/arch/sdl/win32-msvc8/cartconv.vcproj,
	src/arch/sdl/win32-msvc8/cbm2.vcproj,
	src/arch/sdl/win32-msvc8/cbm2common.vcproj,
	src/arch/sdl/win32-msvc8/cbm5x0.vcproj,
	src/arch/sdl/win32-msvc8/core.vcproj,
	src/arch/sdl/win32-msvc8/crtc.vcproj,
	src/arch/sdl/win32-msvc8/diskimage.vcproj,
	src/arch/sdl/win32-msvc8/drive.vcproj,
	src/arch/sdl/win32-msvc8/fileio.vcproj,
	src/arch/sdl/win32-msvc8/fsdevice.vcproj,
	src/arch/sdl/win32-msvc8/geninfocontrib.vcproj,
	src/arch/sdl/win32-msvc8/gentranslate.vcproj,
	src/arch/sdl/win32-msvc8/gfxoutputdrv.vcproj,
	src/arch/sdl/win32-msvc8/iec.vcproj,
	src/arch/sdl/win32-msvc8/iec128dcr.vcproj,
	src/arch/sdl/win32-msvc8/iecbus.vcproj,
	src/arch/sdl/win32-msvc8/iecieee.vcproj,
	src/arch/sdl/win32-msvc8/ieee.vcproj,
	src/arch/sdl/win32-msvc8/imagecontents.vcproj,
	src/arch/sdl/win32-msvc8/monitor.vcproj,
	src/arch/sdl/win32-msvc8/p64.vcproj,
	src/arch/sdl/win32-msvc8/parallel.vcproj,
	src/arch/sdl/win32-msvc8/pet.vcproj,
	src/arch/sdl/win32-msvc8/petcat.vcproj,
	src/arch/sdl/win32-msvc8/platform.vcproj,
	src/arch/sdl/win32-msvc8/plus4.vcproj,
	src/arch/sdl/win32-msvc8/plus4exp.vcproj,
	src/arch/sdl/win32-msvc8/printerdrv.vcproj,
	src/arch/sdl/win32-msvc8/raster.vcproj,
	src/arch/sdl/win32-msvc8/resid.vcproj,
	src/arch/sdl/win32-msvc8/residdtv.vcproj,
	src/arch/sdl/win32-msvc8/residfp.vcproj,
	src/arch/sdl/win32-msvc8/rs232drv.vcproj,
	src/arch/sdl/win32-msvc8/rtc.vcproj,
	src/arch/sdl/win32-msvc8/scpu64.vcproj,
	src/arch/sdl/win32-msvc8/serial.vcproj,
	src/arch/sdl/win32-msvc8/sid.vcproj,
	src/arch/sdl/win32-msvc8/sounddrv.vcproj,
	src/arch/sdl/win32-msvc8/tape.vcproj,
	src/arch/sdl/win32-msvc8/tcbm.vcproj,
	src/arch/sdl/win32-msvc8/userport.vcproj,
	src/arch/sdl/win32-msvc8/vdc.vcproj,
	src/arch/sdl/win32-msvc8/vdrive.vcproj,
	src/arch/sdl/win32-msvc8/vic20.vcproj,
	src/arch/sdl/win32-msvc8/vic20cart.vcproj,
	src/arch/sdl/win32-msvc8/vice.sln,
	src/arch/sdl/win32-msvc8/vicii.vcproj,
	src/arch/sdl/win32-msvc8/viciidtv.vcproj,
	src/arch/sdl/win32-msvc8/viciisc.vcproj,
	src/arch/sdl/win32-msvc8/video.vcproj,
	src/arch/sdl/win32-msvc8/vsid.vcproj,
	src/arch/sdl/win32-msvc8/vsidlib.vcproj,
	src/arch/sdl/win32-msvc8/x128.vcproj,
	src/arch/sdl/win32-msvc8/x64.vcproj,
	src/arch/sdl/win32-msvc8/x64dtv.vcproj,
	src/arch/sdl/win32-msvc8/x64sc.vcproj,
	src/arch/sdl/win32-msvc8/xcbm2.vcproj,
	src/arch/sdl/win32-msvc8/xcbm5x0.vcproj,
	src/arch/sdl/win32-msvc8/xpet.vcproj,
	src/arch/sdl/win32-msvc8/xplus4.vcproj,
	src/arch/sdl/win32-msvc8/xscpu64.vcproj,
	src/arch/sdl/win32-msvc8/xvic.vcproj: Put the msvc8 project files in
	place.

2013-07-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/msvc/ide-config.h, src/platform/platform_discovery.h:
	Added msvc version detection to the platform code.

2013-07-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, src/arch/win32/vs_tmpl/mkmsvc.c,
	configure.proto, src/arch/sdl/win32-msvc8,
	src/arch/sdl/win32-msvc8/make-bindist.bat,
	src/arch/sdl/win32-msvc8/Makefile.am,
	src/arch/sdl/win32-msvc8/Readme.txt,
	src/arch/sdl/win32-msvc8/_vice.vcproj,
	src/arch/sdl/win32-msvc8/arch.vcproj,
	src/arch/sdl/win32-msvc8/base.vcproj,
	src/arch/sdl/win32-msvc8/c128.vcproj,
	src/arch/sdl/win32-msvc8/c1541.vcproj,
	src/arch/sdl/win32-msvc8/c64.vcproj,
	src/arch/sdl/win32-msvc8/c64c128.vcproj,
	src/arch/sdl/win32-msvc8/c64c64dtv.vcproj,
	src/arch/sdl/win32-msvc8/c64cart.vcproj,
	src/arch/sdl/win32-msvc8/c64cartsystem.vcproj,
	src/arch/sdl/win32-msvc8/c64commoncart.vcproj,
	src/arch/sdl/win32-msvc8/c64dtv.vcproj,
	src/arch/sdl/win32-msvc8/c64dtvstubs.vcproj,
	src/arch/sdl/win32-msvc8/c64exp.vcproj,
	src/arch/sdl/win32-msvc8/c64sc.vcproj,
	src/arch/sdl/win32-msvc8/c64scpu64.vcproj,
	src/arch/sdl/win32-msvc8/cartconv.vcproj,
	src/arch/sdl/win32-msvc8/cbm2.vcproj,
	src/arch/sdl/win32-msvc8/cbm2common.vcproj,
	src/arch/sdl/win32-msvc8/cbm5x0.vcproj,
	src/arch/sdl/win32-msvc8/core.vcproj,
	src/arch/sdl/win32-msvc8/crtc.vcproj,
	src/arch/sdl/win32-msvc8/dirent.h,
	src/arch/sdl/win32-msvc8/diskimage.vcproj,
	src/arch/sdl/win32-msvc8/drive.vcproj,
	src/arch/sdl/win32-msvc8/fileio.vcproj,
	src/arch/sdl/win32-msvc8/fsdevice.vcproj,
	src/arch/sdl/win32-msvc8/geninfocontrib.vcproj,
	src/arch/sdl/win32-msvc8/gentranslate.vcproj,
	src/arch/sdl/win32-msvc8/gfxoutputdrv.vcproj,
	src/arch/sdl/win32-msvc8/ide-config.h,
	src/arch/sdl/win32-msvc8/ide-siddefs.h,
	src/arch/sdl/win32-msvc8/ide-siddtvdefs.h,
	src/arch/sdl/win32-msvc8/ide-sidfpdefs.h,
	src/arch/sdl/win32-msvc8/iec.vcproj,
	src/arch/sdl/win32-msvc8/iec128dcr.vcproj,
	src/arch/sdl/win32-msvc8/iecbus.vcproj,
	src/arch/sdl/win32-msvc8/iecieee.vcproj,
	src/arch/sdl/win32-msvc8/ieee.vcproj,
	src/arch/sdl/win32-msvc8/imagecontents.vcproj,
	src/arch/sdl/win32-msvc8/inttypes.h,
	src/arch/sdl/win32-msvc8/monitor.vcproj,
	src/arch/sdl/win32-msvc8/p64.vcproj,
	src/arch/sdl/win32-msvc8/parallel.vcproj,
	src/arch/sdl/win32-msvc8/pet.vcproj,
	src/arch/sdl/win32-msvc8/petcat.vcproj,
	src/arch/sdl/win32-msvc8/platform.vcproj,
	src/arch/sdl/win32-msvc8/plus4.vcproj,
	src/arch/sdl/win32-msvc8/plus4exp.vcproj,
	src/arch/sdl/win32-msvc8/printerdrv.vcproj,
	src/arch/sdl/win32-msvc8/raster.vcproj,
	src/arch/sdl/win32-msvc8/resid.vcproj,
	src/arch/sdl/win32-msvc8/residdtv.vcproj,
	src/arch/sdl/win32-msvc8/residfp.vcproj,
	src/arch/sdl/win32-msvc8/rs232drv.vcproj,
	src/arch/sdl/win32-msvc8/rtc.vcproj,
	src/arch/sdl/win32-msvc8/scpu64.vcproj,
	src/arch/sdl/win32-msvc8/serial.vcproj,
	src/arch/sdl/win32-msvc8/sid.vcproj,
	src/arch/sdl/win32-msvc8/sounddrv.vcproj,
	src/arch/sdl/win32-msvc8/stdint.h,
	src/arch/sdl/win32-msvc8/tape.vcproj,
	src/arch/sdl/win32-msvc8/tcbm.vcproj,
	src/arch/sdl/win32-msvc8/userport.vcproj,
	src/arch/sdl/win32-msvc8/vdc.vcproj,
	src/arch/sdl/win32-msvc8/vdrive.vcproj,
	src/arch/sdl/win32-msvc8/vic20.vcproj,
	src/arch/sdl/win32-msvc8/vic20cart.vcproj,
	src/arch/sdl/win32-msvc8/vice.manifest,
	src/arch/sdl/win32-msvc8/vice.sln,
	src/arch/sdl/win32-msvc8/vicii.vcproj,
	src/arch/sdl/win32-msvc8/viciidtv.vcproj,
	src/arch/sdl/win32-msvc8/viciisc.vcproj,
	src/arch/sdl/win32-msvc8/video.vcproj,
	src/arch/sdl/win32-msvc8/vsid.vcproj,
	src/arch/sdl/win32-msvc8/vsidlib.vcproj,
	src/arch/sdl/win32-msvc8/x128.vcproj,
	src/arch/sdl/win32-msvc8/x64.vcproj,
	src/arch/sdl/win32-msvc8/x64dtv.vcproj,
	src/arch/sdl/win32-msvc8/x64sc.vcproj,
	src/arch/sdl/win32-msvc8/xcbm2.vcproj,
	src/arch/sdl/win32-msvc8/xcbm5x0.vcproj,
	src/arch/sdl/win32-msvc8/xpet.vcproj,
	src/arch/sdl/win32-msvc8/xplus4.vcproj,
	src/arch/sdl/win32-msvc8/xscpu64.vcproj,
	src/arch/sdl/win32-msvc8/xvic.vcproj: Added an sdl win32-msvc8
	directory, populated with msvc7.1 project files for now.

2013-07-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/mkmsvc.c,
	src/arch/sdl/win32-msvc71/base.vcproj,
	src/arch/sdl/win32-msvc71/c128.vcproj,
	src/arch/sdl/win32-msvc71/c64dtv.vcproj,
	src/arch/sdl/win32-msvc71/c64sc.vcproj,
	src/arch/sdl/win32-msvc71/cbm2common.vcproj,
	src/arch/sdl/win32-msvc71/drive.vcproj,
	src/arch/sdl/win32-msvc71/monitor.vcproj,
	src/arch/sdl/win32-msvc71/pet.vcproj,
	src/arch/sdl/win32-msvc71/plus4.vcproj,
	src/arch/sdl/win32-msvc71/rtc.vcproj,
	src/arch/sdl/win32-msvc71/scpu64.vcproj,
	src/arch/sdl/win32-msvc71/sid.vcproj,
	src/arch/sdl/win32-msvc71/sounddrv.vcproj,
	src/arch/sdl/win32-msvc71/vic20.vcproj,
	src/arch/sdl/win32-msvc71/vice.sln,
	src/arch/sdl/win32-msvc71/vsidlib.vcproj: Finished the sdl msvc7.1
	support.

2013-07-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-msvc71/_vice.vcproj,
	src/arch/sdl/win32-msvc71/arch.vcproj,
	src/arch/sdl/win32-msvc71/base.vcproj,
	src/arch/sdl/win32-msvc71/c128.vcproj,
	src/arch/sdl/win32-msvc71/c1541.vcproj,
	src/arch/sdl/win32-msvc71/c64.vcproj,
	src/arch/sdl/win32-msvc71/c64c128.vcproj,
	src/arch/sdl/win32-msvc71/c64c64dtv.vcproj,
	src/arch/sdl/win32-msvc71/c64cart.vcproj,
	src/arch/sdl/win32-msvc71/c64cartsystem.vcproj,
	src/arch/sdl/win32-msvc71/c64commoncart.vcproj,
	src/arch/sdl/win32-msvc71/c64dtv.vcproj,
	src/arch/sdl/win32-msvc71/c64dtvstubs.vcproj,
	src/arch/sdl/win32-msvc71/c64exp.vcproj,
	src/arch/sdl/win32-msvc71/c64sc.vcproj,
	src/arch/sdl/win32-msvc71/c64scpu64.vcproj,
	src/arch/sdl/win32-msvc71/cartconv.vcproj,
	src/arch/sdl/win32-msvc71/cbm2.vcproj,
	src/arch/sdl/win32-msvc71/cbm2common.vcproj,
	src/arch/sdl/win32-msvc71/cbm5x0.vcproj,
	src/arch/sdl/win32-msvc71/core.vcproj,
	src/arch/sdl/win32-msvc71/crtc.vcproj,
	src/arch/sdl/win32-msvc71/diskimage.vcproj,
	src/arch/sdl/win32-msvc71/drive.vcproj,
	src/arch/sdl/win32-msvc71/fileio.vcproj,
	src/arch/sdl/win32-msvc71/fsdevice.vcproj,
	src/arch/sdl/win32-msvc71/geninfocontrib.vcproj,
	src/arch/sdl/win32-msvc71/gentranslate.vcproj,
	src/arch/sdl/win32-msvc71/gfxoutputdrv.vcproj,
	src/arch/sdl/win32-msvc71/iec.vcproj,
	src/arch/sdl/win32-msvc71/iec128dcr.vcproj,
	src/arch/sdl/win32-msvc71/iecbus.vcproj,
	src/arch/sdl/win32-msvc71/iecieee.vcproj,
	src/arch/sdl/win32-msvc71/ieee.vcproj,
	src/arch/sdl/win32-msvc71/imagecontents.vcproj,
	src/arch/sdl/win32-msvc71/monitor.vcproj,
	src/arch/sdl/win32-msvc71/p64.vcproj,
	src/arch/sdl/win32-msvc71/parallel.vcproj,
	src/arch/sdl/win32-msvc71/pet.vcproj,
	src/arch/sdl/win32-msvc71/petcat.vcproj,
	src/arch/sdl/win32-msvc71/platform.vcproj,
	src/arch/sdl/win32-msvc71/plus4.vcproj,
	src/arch/sdl/win32-msvc71/plus4exp.vcproj,
	src/arch/sdl/win32-msvc71/printerdrv.vcproj,
	src/arch/sdl/win32-msvc71/raster.vcproj,
	src/arch/sdl/win32-msvc71/resid.vcproj,
	src/arch/sdl/win32-msvc71/residdtv.vcproj,
	src/arch/sdl/win32-msvc71/residfp.vcproj,
	src/arch/sdl/win32-msvc71/rs232drv.vcproj,
	src/arch/sdl/win32-msvc71/rtc.vcproj,
	src/arch/sdl/win32-msvc71/scpu64.vcproj,
	src/arch/sdl/win32-msvc71/serial.vcproj,
	src/arch/sdl/win32-msvc71/sid.vcproj,
	src/arch/sdl/win32-msvc71/sounddrv.vcproj,
	src/arch/sdl/win32-msvc71/tape.vcproj,
	src/arch/sdl/win32-msvc71/tcbm.vcproj,
	src/arch/sdl/win32-msvc71/userport.vcproj,
	src/arch/sdl/win32-msvc71/vdc.vcproj,
	src/arch/sdl/win32-msvc71/vdrive.vcproj,
	src/arch/sdl/win32-msvc71/vic20.vcproj,
	src/arch/sdl/win32-msvc71/vic20cart.vcproj,
	src/arch/sdl/win32-msvc71/vice.sln,
	src/arch/sdl/win32-msvc71/vicii.vcproj,
	src/arch/sdl/win32-msvc71/viciidtv.vcproj,
	src/arch/sdl/win32-msvc71/viciisc.vcproj,
	src/arch/sdl/win32-msvc71/video.vcproj,
	src/arch/sdl/win32-msvc71/vsid.vcproj,
	src/arch/sdl/win32-msvc71/vsidlib.vcproj,
	src/arch/sdl/win32-msvc71/x128.vcproj,
	src/arch/sdl/win32-msvc71/x64.vcproj,
	src/arch/sdl/win32-msvc71/x64dtv.vcproj,
	src/arch/sdl/win32-msvc71/x64sc.vcproj,
	src/arch/sdl/win32-msvc71/xcbm2.vcproj,
	src/arch/sdl/win32-msvc71/xcbm5x0.vcproj,
	src/arch/sdl/win32-msvc71/xpet.vcproj,
	src/arch/sdl/win32-msvc71/xplus4.vcproj,
	src/arch/sdl/win32-msvc71/xscpu64.vcproj,
	src/arch/sdl/win32-msvc71/xvic.vcproj: Put sdl msvc7.1 project files
	in place.

2013-07-09  groepaz <groepaz@gmx.net>

	* src/video/video-resources.c: fix shutdown

2013-07-09  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/fullscreen.c: fix memory leak

2013-07-09  groepaz <groepaz@gmx.net>

	* src/plus4/plus4.c: added missing call to shutdown function

2013-07-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, configure.proto,
	src/arch/sdl/win32-msvc71, src/arch/sdl/win32-msvc71/Makefile.am,
	src/arch/sdl/win32-msvc71/Readme.txt,
	src/arch/sdl/win32-msvc71/_vice.vcproj,
	src/arch/sdl/win32-msvc71/arch.vcproj,
	src/arch/sdl/win32-msvc71/base.vcproj,
	src/arch/sdl/win32-msvc71/c128.vcproj,
	src/arch/sdl/win32-msvc71/c1541.vcproj,
	src/arch/sdl/win32-msvc71/c64.vcproj,
	src/arch/sdl/win32-msvc71/c64c128.vcproj,
	src/arch/sdl/win32-msvc71/c64c64dtv.vcproj,
	src/arch/sdl/win32-msvc71/c64cart.vcproj,
	src/arch/sdl/win32-msvc71/c64cartsystem.vcproj,
	src/arch/sdl/win32-msvc71/c64commoncart.vcproj,
	src/arch/sdl/win32-msvc71/c64dtv.vcproj,
	src/arch/sdl/win32-msvc71/c64dtvstubs.vcproj,
	src/arch/sdl/win32-msvc71/c64exp.vcproj,
	src/arch/sdl/win32-msvc71/c64sc.vcproj,
	src/arch/sdl/win32-msvc71/c64scpu64.vcproj,
	src/arch/sdl/win32-msvc71/cartconv.vcproj,
	src/arch/sdl/win32-msvc71/cbm2.vcproj,
	src/arch/sdl/win32-msvc71/cbm2common.vcproj,
	src/arch/sdl/win32-msvc71/cbm5x0.vcproj,
	src/arch/sdl/win32-msvc71/core.vcproj,
	src/arch/sdl/win32-msvc71/crtc.vcproj,
	src/arch/sdl/win32-msvc71/dirent.h,
	src/arch/sdl/win32-msvc71/diskimage.vcproj,
	src/arch/sdl/win32-msvc71/drive.vcproj,
	src/arch/sdl/win32-msvc71/fileio.vcproj,
	src/arch/sdl/win32-msvc71/fsdevice.vcproj,
	src/arch/sdl/win32-msvc71/geninfocontrib.vcproj,
	src/arch/sdl/win32-msvc71/gentranslate.vcproj,
	src/arch/sdl/win32-msvc71/gfxoutputdrv.vcproj,
	src/arch/sdl/win32-msvc71/ide-config.h,
	src/arch/sdl/win32-msvc71/ide-siddefs.h,
	src/arch/sdl/win32-msvc71/ide-siddtvdefs.h,
	src/arch/sdl/win32-msvc71/ide-sidfpdefs.h,
	src/arch/sdl/win32-msvc71/iec.vcproj,
	src/arch/sdl/win32-msvc71/iec128dcr.vcproj,
	src/arch/sdl/win32-msvc71/iecbus.vcproj,
	src/arch/sdl/win32-msvc71/iecieee.vcproj,
	src/arch/sdl/win32-msvc71/ieee.vcproj,
	src/arch/sdl/win32-msvc71/imagecontents.vcproj,
	src/arch/sdl/win32-msvc71/inttypes.h,
	src/arch/sdl/win32-msvc71/make-bindist.bat,
	src/arch/sdl/win32-msvc71/monitor.vcproj,
	src/arch/sdl/win32-msvc71/p64.vcproj,
	src/arch/sdl/win32-msvc71/parallel.vcproj,
	src/arch/sdl/win32-msvc71/pet.vcproj,
	src/arch/sdl/win32-msvc71/petcat.vcproj,
	src/arch/sdl/win32-msvc71/platform.vcproj,
	src/arch/sdl/win32-msvc71/plus4.vcproj,
	src/arch/sdl/win32-msvc71/plus4exp.vcproj,
	src/arch/sdl/win32-msvc71/printerdrv.vcproj,
	src/arch/sdl/win32-msvc71/raster.vcproj,
	src/arch/sdl/win32-msvc71/resid.vcproj,
	src/arch/sdl/win32-msvc71/residdtv.vcproj,
	src/arch/sdl/win32-msvc71/residfp.vcproj,
	src/arch/sdl/win32-msvc71/rs232drv.vcproj,
	src/arch/sdl/win32-msvc71/rtc.vcproj,
	src/arch/sdl/win32-msvc71/scpu64.vcproj,
	src/arch/sdl/win32-msvc71/serial.vcproj,
	src/arch/sdl/win32-msvc71/sid.vcproj,
	src/arch/sdl/win32-msvc71/sounddrv.vcproj,
	src/arch/sdl/win32-msvc71/stdint.h,
	src/arch/sdl/win32-msvc71/tape.vcproj,
	src/arch/sdl/win32-msvc71/tcbm.vcproj,
	src/arch/sdl/win32-msvc71/userport.vcproj,
	src/arch/sdl/win32-msvc71/vdc.vcproj,
	src/arch/sdl/win32-msvc71/vdrive.vcproj,
	src/arch/sdl/win32-msvc71/vic20.vcproj,
	src/arch/sdl/win32-msvc71/vic20cart.vcproj,
	src/arch/sdl/win32-msvc71/vice.manifest,
	src/arch/sdl/win32-msvc71/vice.sln,
	src/arch/sdl/win32-msvc71/vicii.vcproj,
	src/arch/sdl/win32-msvc71/viciidtv.vcproj,
	src/arch/sdl/win32-msvc71/viciisc.vcproj,
	src/arch/sdl/win32-msvc71/video.vcproj,
	src/arch/sdl/win32-msvc71/vsid.vcproj,
	src/arch/sdl/win32-msvc71/vsidlib.vcproj,
	src/arch/sdl/win32-msvc71/x128.vcproj,
	src/arch/sdl/win32-msvc71/x64.vcproj,
	src/arch/sdl/win32-msvc71/x64dtv.vcproj,
	src/arch/sdl/win32-msvc71/x64sc.vcproj,
	src/arch/sdl/win32-msvc71/xcbm2.vcproj,
	src/arch/sdl/win32-msvc71/xcbm5x0.vcproj,
	src/arch/sdl/win32-msvc71/xpet.vcproj,
	src/arch/sdl/win32-msvc71/xplus4.vcproj,
	src/arch/sdl/win32-msvc71/xscpu64.vcproj,
	src/arch/sdl/win32-msvc71/xvic.vcproj: Added an sdl win32-msvc71
	directory, populated with msvc7.0 project files for now.

2013-07-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/mkmsvc.c,
	src/arch/sdl/win32-msvc70/_vice.vcproj,
	src/arch/sdl/win32-msvc70/arch.vcproj,
	src/arch/sdl/win32-msvc70/base.vcproj,
	src/arch/sdl/win32-msvc70/c128.vcproj,
	src/arch/sdl/win32-msvc70/c1541.vcproj,
	src/arch/sdl/win32-msvc70/c64.vcproj,
	src/arch/sdl/win32-msvc70/c64c128.vcproj,
	src/arch/sdl/win32-msvc70/c64c64dtv.vcproj,
	src/arch/sdl/win32-msvc70/c64cart.vcproj,
	src/arch/sdl/win32-msvc70/c64cartsystem.vcproj,
	src/arch/sdl/win32-msvc70/c64commoncart.vcproj,
	src/arch/sdl/win32-msvc70/c64dtv.vcproj,
	src/arch/sdl/win32-msvc70/c64dtvstubs.vcproj,
	src/arch/sdl/win32-msvc70/c64exp.vcproj,
	src/arch/sdl/win32-msvc70/c64sc.vcproj,
	src/arch/sdl/win32-msvc70/c64scpu64.vcproj,
	src/arch/sdl/win32-msvc70/cartconv.vcproj,
	src/arch/sdl/win32-msvc70/cbm2.vcproj,
	src/arch/sdl/win32-msvc70/cbm2common.vcproj,
	src/arch/sdl/win32-msvc70/cbm5x0.vcproj,
	src/arch/sdl/win32-msvc70/core.vcproj,
	src/arch/sdl/win32-msvc70/crtc.vcproj,
	src/arch/sdl/win32-msvc70/diskimage.vcproj,
	src/arch/sdl/win32-msvc70/drive.vcproj,
	src/arch/sdl/win32-msvc70/fileio.vcproj,
	src/arch/sdl/win32-msvc70/fsdevice.vcproj,
	src/arch/sdl/win32-msvc70/geninfocontrib.vcproj,
	src/arch/sdl/win32-msvc70/gentranslate.vcproj,
	src/arch/sdl/win32-msvc70/gfxoutputdrv.vcproj,
	src/arch/sdl/win32-msvc70/iec.vcproj,
	src/arch/sdl/win32-msvc70/iec128dcr.vcproj,
	src/arch/sdl/win32-msvc70/iecbus.vcproj,
	src/arch/sdl/win32-msvc70/iecieee.vcproj,
	src/arch/sdl/win32-msvc70/ieee.vcproj,
	src/arch/sdl/win32-msvc70/imagecontents.vcproj,
	src/arch/sdl/win32-msvc70/monitor.vcproj,
	src/arch/sdl/win32-msvc70/p64.vcproj,
	src/arch/sdl/win32-msvc70/parallel.vcproj,
	src/arch/sdl/win32-msvc70/pet.vcproj,
	src/arch/sdl/win32-msvc70/petcat.vcproj,
	src/arch/sdl/win32-msvc70/platform.vcproj,
	src/arch/sdl/win32-msvc70/plus4.vcproj,
	src/arch/sdl/win32-msvc70/plus4exp.vcproj,
	src/arch/sdl/win32-msvc70/printerdrv.vcproj,
	src/arch/sdl/win32-msvc70/raster.vcproj,
	src/arch/sdl/win32-msvc70/resid.vcproj,
	src/arch/sdl/win32-msvc70/residdtv.vcproj,
	src/arch/sdl/win32-msvc70/residfp.vcproj,
	src/arch/sdl/win32-msvc70/rs232drv.vcproj,
	src/arch/sdl/win32-msvc70/rtc.vcproj,
	src/arch/sdl/win32-msvc70/scpu64.vcproj,
	src/arch/sdl/win32-msvc70/serial.vcproj,
	src/arch/sdl/win32-msvc70/sid.vcproj,
	src/arch/sdl/win32-msvc70/sounddrv.vcproj,
	src/arch/sdl/win32-msvc70/tape.vcproj,
	src/arch/sdl/win32-msvc70/tcbm.vcproj,
	src/arch/sdl/win32-msvc70/userport.vcproj,
	src/arch/sdl/win32-msvc70/vdc.vcproj,
	src/arch/sdl/win32-msvc70/vdrive.vcproj,
	src/arch/sdl/win32-msvc70/vic20.vcproj,
	src/arch/sdl/win32-msvc70/vic20cart.vcproj,
	src/arch/sdl/win32-msvc70/vice.sln,
	src/arch/sdl/win32-msvc70/vicii.vcproj,
	src/arch/sdl/win32-msvc70/viciidtv.vcproj,
	src/arch/sdl/win32-msvc70/viciisc.vcproj,
	src/arch/sdl/win32-msvc70/video.vcproj,
	src/arch/sdl/win32-msvc70/vsid.vcproj,
	src/arch/sdl/win32-msvc70/vsidlib.vcproj,
	src/arch/sdl/win32-msvc70/x128.vcproj,
	src/arch/sdl/win32-msvc70/x64.vcproj,
	src/arch/sdl/win32-msvc70/x64dtv.vcproj,
	src/arch/sdl/win32-msvc70/x64sc.vcproj,
	src/arch/sdl/win32-msvc70/xcbm2.vcproj,
	src/arch/sdl/win32-msvc70/xcbm5x0.vcproj,
	src/arch/sdl/win32-msvc70/xpet.vcproj,
	src/arch/sdl/win32-msvc70/xplus4.vcproj,
	src/arch/sdl/win32-msvc70/xscpu64.vcproj,
	src/arch/sdl/win32-msvc70/xvic.vcproj: Finished the sdl msvc7.0
	support.

2013-07-09  groepaz <groepaz@gmx.net>

	* src/lib.c: do not zero-fill block allocated by lib_malloc. this WILL
	break code that does incorrectly rely on the previous incorrect
	behaviour :)

2013-07-09  groepaz <groepaz@gmx.net>

	* src/plus4/plus4.c, src/plus4/plus4speech.c, src/plus4/plus4speech.h:
	init context properly, added missing shutdown function

2013-07-09  groepaz <groepaz@gmx.net>

	* src/c64/c64meminit.c: do not read boardtype resource in x128

2013-07-09  groepaz <groepaz@gmx.net>

	* src/machine.c: use lib_calloc to properly initialize context with
	zeros

2013-07-09  groepaz <groepaz@gmx.net>

	* src/c64/cart/magicvoice.c: use lib_calloc to properly initialize
	context with zeros

2013-07-09  groepaz <groepaz@gmx.net>

	* src/core/ciacore.c: use lib_calloc to properly initialize context
	with zeros

2013-07-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/petcolour.c: Changed the RGB macro to MAKE_RGB, since RGB is
	already defined on windows.

2013-07-08  groepaz <groepaz@gmx.net>

	* src/sid/sid.c: reuse allocated buffers if possible, instead of
	allocating and deallocating them all the time

2013-07-08  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uimenu.h: remove bogus GNOME_MENUS check
	from stoneage :)

2013-07-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-msvc70/Makefile.am,
	src/arch/sdl/win32-msvc70/_vice.vcproj,
	src/arch/sdl/win32-msvc70/arch.vcproj,
	src/arch/sdl/win32-msvc70/base.vcproj,
	src/arch/sdl/win32-msvc70/c128.vcproj,
	src/arch/sdl/win32-msvc70/c1541.vcproj,
	src/arch/sdl/win32-msvc70/c64.vcproj,
	src/arch/sdl/win32-msvc70/c64c128.vcproj,
	src/arch/sdl/win32-msvc70/c64c64dtv.vcproj,
	src/arch/sdl/win32-msvc70/c64cart.vcproj,
	src/arch/sdl/win32-msvc70/c64cartsystem.vcproj,
	src/arch/sdl/win32-msvc70/c64commoncart.vcproj,
	src/arch/sdl/win32-msvc70/c64dtv.vcproj,
	src/arch/sdl/win32-msvc70/c64dtvstubs.vcproj,
	src/arch/sdl/win32-msvc70/c64exp.vcproj,
	src/arch/sdl/win32-msvc70/c64sc.vcproj,
	src/arch/sdl/win32-msvc70/c64scpu64.vcproj,
	src/arch/sdl/win32-msvc70/cartconv.vcproj,
	src/arch/sdl/win32-msvc70/cbm2.vcproj,
	src/arch/sdl/win32-msvc70/cbm2common.vcproj,
	src/arch/sdl/win32-msvc70/cbm5x0.vcproj,
	src/arch/sdl/win32-msvc70/core.vcproj,
	src/arch/sdl/win32-msvc70/crtc.vcproj,
	src/arch/sdl/win32-msvc70/diskimage.vcproj,
	src/arch/sdl/win32-msvc70/drive.vcproj,
	src/arch/sdl/win32-msvc70/fileio.vcproj,
	src/arch/sdl/win32-msvc70/fsdevice.vcproj,
	src/arch/sdl/win32-msvc70/geninfocontrib.vcproj,
	src/arch/sdl/win32-msvc70/gentranslate.vcproj,
	src/arch/sdl/win32-msvc70/gfxoutputdrv.vcproj,
	src/arch/sdl/win32-msvc70/iec.vcproj,
	src/arch/sdl/win32-msvc70/iec128dcr.vcproj,
	src/arch/sdl/win32-msvc70/iecbus.vcproj,
	src/arch/sdl/win32-msvc70/iecieee.vcproj,
	src/arch/sdl/win32-msvc70/ieee.vcproj,
	src/arch/sdl/win32-msvc70/imagecontents.vcproj,
	src/arch/sdl/win32-msvc70/monitor.vcproj,
	src/arch/sdl/win32-msvc70/p64.vcproj,
	src/arch/sdl/win32-msvc70/parallel.vcproj,
	src/arch/sdl/win32-msvc70/pet.vcproj,
	src/arch/sdl/win32-msvc70/petcat.vcproj,
	src/arch/sdl/win32-msvc70/platform.vcproj,
	src/arch/sdl/win32-msvc70/plus4.vcproj,
	src/arch/sdl/win32-msvc70/plus4exp.vcproj,
	src/arch/sdl/win32-msvc70/printerdrv.vcproj,
	src/arch/sdl/win32-msvc70/raster.vcproj,
	src/arch/sdl/win32-msvc70/resid.vcproj,
	src/arch/sdl/win32-msvc70/residdtv.vcproj,
	src/arch/sdl/win32-msvc70/residfp.vcproj,
	src/arch/sdl/win32-msvc70/rs232drv.vcproj,
	src/arch/sdl/win32-msvc70/rtc.vcproj,
	src/arch/sdl/win32-msvc70/scpu64.vcproj,
	src/arch/sdl/win32-msvc70/serial.vcproj,
	src/arch/sdl/win32-msvc70/sid.vcproj,
	src/arch/sdl/win32-msvc70/sounddrv.vcproj,
	src/arch/sdl/win32-msvc70/tape.vcproj,
	src/arch/sdl/win32-msvc70/tcbm.vcproj,
	src/arch/sdl/win32-msvc70/userport.vcproj,
	src/arch/sdl/win32-msvc70/vdc.vcproj,
	src/arch/sdl/win32-msvc70/vdrive.vcproj,
	src/arch/sdl/win32-msvc70/vic20.vcproj,
	src/arch/sdl/win32-msvc70/vic20cart.vcproj,
	src/arch/sdl/win32-msvc70/vice.sln,
	src/arch/sdl/win32-msvc70/vicii.vcproj,
	src/arch/sdl/win32-msvc70/viciidtv.vcproj,
	src/arch/sdl/win32-msvc70/viciisc.vcproj,
	src/arch/sdl/win32-msvc70/video.vcproj,
	src/arch/sdl/win32-msvc70/vsid.vcproj,
	src/arch/sdl/win32-msvc70/vsidlib.vcproj,
	src/arch/sdl/win32-msvc70/x128.vcproj,
	src/arch/sdl/win32-msvc70/x64.vcproj,
	src/arch/sdl/win32-msvc70/x64dtv.vcproj,
	src/arch/sdl/win32-msvc70/x64sc.vcproj,
	src/arch/sdl/win32-msvc70/xcbm2.vcproj,
	src/arch/sdl/win32-msvc70/xcbm5x0.vcproj,
	src/arch/sdl/win32-msvc70/xpet.vcproj,
	src/arch/sdl/win32-msvc70/xplus4.vcproj,
	src/arch/sdl/win32-msvc70/xscpu64.vcproj,
	src/arch/sdl/win32-msvc70/xvic.vcproj,
	src/arch/sdl/win32-msvc70/_vice.dsp,
	src/arch/sdl/win32-msvc70/arch.dsp,
	src/arch/sdl/win32-msvc70/base.dsp,
	src/arch/sdl/win32-msvc70/c128.dsp,
	src/arch/sdl/win32-msvc70/c1541.dsp,
	src/arch/sdl/win32-msvc70/c64.dsp,
	src/arch/sdl/win32-msvc70/c64c128.dsp,
	src/arch/sdl/win32-msvc70/c64c64dtv.dsp,
	src/arch/sdl/win32-msvc70/c64cart.dsp,
	src/arch/sdl/win32-msvc70/c64cartsystem.dsp,
	src/arch/sdl/win32-msvc70/c64commoncart.dsp,
	src/arch/sdl/win32-msvc70/c64dtv.dsp,
	src/arch/sdl/win32-msvc70/c64dtvstubs.dsp,
	src/arch/sdl/win32-msvc70/c64exp.dsp,
	src/arch/sdl/win32-msvc70/c64sc.dsp,
	src/arch/sdl/win32-msvc70/c64scpu64.dsp,
	src/arch/sdl/win32-msvc70/cartconv.dsp,
	src/arch/sdl/win32-msvc70/cbm2.dsp,
	src/arch/sdl/win32-msvc70/cbm2common.dsp,
	src/arch/sdl/win32-msvc70/cbm5x0.dsp,
	src/arch/sdl/win32-msvc70/core.dsp,
	src/arch/sdl/win32-msvc70/crtc.dsp,
	src/arch/sdl/win32-msvc70/diskimage.dsp,
	src/arch/sdl/win32-msvc70/drive.dsp,
	src/arch/sdl/win32-msvc70/fileio.dsp,
	src/arch/sdl/win32-msvc70/fsdevice.dsp,
	src/arch/sdl/win32-msvc70/geninfocontrib.dsp,
	src/arch/sdl/win32-msvc70/gentranslate.dsp,
	src/arch/sdl/win32-msvc70/gfxoutputdrv.dsp,
	src/arch/sdl/win32-msvc70/iec.dsp,
	src/arch/sdl/win32-msvc70/iec128dcr.dsp,
	src/arch/sdl/win32-msvc70/iecbus.dsp,
	src/arch/sdl/win32-msvc70/iecieee.dsp,
	src/arch/sdl/win32-msvc70/ieee.dsp,
	src/arch/sdl/win32-msvc70/imagecontents.dsp,
	src/arch/sdl/win32-msvc70/monitor.dsp,
	src/arch/sdl/win32-msvc70/p64.dsp,
	src/arch/sdl/win32-msvc70/parallel.dsp,
	src/arch/sdl/win32-msvc70/pet.dsp,
	src/arch/sdl/win32-msvc70/petcat.dsp,
	src/arch/sdl/win32-msvc70/platform.dsp,
	src/arch/sdl/win32-msvc70/plus4.dsp,
	src/arch/sdl/win32-msvc70/plus4exp.dsp,
	src/arch/sdl/win32-msvc70/printerdrv.dsp,
	src/arch/sdl/win32-msvc70/raster.dsp,
	src/arch/sdl/win32-msvc70/resid.dsp,
	src/arch/sdl/win32-msvc70/residdtv.dsp,
	src/arch/sdl/win32-msvc70/residfp.dsp,
	src/arch/sdl/win32-msvc70/rs232drv.dsp,
	src/arch/sdl/win32-msvc70/rtc.dsp,
	src/arch/sdl/win32-msvc70/scpu64.dsp,
	src/arch/sdl/win32-msvc70/serial.dsp,
	src/arch/sdl/win32-msvc70/sid.dsp,
	src/arch/sdl/win32-msvc70/sounddrv.dsp,
	src/arch/sdl/win32-msvc70/tape.dsp,
	src/arch/sdl/win32-msvc70/tcbm.dsp,
	src/arch/sdl/win32-msvc70/userport.dsp,
	src/arch/sdl/win32-msvc70/vdc.dsp,
	src/arch/sdl/win32-msvc70/vdrive.dsp,
	src/arch/sdl/win32-msvc70/vic20.dsp,
	src/arch/sdl/win32-msvc70/vic20cart.dsp,
	src/arch/sdl/win32-msvc70/vice.dsw,
	src/arch/sdl/win32-msvc70/vicii.dsp,
	src/arch/sdl/win32-msvc70/viciidtv.dsp,
	src/arch/sdl/win32-msvc70/viciisc.dsp,
	src/arch/sdl/win32-msvc70/video.dsp,
	src/arch/sdl/win32-msvc70/vsid.dsp,
	src/arch/sdl/win32-msvc70/vsidlib.dsp,
	src/arch/sdl/win32-msvc70/x128.dsp, src/arch/sdl/win32-msvc70/x64.dsp,
	src/arch/sdl/win32-msvc70/x64dtv.dsp,
	src/arch/sdl/win32-msvc70/x64sc.dsp,
	src/arch/sdl/win32-msvc70/xcbm2.dsp,
	src/arch/sdl/win32-msvc70/xcbm5x0.dsp,
	src/arch/sdl/win32-msvc70/xpet.dsp,
	src/arch/sdl/win32-msvc70/xplus4.dsp,
	src/arch/sdl/win32-msvc70/xscpu64.dsp,
	src/arch/sdl/win32-msvc70/xvic.dsp: Replaced with msvc7.0 project
	files.

2013-07-08  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uipalcontrol.c: dont read from resources
	that are not available in vsid

2013-07-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, configure.proto,
	src/arch/sdl/win32-msvc70, src/arch/sdl/win32-msvc70/Makefile.am,
	src/arch/sdl/win32-msvc70/Readme.txt,
	src/arch/sdl/win32-msvc70/dirent.h,
	src/arch/sdl/win32-msvc70/ide-config.h,
	src/arch/sdl/win32-msvc70/ide-siddefs.h,
	src/arch/sdl/win32-msvc70/ide-siddtvdefs.h,
	src/arch/sdl/win32-msvc70/ide-sidfpdefs.h,
	src/arch/sdl/win32-msvc70/inttypes.h,
	src/arch/sdl/win32-msvc70/make-bindist.bat,
	src/arch/sdl/win32-msvc70/stdint.h,
	src/arch/sdl/win32-msvc70/vice.manifest,
	src/arch/sdl/win32-msvc70/_vice.dsp,
	src/arch/sdl/win32-msvc70/arch.dsp, arch/sdl/win32-msvc70/base.dsp,
	src/arch/sdl/win32-msvc70/c128.dsp,
	src/arch/sdl/win32-msvc70/c1541.dsp,
	src/arch/sdl/win32-msvc70/c64.dsp,
	src/arch/sdl/win32-msvc70/c64c128.dsp,
	src/arch/sdl/win32-msvc70/c64c64dtv.dsp,
	src/arch/sdl/win32-msvc70/c64cart.dsp,
	src/arch/sdl/win32-msvc70/c64cartsystem.dsp,
	src/arch/sdl/win32-msvc70/c64commoncart.dsp,
	src/arch/sdl/win32-msvc70/c64dtv.dsp,
	src/arch/sdl/win32-msvc70/c64dtvstubs.dsp,
	src/arch/sdl/win32-msvc70/c64exp.dsp,
	src/arch/sdl/win32-msvc70/c64sc.dsp,
	src/arch/sdl/win32-msvc70/c64scpu64.dsp,
	src/arch/sdl/win32-msvc70/cartconv.dsp,
	src/arch/sdl/win32-msvc70/cbm2.dsp,
	src/arch/sdl/win32-msvc70/cbm2common.dsp,
	src/arch/sdl/win32-msvc70/cbm5x0.dsp,
	src/arch/sdl/win32-msvc70/core.dsp,
	src/arch/sdl/win32-msvc70/crtc.dsp,
	src/arch/sdl/win32-msvc70/diskimage.dsp,
	src/arch/sdl/win32-msvc70/drive.dsp,
	src/arch/sdl/win32-msvc70/fileio.dsp,
	src/arch/sdl/win32-msvc70/fsdevice.dsp,
	src/arch/sdl/win32-msvc70/geninfocontrib.dsp,
	src/arch/sdl/win32-msvc70/gentranslate.dsp,
	src/arch/sdl/win32-msvc70/gfxoutputdrv.dsp,
	src/arch/sdl/win32-msvc70/iec.dsp,
	src/arch/sdl/win32-msvc70/iec128dcr.dsp,
	src/arch/sdl/win32-msvc70/iecbus.dsp,
	src/arch/sdl/win32-msvc70/iecieee.dsp,
	src/arch/sdl/win32-msvc70/ieee.dsp,
	src/arch/sdl/win32-msvc70/imagecontents.dsp,
	src/arch/sdl/win32-msvc70/monitor.dsp,
	src/arch/sdl/win32-msvc70/p64.dsp,
	src/arch/sdl/win32-msvc70/parallel.dsp,
	src/arch/sdl/win32-msvc70/pet.dsp,
	src/arch/sdl/win32-msvc70/petcat.dsp,
	src/arch/sdl/win32-msvc70/platform.dsp,
	src/arch/sdl/win32-msvc70/plus4.dsp,
	src/arch/sdl/win32-msvc70/plus4exp.dsp,
	src/arch/sdl/win32-msvc70/printerdrv.dsp,
	src/arch/sdl/win32-msvc70/raster.dsp,
	src/arch/sdl/win32-msvc70/resid.dsp,
	src/arch/sdl/win32-msvc70/residdtv.dsp,
	src/arch/sdl/win32-msvc70/residfp.dsp,
	src/arch/sdl/win32-msvc70/rs232drv.dsp,
	src/arch/sdl/win32-msvc70/rtc.dsp,
	src/arch/sdl/win32-msvc70/scpu64.dsp,
	src/arch/sdl/win32-msvc70/serial.dsp,
	src/arch/sdl/win32-msvc70/sid.dsp,
	src/arch/sdl/win32-msvc70/sounddrv.dsp,
	src/arch/sdl/win32-msvc70/tape.dsp,
	src/arch/sdl/win32-msvc70/tcbm.dsp,
	src/arch/sdl/win32-msvc70/userport.dsp,
	src/arch/sdl/win32-msvc70/vdc.dsp,
	src/arch/sdl/win32-msvc70/vdrive.dsp,
	src/arch/sdl/win32-msvc70/vic20.dsp,
	src/arch/sdl/win32-msvc70/vic20cart.dsp,
	src/arch/sdl/win32-msvc70/vice.dsw,
	src/arch/sdl/win32-msvc70/vicii.dsp,
	src/arch/sdl/win32-msvc70/viciidtv.dsp,
	src/arch/sdl/win32-msvc70/viciisc.dsp,
	src/arch/sdl/win32-msvc70/video.dsp,
	src/arch/sdl/win32-msvc70/vsid.dsp,
	src/arch/sdl/win32-msvc70/vsidlib.dsp,
	src/arch/sdl/win32-msvc70/x128.dsp, src/arch/sdl/win32-msvc70/x64.dsp,
	src/arch/sdl/win32-msvc70/x64dtv.dsp,
	src/arch/sdl/win32-msvc70/x64sc.dsp,
	src/arch/sdl/win32-msvc70/xcbm2.dsp,
	src/arch/sdl/win32-msvc70/xcbm5x0.dsp,
	src/arch/sdl/win32-msvc70/xpet.dsp,
	src/arch/sdl/win32-msvc70/xplus4.dsp,
	src/arch/sdl/win32-msvc70/xscpu64.dsp,
	src/arch/sdl/win32-msvc70/xvic.dsp: Made a win32-msvc70 sdl directory,
	for now populated with msvc6 project files.

2013-07-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, src/arch/win32/vs_tmpl/mkmsvc.c,
	configure.proto, src/arch/sdl/win32-msvc: Removed the sdl win32-msvc
	directory.

2013-07-08  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uifilechooser.c,
	src/arch/unix/x11/gnome/uifilechooser.h,
	src/arch/unix/x11/gnome/x11ui.c: fix memory leaks in filechooser

2013-07-08  groepaz <groepaz@gmx.net>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po: did make
	update-po, fixed german translation

2013-07-08  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uisettings.c: fixed debug menu

2013-07-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/mkmsvc.c,
	src/arch/sdl/win32-msvc6/Makefile.am,
	src/arch/sdl/win32-msvc6/ide-config.h,
	src/arch/sdl/win32-msvc6/inttypes.h,
	src/arch/sdl/win32-msvc6/stdint.h, src/arch/win32/vs_tmpl/Makefile.am,
	src/arch/sdl/win32-msvc6/_vice.dsp, src/arch/sdl/win32-msvc6/arch.dsp,
	src/arch/sdl/win32-msvc6/base.dsp, src/arch/sdl/win32-msvc6/c128.dsp,
	src/arch/sdl/win32-msvc6/c1541.dsp, src/arch/sdl/win32-msvc6/c64.dsp,
	src/arch/sdl/win32-msvc6/c64c128.dsp,
	src/arch/sdl/win32-msvc6/c64c64dtv.dsp,
	src/arch/sdl/win32-msvc6/c64cart.dsp,
	src/arch/sdl/win32-msvc6/c64cartsystem.dsp,
	src/arch/sdl/win32-msvc6/c64commoncart.dsp,
	src/arch/sdl/win32-msvc6/c64dtv.dsp,
	src/arch/sdl/win32-msvc6/c64dtvstubs.dsp,
	src/arch/sdl/win32-msvc6/c64exp.dsp,
	src/arch/sdl/win32-msvc6/c64sc.dsp,
	src/arch/sdl/win32-msvc6/c64scpu64.dsp,
	src/arch/sdl/win32-msvc6/cartconv.dsp,
	src/arch/sdl/win32-msvc6/cbm2.dsp,
	src/arch/sdl/win32-msvc6/cbm2common.dsp,
	src/arch/sdl/win32-msvc6/cbm5x0.dsp,
	src/arch/sdl/win32-msvc6/core.dsp, src/arch/sdl/win32-msvc6/crtc.dsp,
	src/arch/sdl/win32-msvc6/diskimage.dsp,
	src/arch/sdl/win32-msvc6/drive.dsp,
	src/arch/sdl/win32-msvc6/fileio.dsp,
	src/arch/sdl/win32-msvc6/fsdevice.dsp,
	src/arch/sdl/win32-msvc6/geninfocontrib.dsp,
	src/arch/sdl/win32-msvc6/gentranslate.dsp,
	src/arch/sdl/win32-msvc6/gfxoutputdrv.dsp,
	src/arch/sdl/win32-msvc6/iec.dsp,
	src/arch/sdl/win32-msvc6/iec128dcr.dsp,
	src/arch/sdl/win32-msvc6/iecbus.dsp,
	src/arch/sdl/win32-msvc6/iecieee.dsp,
	src/arch/sdl/win32-msvc6/ieee.dsp,
	src/arch/sdl/win32-msvc6/imagecontents.dsp,
	src/arch/sdl/win32-msvc6/monitor.dsp,
	src/arch/sdl/win32-msvc6/p64.dsp,
	src/arch/sdl/win32-msvc6/parallel.dsp,
	src/arch/sdl/win32-msvc6/pet.dsp, src/arch/sdl/win32-msvc6/petcat.dsp,
	src/arch/sdl/win32-msvc6/platform.dsp,
	src/arch/sdl/win32-msvc6/plus4.dsp,
	src/arch/sdl/win32-msvc6/plus4exp.dsp,
	src/arch/sdl/win32-msvc6/printerdrv.dsp,
	src/arch/sdl/win32-msvc6/raster.dsp,
	src/arch/sdl/win32-msvc6/resid.dsp,
	src/arch/sdl/win32-msvc6/residdtv.dsp,
	src/arch/sdl/win32-msvc6/residfp.dsp,
	src/arch/sdl/win32-msvc6/rs232drv.dsp,
	src/arch/sdl/win32-msvc6/rtc.dsp, src/arch/sdl/win32-msvc6/scpu64.dsp,
	src/arch/sdl/win32-msvc6/serial.dsp, src/arch/sdl/win32-msvc6/sid.dsp,
	src/arch/sdl/win32-msvc6/sounddrv.dsp,
	src/arch/sdl/win32-msvc6/tape.dsp, src/arch/sdl/win32-msvc6/tcbm.dsp,
	src/arch/sdl/win32-msvc6/userport.dsp,
	src/arch/sdl/win32-msvc6/vdc.dsp, src/arch/sdl/win32-msvc6/vdrive.dsp,
	src/arch/sdl/win32-msvc6/vic20.dsp,
	src/arch/sdl/win32-msvc6/vic20cart.dsp,
	src/arch/sdl/win32-msvc6/vice.dsw, src/arch/sdl/win32-msvc6/vicii.dsp,
	src/arch/sdl/win32-msvc6/viciidtv.dsp,
	src/arch/sdl/win32-msvc6/viciisc.dsp,
	src/arch/sdl/win32-msvc6/video.dsp, src/arch/sdl/win32-msvc6/vsid.dsp,
	src/arch/sdl/win32-msvc6/vsidlib.dsp,
	src/arch/sdl/win32-msvc6/x128.dsp, src/arch/sdl/win32-msvc6/x64.dsp,
	src/arch/sdl/win32-msvc6/x64dtv.dsp,
	src/arch/sdl/win32-msvc6/x64sc.dsp,
	src/arch/sdl/win32-msvc6/xcbm2.dsp,
	src/arch/sdl/win32-msvc6/xcbm5x0.dsp,
	src/arch/sdl/win32-msvc6/xpet.dsp,
	src/arch/sdl/win32-msvc6/xplus4.dsp,
	src/arch/sdl/win32-msvc6/xscpu64.dsp,
	src/arch/sdl/win32-msvc6/xvic.dsp, src/arch/win32/vs6/vice.dsw,
	src/arch/win32/vs_tmpl/arch.tmpl,
	src/arch/win32/vs_tmpl/arch_native.tmpl,
	src/arch/win32/vs_tmpl/arch_sdl.tmpl,
	src/arch/win32/vs_tmpl/sounddrv.tmpl,
	src/arch/win32/vs_tmpl/vice.tmpl: Added msvc6 sdl generation support.

2013-07-07  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/vsidui.c, src/arch/unix/vsiduiunix.h,
	src/arch/unix/x11/fullscreen.c, src/arch/unix/x11/gnome/uimenu.c,
	src/arch/unix/x11/gnome/uipalcontrol.c,
	src/arch/unix/x11/gnome/uipalcontrol.h,
	src/arch/unix/x11/gnome/uistatusbar.c,
	src/arch/unix/x11/gnome/uivsidcontrol.c,
	src/arch/unix/x11/gnome/x11ui.c, src/c64/psid.c, src/c64/psid.h,
	src/c64/vsid.c, src/lib.c: improved shutdown behavior a bit

2013-07-07  groepaz <groepaz@gmx.net>

	* src/c64/c64rom.c: cosmetics

2013-07-07  groepaz <groepaz@gmx.net>

	* src/vic20/vic20mem.c, src/vic20/vic20rom.c: do not patch unknown
	kernal images. fixes the problem reported by ruud on the ml

2013-07-07  Antti S. Lankila <alankila@bel.fi>

	* src/c64/psid.c, src/c64/psid.h, src/c64/vsid.c: Allow RSID BASIC
	tunes to play

2013-07-07  Antti S. Lankila <alankila@bel.fi>

	* src/c64/psid.c, src/c64/psid.h: Allow detecting which SIDs are
	RSID+BASIC tunes

2013-07-06  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/dragdrop.c: dont use lib_free on this
	pointer

2013-07-06  groepaz <groepaz@gmx.net>

	* src/lib.c: fixed lib_free to handle pointers not allocated by the
	lib_ functions. disabled non critical warning on free(NULL). made
	memory leak summary more compact.

2013-07-06  groepaz <groepaz@gmx.net>

	* src/debug.c, src/translate.txt, src/translate_text.c: removed
	pointless checks for DRIVE_NUM, it is always 4

2013-07-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, configure.proto, src/arch/sdl/win32-msvc6,
	src/arch/sdl/win32-msvc6/Makefile.am,
	src/arch/sdl/win32-msvc6/dirent.h,
	src/arch/sdl/win32-msvc6/ide-config.h,
	src/arch/sdl/win32-msvc6/ide-siddefs.h,
	src/arch/sdl/win32-msvc6/ide-siddtvdefs.h,
	src/arch/sdl/win32-msvc6/ide-sidfpdefs.h,
	src/arch/sdl/win32-msvc6/vice.manifest,
	src/arch/sdl/win32-msvc6/Readme.txt,
	src/arch/sdl/win32-msvc6/_vice.dsp, src/arch/sdl/win32-msvc6/arch.dsp,
	src/arch/sdl/win32-msvc6/base.dsp, src/arch/sdl/win32-msvc6/c128.dsp,
	src/arch/sdl/win32-msvc6/c1541.dsp, src/arch/sdl/win32-msvc6/c64.dsp,
	src/arch/sdl/win32-msvc6/c64c128.dsp,
	src/arch/sdl/win32-msvc6/c64c64dtv.dsp,
	src/arch/sdl/win32-msvc6/c64cart.dsp,
	src/arch/sdl/win32-msvc6/c64cartsystem.dsp,
	src/arch/sdl/win32-msvc6/c64commoncart.dsp,
	src/arch/sdl/win32-msvc6/c64dtv.dsp,
	src/arch/sdl/win32-msvc6/c64dtvstubs.dsp,
	src/arch/sdl/win32-msvc6/c64exp.dsp,
	src/arch/sdl/win32-msvc6/c64sc.dsp,
	src/arch/sdl/win32-msvc6/c64scpu64.dsp,
	src/arch/sdl/win32-msvc6/cartconv.dsp,
	src/arch/sdl/win32-msvc6/cbm2.dsp,
	src/arch/sdl/win32-msvc6/cbm2common.dsp,
	src/arch/sdl/win32-msvc6/cbm5x0.dsp,
	src/arch/sdl/win32-msvc6/core.dsp, src/arch/sdl/win32-msvc6/crtc.dsp,
	src/arch/sdl/win32-msvc6/diskimage.dsp,
	src/arch/sdl/win32-msvc6/drive.dsp,
	src/arch/sdl/win32-msvc6/fileio.dsp,
	src/arch/sdl/win32-msvc6/fsdevice.dsp,
	src/arch/sdl/win32-msvc6/geninfocontrib.dsp,
	src/arch/sdl/win32-msvc6/gentranslate.dsp,
	src/arch/sdl/win32-msvc6/gfxoutputdrv.dsp,
	src/arch/sdl/win32-msvc6/iec.dsp,
	src/arch/sdl/win32-msvc6/iec128dcr.dsp,
	src/arch/sdl/win32-msvc6/iecbus.dsp,
	src/arch/sdl/win32-msvc6/iecieee.dsp,
	src/arch/sdl/win32-msvc6/ieee.dsp,
	src/arch/sdl/win32-msvc6/imagecontents.dsp,
	src/arch/sdl/win32-msvc6/make-bindist.bat,
	src/arch/sdl/win32-msvc6/monitor.dsp,
	src/arch/sdl/win32-msvc6/p64.dsp,
	src/arch/sdl/win32-msvc6/parallel.dsp,
	src/arch/sdl/win32-msvc6/pet.dsp, src/arch/sdl/win32-msvc6/petcat.dsp,
	src/arch/sdl/win32-msvc6/platform.dsp,
	src/arch/sdl/win32-msvc6/plus4.dsp,
	src/arch/sdl/win32-msvc6/plus4exp.dsp,
	src/arch/sdl/win32-msvc6/printerdrv.dsp,
	src/arch/sdl/win32-msvc6/raster.dsp,
	src/arch/sdl/win32-msvc6/resid.dsp,
	src/arch/sdl/win32-msvc6/residdtv.dsp,
	src/arch/sdl/win32-msvc6/residfp.dsp,
	src/arch/sdl/win32-msvc6/rs232drv.dsp,
	src/arch/sdl/win32-msvc6/rtc.dsp, src/arch/sdl/win32-msvc6/scpu64.dsp,
	src/arch/sdl/win32-msvc6/serial.dsp, src/arch/sdl/win32-msvc6/sid.dsp,
	src/arch/sdl/win32-msvc6/sounddrv.dsp,
	src/arch/sdl/win32-msvc6/tape.dsp, src/arch/sdl/win32-msvc6/tcbm.dsp,
	src/arch/sdl/win32-msvc6/userport.dsp,
	src/arch/sdl/win32-msvc6/vdc.dsp, src/arch/sdl/win32-msvc6/vdrive.dsp,
	src/arch/sdl/win32-msvc6/vic20.dsp,
	src/arch/sdl/win32-msvc6/vic20cart.dsp,
	src/arch/sdl/win32-msvc6/vice.dsw, src/arch/sdl/win32-msvc6/vicii.dsp,
	src/arch/sdl/win32-msvc6/viciidtv.dsp,
	src/arch/sdl/win32-msvc6/viciisc.dsp,
	src/arch/sdl/win32-msvc6/video.dsp, src/arch/sdl/win32-msvc6/vsid.dsp,
	src/arch/sdl/win32-msvc6/vsidlib.dsp,
	src/arch/sdl/win32-msvc6/x128.dsp, src/arch/sdl/win32-msvc6/x64.dsp,
	src/arch/sdl/win32-msvc6/x64dtv.dsp,
	src/arch/sdl/win32-msvc6/x64sc.dsp,
	src/arch/sdl/win32-msvc6/xcbm2.dsp,
	src/arch/sdl/win32-msvc6/xcbm5x0.dsp,
	src/arch/sdl/win32-msvc6/xpet.dsp,
	src/arch/sdl/win32-msvc6/xplus4.dsp,
	src/arch/sdl/win32-msvc6/xscpu64.dsp,
	src/arch/sdl/win32-msvc6/xvic.dsp: Started on sdl msvc6 support.

2013-07-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs11/Makefile.am, src/arch/win32/vs11/winid_ia64.bat:
	Removed the ia64 batch file, since msvc11 doesn't support ia64
	anymore.

2013-07-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/mkmsvc.c, src/arch/win32/vs11/_vice.vcxproj,
	src/arch/win32/vs11/arch.vcxproj, src/arch/win32/vs11/base.vcxproj,
	src/arch/win32/vs11/c128.vcxproj, src/arch/win32/vs11/c1541.vcxproj,
	src/arch/win32/vs11/c64.vcxproj, src/arch/win32/vs11/c64c128.vcxproj,
	src/arch/win32/vs11/c64c64dtv.vcxproj,
	src/arch/win32/vs11/c64cart.vcxproj,
	src/arch/win32/vs11/c64cartsystem.vcxproj,
	src/arch/win32/vs11/c64commoncart.vcxproj,
	src/arch/win32/vs11/c64dtv.vcxproj,
	src/arch/win32/vs11/c64dtvstubs.vcxproj,
	src/arch/win32/vs11/c64exp.vcxproj, src/arch/win32/vs11/c64sc.vcxproj,
	src/arch/win32/vs11/c64scpu64.vcxproj,
	src/arch/win32/vs11/cartconv.vcxproj,
	src/arch/win32/vs11/cbm2.vcxproj,
	src/arch/win32/vs11/cbm2common.vcxproj,
	src/arch/win32/vs11/cbm5x0.vcxproj, src/arch/win32/vs11/core.vcxproj,
	src/arch/win32/vs11/crtc.vcxproj,
	src/arch/win32/vs11/diskimage.vcxproj,
	src/arch/win32/vs11/drive.vcxproj, src/arch/win32/vs11/fileio.vcxproj,
	src/arch/win32/vs11/fsdevice.vcxproj,
	src/arch/win32/vs11/geninfocontrib.vcxproj,
	src/arch/win32/vs11/genmsvcver.vcxproj,
	src/arch/win32/vs11/gentranslate.vcxproj,
	src/arch/win32/vs11/genwinres.vcxproj,
	src/arch/win32/vs11/gfxoutputdrv.vcxproj,
	src/arch/win32/vs11/iec.vcxproj,
	src/arch/win32/vs11/iec128dcr.vcxproj,
	src/arch/win32/vs11/iecbus.vcxproj,
	src/arch/win32/vs11/iecieee.vcxproj, src/arch/win32/vs11/ieee.vcxproj,
	src/arch/win32/vs11/imagecontents.vcxproj,
	src/arch/win32/vs11/monitor.vcxproj, src/arch/win32/vs11/p64.vcxproj,
	src/arch/win32/vs11/parallel.vcxproj, src/arch/win32/vs11/pet.vcxproj,
	src/arch/win32/vs11/petcat.vcxproj,
	src/arch/win32/vs11/platform.vcxproj,
	src/arch/win32/vs11/plus4.vcxproj,
	src/arch/win32/vs11/plus4exp.vcxproj,
	src/arch/win32/vs11/printerdrv.vcxproj,
	src/arch/win32/vs11/raster.vcxproj, src/arch/win32/vs11/resid.vcxproj,
	src/arch/win32/vs11/residdtv.vcxproj,
	src/arch/win32/vs11/residfp.vcxproj,
	src/arch/win32/vs11/rs232drv.vcxproj, src/arch/win32/vs11/rtc.vcxproj,
	src/arch/win32/vs11/scpu64.vcxproj,
	src/arch/win32/vs11/serial.vcxproj, src/arch/win32/vs11/sid.vcxproj,
	src/arch/win32/vs11/sounddrv.vcxproj,
	src/arch/win32/vs11/tape.vcxproj, src/arch/win32/vs11/tcbm.vcxproj,
	src/arch/win32/vs11/userport.vcxproj, src/arch/win32/vs11/vdc.vcxproj,
	src/arch/win32/vs11/vdrive.vcxproj, src/arch/win32/vs11/vic20.vcxproj,
	src/arch/win32/vs11/vic20cart.vcxproj, src/arch/win32/vs11/vice.sln,
	src/arch/win32/vs11/vicii.vcxproj,
	src/arch/win32/vs11/viciidtv.vcxproj,
	src/arch/win32/vs11/viciisc.vcxproj,
	src/arch/win32/vs11/video.vcxproj, src/arch/win32/vs11/vsid.vcxproj,
	src/arch/win32/vs11/vsidlib.vcxproj, src/arch/win32/vs11/x128.vcxproj,
	src/arch/win32/vs11/x64.vcxproj, src/arch/win32/vs11/x64dtv.vcxproj,
	src/arch/win32/vs11/x64sc.vcxproj, src/arch/win32/vs11/xcbm2.vcxproj,
	src/arch/win32/vs11/xcbm5x0.vcxproj, src/arch/win32/vs11/xpet.vcxproj,
	src/arch/win32/vs11/xplus4.vcxproj,
	src/arch/win32/vs11/xscpu64.vcxproj, src/arch/win32/vs11/xvic.vcxproj:
	Finished the msvc11 support.

2013-07-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/Makefile.am, src/arch/win64: Removed the
	(now obsolete) win64 directory and project files.

2013-07-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs10/_vice.vcxproj,
	src/arch/win32/vs10/c1541.vcxproj,
	src/arch/win32/vs10/cartconv.vcxproj,
	src/arch/win32/vs10/geninfocontrib.vcxproj,
	src/arch/win32/vs10/genmsvcver.vcxproj,
	src/arch/win32/vs10/gentranslate.vcxproj,
	src/arch/win32/vs10/genwinres.vcxproj,
	src/arch/win32/vs10/petcat.vcxproj, src/arch/win32/vs10/vsid.vcxproj,
	src/arch/win32/vs10/x128.vcxproj, src/arch/win32/vs10/x64.vcxproj,
	src/arch/win32/vs10/x64dtv.vcxproj, src/arch/win32/vs10/x64sc.vcxproj,
	src/arch/win32/vs10/xcbm2.vcxproj,
	src/arch/win32/vs10/xcbm5x0.vcxproj, src/arch/win32/vs10/xpet.vcxproj,
	src/arch/win32/vs10/xplus4.vcxproj,
	src/arch/win32/vs10/xscpu64.vcxproj, src/arch/win32/vs10/xvic.vcxproj:
	Fixed even more.

2013-07-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs10/c1541.vcxproj,
	src/arch/win32/vs10/cartconv.vcxproj,
	src/arch/win32/vs10/geninfocontrib.vcxproj,
	src/arch/win32/vs10/genmsvcver.vcxproj,
	src/arch/win32/vs10/gentranslate.vcxproj,
	src/arch/win32/vs10/genwinres.vcxproj,
	src/arch/win32/vs10/petcat.vcxproj: Fixed.

2013-07-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs11/_vice.vcxproj, src/arch/win32/vs11/arch.vcxproj,
	src/arch/win32/vs11/base.vcxproj, src/arch/win32/vs11/c128.vcxproj,
	src/arch/win32/vs11/c1541.vcxproj, src/arch/win32/vs11/c64.vcxproj,
	src/arch/win32/vs11/c64c128.vcxproj,
	arch/win32/vs11/c64c64dtv.vcxproj,
	src/arch/win32/vs11/c64cart.vcxproj,
	src/arch/win32/vs11/c64cartsystem.vcxproj,
	src/arch/win32/vs11/c64commoncart.vcxproj,
	src/arch/win32/vs11/c64dtv.vcxproj,
	src/arch/win32/vs11/c64dtvstubs.vcxproj,
	src/arch/win32/vs11/c64exp.vcxproj, src/arch/win32/vs11/c64sc.vcxproj,
	src/arch/win32/vs11/c64scpu64.vcxproj,
	src/arch/win32/vs11/cartconv.vcxproj,
	src/arch/win32/vs11/cbm2.vcxproj,
	src/arch/win32/vs11/cbm2common.vcxproj,
	src/arch/win32/vs11/cbm5x0.vcxproj, src/arch/win32/vs11/core.vcxproj,
	src/arch/win32/vs11/crtc.vcxproj,
	src/arch/win32/vs11/diskimage.vcxproj,
	src/arch/win32/vs11/drive.vcxproj, src/arch/win32/vs11/fileio.vcxproj,
	src/arch/win32/vs11/fsdevice.vcxproj,
	src/arch/win32/vs11/geninfocontrib.vcxproj,
	src/arch/win32/vs11/genmsvcver.vcxproj,
	src/arch/win32/vs11/gentranslate.vcxproj,
	src/arch/win32/vs11/genwinres.vcxproj,
	src/arch/win32/vs11/gfxoutputdrv.vcxproj,
	src/arch/win32/vs11/iec.vcxproj,
	src/arch/win32/vs11/iec128dcr.vcxproj,
	src/arch/win32/vs11/iecbus.vcxproj,
	src/arch/win32/vs11/iecieee.vcxproj, src/arch/win32/vs11/ieee.vcxproj,
	src/arch/win32/vs11/imagecontents.vcxproj,
	src/arch/win32/vs11/monitor.vcxproj, src/arch/win32/vs11/p64.vcxproj,
	src/arch/win32/vs11/parallel.vcxproj, src/arch/win32/vs11/pet.vcxproj,
	src/arch/win32/vs11/petcat.vcxproj,
	src/arch/win32/vs11/platform.vcxproj,
	src/arch/win32/vs11/plus4.vcxproj,
	src/arch/win32/vs11/plus4exp.vcxproj,
	src/arch/win32/vs11/printerdrv.vcxproj,
	src/arch/win32/vs11/raster.vcxproj, src/arch/win32/vs11/resid.vcxproj,
	src/arch/win32/vs11/residdtv.vcxproj,
	src/arch/win32/vs11/residfp.vcxproj,
	src/arch/win32/vs11/rs232drv.vcxproj, src/arch/win32/vs11/rtc.vcxproj,
	src/arch/win32/vs11/scpu64.vcxproj,
	src/arch/win32/vs11/serial.vcxproj, src/arch/win32/vs11/sid.vcxproj,
	src/arch/win32/vs11/sounddrv.vcxproj,
	src/arch/win32/vs11/tape.vcxproj, src/arch/win32/vs11/tcbm.vcxproj,
	src/arch/win32/vs11/userport.vcxproj, src/arch/win32/vs11/vdc.vcxproj,
	src/arch/win32/vs11/vdrive.vcxproj, src/arch/win32/vs11/vic20.vcxproj,
	src/arch/win32/vs11/vic20cart.vcxproj, src/arch/win32/vs11/vice.sln,
	src/arch/win32/vs11/vicii.vcxproj,
	src/arch/win32/vs11/viciidtv.vcxproj,
	src/arch/win32/vs11/viciisc.vcxproj,
	src/arch/win32/vs11/video.vcxproj, src/arch/win32/vs11/vsid.vcxproj,
	src/arch/win32/vs11/vsidlib.vcxproj, src/arch/win32/vs11/x128.vcxproj,
	src/arch/win32/vs11/x64.vcxproj, src/arch/win32/vs11/x64dtv.vcxproj,
	src/arch/win32/vs11/x64sc.vcxproj, src/arch/win32/vs11/xcbm2.vcxproj,
	src/arch/win32/vs11/xcbm5x0.vcxproj, src/arch/win32/vs11/xpet.vcxproj,
	src/arch/win32/vs11/xplus4.vcxproj,
	src/arch/win32/vs11/xscpu64.vcxproj, src/arch/win32/vs11/xvic.vcxproj:
	Put correct msvc11 project files in place.

2013-07-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/win32/Makefile.am, src/arch/win32/vs11,
	src/arch/win32/vs11/make-msvc-bindist.bat,
	src/arch/win32/vs11/Makefile.am, src/arch/win32/vs11/winid_ia64.bat,
	src/arch/win32/vs11/_vice.vcxproj, src/arch/win32/vs11/arch.vcxproj,
	src/arch/win32/vs11/base.vcxproj, src/arch/win32/vs11/c128.vcxproj,
	src/arch/win32/vs11/c1541.vcxproj, src/arch/win32/vs11/c64.vcxproj,
	src/arch/win32/vs11/c64c128.vcxproj,
	src/arch/win32/vs11/c64c64dtv.vcxproj,
	src/arch/win32/vs11/c64cart.vcxproj,
	src/arch/win32/vs11/c64cartsystem.vcxproj,
	src/arch/win32/vs11/c64commoncart.vcxproj,
	src/arch/win32/vs11/c64dtv.vcxproj,
	src/arch/win32/vs11/c64dtvstubs.vcxproj,
	src/arch/win32/vs11/c64exp.vcxproj, src/arch/win32/vs11/c64sc.vcxproj,
	src/arch/win32/vs11/c64scpu64.vcxproj,
	src/arch/win32/vs11/cartconv.vcxproj,
	src/arch/win32/vs11/cbm2.vcxproj,
	src/arch/win32/vs11/cbm2common.vcxproj,
	src/arch/win32/vs11/cbm5x0.vcxproj, src/arch/win32/vs11/core.vcxproj,
	src/arch/win32/vs11/crtc.vcxproj,
	src/arch/win32/vs11/diskimage.vcxproj,
	src/arch/win32/vs11/drive.vcxproj, src/arch/win32/vs11/fileio.vcxproj,
	src/arch/win32/vs11/fsdevice.vcxproj,
	src/arch/win32/vs11/geninfocontrib.vcxproj,
	src/arch/win32/vs11/genmsvcver.vcxproj,
	src/arch/win32/vs11/gentranslate.vcxproj,
	src/arch/win32/vs11/genwinres.vcxproj,
	src/arch/win32/vs11/gfxoutputdrv.vcxproj,
	src/arch/win32/vs11/iec.vcxproj,
	src/arch/win32/vs11/iec128dcr.vcxproj,
	src/arch/win32/vs11/iecbus.vcxproj,
	src/arch/win32/vs11/iecieee.vcxproj, src/arch/win32/vs11/ieee.vcxproj,
	src/arch/win32/vs11/imagecontents.vcxproj,
	src/arch/win32/vs11/monitor.vcxproj, src/arch/win32/vs11/p64.vcxproj,
	src/arch/win32/vs11/parallel.vcxproj, src/arch/win32/vs11/pet.vcxproj,
	src/arch/win32/vs11/petcat.vcxproj,
	src/arch/win32/vs11/platform.vcxproj,
	src/arch/win32/vs11/plus4.vcxproj,
	src/arch/win32/vs11/plus4exp.vcxproj,
	arch/win32/vs11/printerdrv.vcxproj,
	src/arch/win32/vs11/raster.vcxproj, src/arch/win32/vs11/resid.vcxproj,
	src/arch/win32/vs11/residdtv.vcxproj,
	src/arch/win32/vs11/residfp.vcxproj,
	src/arch/win32/vs11/rs232drv.vcxproj, src/arch/win32/vs11/rtc.vcxproj,
	src/arch/win32/vs11/scpu64.vcxproj,
	src/arch/win32/vs11/serial.vcxproj, src/arch/win32/vs11/sid.vcxproj,
	src/arch/win32/vs11/sounddrv.vcxproj,
	src/arch/win32/vs11/tape.vcxproj, src/arch/win32/vs11/tcbm.vcxproj,
	src/arch/win32/vs11/userport.vcxproj, src/arch/win32/vs11/vdc.vcxproj,
	src/arch/win32/vs11/vdrive.vcxproj, src/arch/win32/vs11/vic20.vcxproj,
	src/arch/win32/vs11/vic20cart.vcxproj, src/arch/win32/vs11/vice.sln,
	src/arch/win32/vs11/vicii.vcxproj,
	src/arch/win32/vs11/viciidtv.vcxproj,
	src/arch/win32/vs11/viciisc.vcxproj,
	src/arch/win32/vs11/video.vcxproj, src/arch/win32/vs11/vsid.vcxproj,
	src/arch/win32/vs11/vsidlib.vcxproj, src/arch/win32/vs11/x128.vcxproj,
	src/arch/win32/vs11/x64.vcxproj, src/arch/win32/vs11/x64dtv.vcxproj,
	src/arch/win32/vs11/x64sc.vcxproj, src/arch/win32/vs11/xcbm2.vcxproj,
	src/arch/win32/vs11/xcbm5x0.vcxproj, src/arch/win32/vs11/xpet.vcxproj,
	src/arch/win32/vs11/xplus4.vcxproj,
	src/arch/win32/vs11/xscpu64.vcxproj, src/arch/win32/vs11/xvic.vcxproj,
	src/arch/win32/vs11/winid_x64.bat, src/arch/win32/vs11/winid_x86.bat:
	Started on msvc11 support, directory is populated with msvc10 project
	files for now.

2013-07-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs10/_vice.vcxproj,
	src/arch/win32/vs10/c1541.vcxproj,
	src/arch/win32/vs10/cartconv.vcxproj,
	src/arch/win32/vs10/geninfocontrib.vcxproj,
	src/arch/win32/vs10/genmsvcver.vcxproj,
	src/arch/win32/vs10/gentranslate.vcxproj,
	src/arch/win32/vs10/genwinres.vcxproj,
	src/arch/win32/vs10/petcat.vcxproj, src/arch/win32/vs10/vsid.vcxproj,
	src/arch/win32/vs10/x128.vcxproj, src/arch/win32/vs10/x64.vcxproj,
	src/arch/win32/vs10/x64dtv.vcxproj, src/arch/win32/vs10/x64sc.vcxproj,
	src/arch/win32/vs10/xcbm2.vcxproj,
	src/arch/win32/vs10/xcbm5x0.vcxproj, src/arch/win32/vs10/xpet.vcxproj,
	src/arch/win32/vs10/xplus4.vcxproj,
	src/arch/win32/vs10/xscpu64.vcxproj, src/arch/win32/vs10/xvic.vcxproj,
	src/arch/win32/vs10/arch.vcxproj, src/arch/win32/vs10/base.vcxproj,
	src/arch/win32/vs10/c128.vcxproj, src/arch/win32/vs10/c64.vcxproj,
	src/arch/win32/vs10/c64c128.vcxproj,
	src/arch/win32/vs10/c64c64dtv.vcxproj,
	src/arch/win32/vs10/c64cart.vcxproj,
	src/arch/win32/vs10/c64cartsystem.vcxproj,
	src/arch/win32/vs10/c64commoncart.vcxproj,
	src/arch/win32/vs10/c64dtv.vcxproj,
	src/arch/win32/vs10/c64dtvstubs.vcxproj,
	src/arch/win32/vs10/c64exp.vcxproj, src/arch/win32/vs10/c64sc.vcxproj,
	src/arch/win32/vs10/c64scpu64.vcxproj,
	src/arch/win32/vs10/cbm2.vcxproj,
	src/arch/win32/vs10/cbm2common.vcxproj,
	src/arch/win32/vs10/cbm5x0.vcxproj, src/arch/win32/vs10/core.vcxproj,
	src/arch/win32/vs10/crtc.vcxproj,
	src/arch/win32/vs10/diskimage.vcxproj,
	src/arch/win32/vs10/drive.vcxproj, src/arch/win32/vs10/fileio.vcxproj,
	src/arch/win32/vs10/fsdevice.vcxproj,
	src/arch/win32/vs10/gfxoutputdrv.vcxproj,
	src/arch/win32/vs10/iec.vcxproj,
	src/arch/win32/vs10/iec128dcr.vcxproj,
	src/arch/win32/vs10/iecbus.vcxproj,
	src/arch/win32/vs10/iecieee.vcxproj, src/arch/win32/vs10/ieee.vcxproj,
	src/arch/win32/vs10/imagecontents.vcxproj,
	src/arch/win32/vs10/monitor.vcxproj, src/arch/win32/vs10/p64.vcxproj,
	src/arch/win32/vs10/parallel.vcxproj, src/arch/win32/vs10/pet.vcxproj,
	src/arch/win32/vs10/platform.vcxproj,
	src/arch/win32/vs10/plus4.vcxproj,
	src/arch/win32/vs10/plus4exp.vcxproj,
	src/arch/win32/vs10/printerdrv.vcxproj,
	src/arch/win32/vs10/raster.vcxproj, src/arch/win32/vs10/resid.vcxproj,
	src/arch/win32/vs10/residdtv.vcxproj,
	src/arch/win32/vs10/residfp.vcxproj,
	src/arch/win32/vs10/rs232drv.vcxproj, src/arch/win32/vs10/rtc.vcxproj,
	src/arch/win32/vs10/scpu64.vcxproj,
	src/arch/win32/vs10/serial.vcxproj, src/arch/win32/vs10/sid.vcxproj,
	src/arch/win32/vs10/sounddrv.vcxproj,
	src/arch/win32/vs10/tape.vcxproj, src/arch/win32/vs10/tcbm.vcxproj,
	src/arch/win32/vs10/userport.vcxproj, src/arch/win32/vs10/vdc.vcxproj,
	src/arch/win32/vs10/vdrive.vcxproj, src/arch/win32/vs10/vic20.vcxproj,
	src/arch/win32/vs10/vic20cart.vcxproj, src/arch/win32/vs10/vice.sln,
	src/arch/win32/vs10/vicii.vcxproj,
	src/arch/win32/vs10/viciidtv.vcxproj,
	src/arch/win32/vs10/viciisc.vcxproj,
	src/arch/win32/vs10/video.vcxproj,
	src/arch/win32/vs10/vsidlib.vcxproj: Finished the msvc10 support.

2013-07-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs6/vice.dsw, src/arch/win32/vs6/monitor.dsp,
	src/arch/win32/vs6/plus4.dsp, src/arch/win32/vs70/monitor.vcproj,
	src/arch/win32/vs70/plus4.vcproj, src/arch/win32/vs70/vice.sln,
	src/arch/win32/vs71/monitor.vcproj, src/arch/win32/vs71/plus4.vcproj,
	src/arch/win32/vs71/vice.sln, src/arch/win32/vs8/monitor.vcproj,
	src/arch/win32/vs8/plus4.vcproj, src/arch/win32/vs8/vice.sln,
	src/arch/win32/vs9/monitor.vcproj, src/arch/win32/vs9/plus4.vcproj,
	src/arch/win32/vs9/vice.sln: Updated to the fixes in the template
	files.

2013-07-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/monitor.tmpl,
	src/arch/win32/vs_tmpl/plus4.tmpl, src/arch/win32/vs_tmpl/x64dtv.tmpl:
	Fixed.

2013-07-04  Marcus Sutton <loggedoubt@gmail.com>

	* configure.proto: Stop HAVE_STRDUP being defined twice when the macro
	test isn't run.

2013-07-04  Marcus Sutton <loggedoubt@gmail.com>

	* configure.proto, src/sound.c, src/sound.h, src/sounddrv/Makefile.am,
	src/sounddrv/soundbsp.cc: Implement an experimental sound driver using
	the BSoundPlayer class from the BeOS/Haiku Media Kit and use it by
	default on Haiku.

2013-07-03  Antti S. Lankila <alankila@bel.fi>

	* src/resid/sid.cc, src/resid/sid.h: Cache FIR tables if settings do
	not change. This speeds up song change a lot on slow hardware while
	using FIR filtering.

2013-07-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs10/_vice.vcxproj,
	src/arch/win32/vs10/c1541.vcxproj,
	src/arch/win32/vs10/cartconv.vcxproj,
	src/arch/win32/vs10/geninfocontrib.vcxproj,
	src/arch/win32/vs10/genmsvcver.vcxproj,
	src/arch/win32/vs10/gentranslate.vcxproj,
	src/arch/win32/vs10/genwinres.vcxproj,
	src/arch/win32/vs10/petcat.vcxproj, src/arch/win32/vs10/vsid.vcxproj,
	src/arch/win32/vs10/x128.vcxproj, src/arch/win32/vs10/x64.vcxproj,
	src/arch/win32/vs10/x64dtv.vcxproj, src/arch/win32/vs10/x64sc.vcxproj,
	src/arch/win32/vs10/xcbm2.vcxproj,
	src/arch/win32/vs10/xcbm5x0.vcxproj, src/arch/win32/vs10/xpet.vcxproj,
	src/arch/win32/vs10/xplus4.vcxproj,
	src/arch/win32/vs10/xscpu64.vcxproj, src/arch/win32/vs10/xvic.vcxproj,
	src/arch/win32/vs10/Makefile.am, src/arch/win32/vs10/arch.vcxproj,
	src/arch/win32/vs10/base.vcxproj, src/arch/win32/vs10/c128.vcxproj,
	src/arch/win32/vs10/c64.vcxproj, src/arch/win32/vs10/c64c128.vcxproj,
	src/arch/win32/vs10/c64c64dtv.vcxproj,
	src/arch/win32/vs10/c64cart.vcxproj,
	src/arch/win32/vs10/c64cartsystem.vcxproj,
	src/arch/win32/vs10/c64commoncart.vcxproj,
	src/arch/win32/vs10/c64dtv.vcxproj,
	src/arch/win32/vs10/c64dtvstubs.vcxproj,
	src/arch/win32/vs10/c64exp.vcxproj, src/arch/win32/vs10/c64sc.vcxproj,
	src/arch/win32/vs10/c64scpu64.vcxproj,
	src/arch/win32/vs10/cbm2.vcxproj,
	src/arch/win32/vs10/cbm2common.vcxproj,
	src/arch/win32/vs10/cbm5x0.vcxproj, src/arch/win32/vs10/core.vcxproj,
	src/arch/win32/vs10/crtc.vcxproj,
	src/arch/win32/vs10/diskimage.vcxproj,
	src/arch/win32/vs10/drive.vcxproj, src/arch/win32/vs10/fileio.vcxproj,
	src/arch/win32/vs10/fsdevice.vcxproj,
	src/arch/win32/vs10/gfxoutputdrv.vcxproj,
	src/arch/win32/vs10/iec.vcxproj,
	src/arch/win32/vs10/iec128dcr.vcxproj,
	src/arch/win32/vs10/iecbus.vcxproj,
	src/arch/win32/vs10/iecieee.vcxproj, src/arch/win32/vs10/ieee.vcxproj,
	src/arch/win32/vs10/imagecontents.vcxproj,
	src/arch/win32/vs10/monitor.vcxproj, src/arch/win32/vs10/p64.vcxproj,
	src/arch/win32/vs10/parallel.vcxproj, src/arch/win32/vs10/pet.vcxproj,
	src/arch/win32/vs10/platform.vcxproj,
	src/arch/win32/vs10/plus4.vcxproj,
	src/arch/win32/vs10/plus4exp.vcxproj,
	src/arch/win32/vs10/printerdrv.vcxproj,
	src/arch/win32/vs10/raster.vcxproj, src/arch/win32/vs10/resid.vcxproj,
	src/arch/win32/vs10/residdtv.vcxproj,
	src/arch/win32/vs10/residfp.vcxproj,
	src/arch/win32/vs10/rs232drv.vcxproj, src/arch/win32/vs10/rtc.vcxproj,
	src/arch/win32/vs10/scpu64.vcxproj,
	src/arch/win32/vs10/serial.vcxproj, src/arch/win32/vs10/sid.vcxproj,
	src/arch/win32/vs10/sounddrv.vcxproj,
	src/arch/win32/vs10/tape.vcxproj, src/arch/win32/vs10/tcbm.vcxproj,
	src/arch/win32/vs10/userport.vcxproj, src/arch/win32/vs10/vdc.vcxproj,
	src/arch/win32/vs10/vdrive.vcxproj, src/arch/win32/vs10/vic20.vcxproj,
	src/arch/win32/vs10/vic20cart.vcxproj, src/arch/win32/vs10/vice.sln,
	src/arch/win32/vs10/vicii.vcxproj,
	src/arch/win32/vs10/viciidtv.vcxproj,
	src/arch/win32/vs10/viciisc.vcxproj,
	src/arch/win32/vs10/video.vcxproj,
	src/arch/win32/vs10/vsidlib.vcxproj, src/arch/win32/vs10/_vice.vcproj,
	src/arch/win32/vs10/arch.vcproj, src/arch/win32/vs10/base.vcproj,
	src/arch/win32/vs10/c128.vcproj, src/arch/win32/vs10/c1541.vcproj,
	src/arch/win32/vs10/c64.vcproj, src/arch/win32/vs10/c64c128.vcproj,
	src/arch/win32/vs10/c64c64dtv.vcproj,
	src/arch/win32/vs10/c64cart.vcproj,
	src/arch/win32/vs10/c64cartsystem.vcproj,
	src/arch/win32/vs10/c64commoncart.vcproj,
	src/arch/win32/vs10/c64dtv.vcproj,
	src/arch/win32/vs10/c64dtvstubs.vcproj,
	src/arch/win32/vs10/c64exp.vcproj, src/arch/win32/vs10/c64sc.vcproj,
	src/arch/win32/vs10/c64scpu64.vcproj,
	src/arch/win32/vs10/cartconv.vcproj, src/arch/win32/vs10/cbm2.vcproj,
	src/arch/win32/vs10/cbm2common.vcproj,
	src/arch/win32/vs10/cbm5x0.vcproj, src/arch/win32/vs10/core.vcproj,
	src/arch/win32/vs10/crtc.vcproj, src/arch/win32/vs10/diskimage.vcproj,
	src/arch/win32/vs10/drive.vcproj, src/arch/win32/vs10/fileio.vcproj,
	src/arch/win32/vs10/fsdevice.vcproj,
	src/arch/win32/vs10/geninfocontrib.vcproj,
	src/arch/win32/vs10/genmsvcver.vcproj,
	src/arch/win32/vs10/gentranslate.vcproj,
	src/arch/win32/vs10/genwinres.vcproj,
	src/arch/win32/vs10/gfxoutputdrv.vcproj,
	src/arch/win32/vs10/iec.vcproj, src/arch/win32/vs10/iec128dcr.vcproj,
	src/arch/win32/vs10/iecbus.vcproj, src/arch/win32/vs10/iecieee.vcproj,
	src/arch/win32/vs10/ieee.vcproj,
	src/arch/win32/vs10/imagecontents.vcproj,
	src/arch/win32/vs10/monitor.vcproj, src/arch/win32/vs10/p64.vcproj,
	src/arch/win32/vs10/parallel.vcproj, src/arch/win32/vs10/pet.vcproj,
	src/arch/win32/vs10/petcat.vcproj,
	src/arch/win32/vs10/platform.vcproj, src/arch/win32/vs10/plus4.vcproj,
	src/arch/win32/vs10/plus4exp.vcproj,
	src/arch/win32/vs10/printerdrv.vcproj,
	src/arch/win32/vs10/raster.vcproj, src/arch/win32/vs10/resid.vcproj,
	src/arch/win32/vs10/residdtv.vcproj,
	src/arch/win32/vs10/residfp.vcproj,
	src/arch/win32/vs10/rs232drv.vcproj, src/arch/win32/vs10/rtc.vcproj,
	src/arch/win32/vs10/scpu64.vcproj, src/arch/win32/vs10/serial.vcproj,
	src/arch/win32/vs10/sid.vcproj, src/arch/win32/vs10/sounddrv.vcproj,
	src/arch/win32/vs10/tape.vcproj, src/arch/win32/vs10/tcbm.vcproj,
	src/arch/win32/vs10/userport.vcproj, src/arch/win32/vs10/vdc.vcproj,
	src/arch/win32/vs10/vdrive.vcproj, src/arch/win32/vs10/vic20.vcproj,
	src/arch/win32/vs10/vic20cart.vcproj,
	src/arch/win32/vs10/vicii.vcproj, src/arch/win32/vs10/viciidtv.vcproj,
	src/arch/win32/vs10/viciisc.vcproj, src/arch/win32/vs10/video.vcproj,
	src/arch/win32/vs10/vsid.vcproj, src/arch/win32/vs10/vsidlib.vcproj,
	src/arch/win32/vs10/x128.vcproj, src/arch/win32/vs10/x64.vcproj,
	src/arch/win32/vs10/x64dtv.vcproj, src/arch/win32/vs10/x64sc.vcproj,
	src/arch/win32/vs10/xcbm2.vcproj, src/arch/win32/vs10/xcbm5x0.vcproj,
	src/arch/win32/vs10/xpet.vcproj, src/arch/win32/vs10/xplus4.vcproj,
	src/arch/win32/vs10/xscpu64.vcproj, src/arch/win32/vs10/xvic.vcproj:
	Replaced the msvc9 project files with msvc10 project files.

2013-06-30  Errol Smith <strobe@kludgesoft.com> 

	* src/vdc/vdc-mem.c, src/vdc/vdc.c: Fix for bug #356, where the left
	border overlaps the left hand side of VDC screen on platforms with no
	unaligned access.

2013-06-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/win32/Makefile.am, src/arch/win32/vs10,
	src/arch/win32/vs10/Makefile.am,
	src/arch/win32/vs10/make-msvc-bindist.bat,
	src/arch/win32/vs10/vice.sln, src/arch/win32/vs10/winid_ia64.bat,
	src/arch/win32/vs10/winid_x64.bat, src/arch/win32/vs10/winid_x86.bat,
	src/arch/win32/vs10/_vice.vcproj, src/arch/win32/vs10/arch.vcproj,
	src/arch/win32/vs10/base.vcproj, src/arch/win32/vs10/c128.vcproj,
	src/arch/win32/vs10/c1541.vcproj, src/arch/win32/vs10/c64.vcproj,
	src/arch/win32/vs10/c64c128.vcproj,
	src/arch/win32/vs10/c64c64dtv.vcproj,
	src/arch/win32/vs10/c64cart.vcproj,
	src/arch/win32/vs10/c64cartsystem.vcproj,
	src/arch/win32/vs10/c64commoncart.vcproj,
	src/arch/win32/vs10/c64dtv.vcproj,
	src/arch/win32/vs10/c64dtvstubs.vcproj,
	src/arch/win32/vs10/c64exp.vcproj, src/arch/win32/vs10/c64sc.vcproj,
	src/arch/win32/vs10/c64scpu64.vcproj,
	src/arch/win32/vs10/cartconv.vcproj, src/arch/win32/vs10/cbm2.vcproj,
	src/arch/win32/vs10/cbm2common.vcproj,
	src/arch/win32/vs10/cbm5x0.vcproj, src/arch/win32/vs10/core.vcproj,
	src/arch/win32/vs10/crtc.vcproj, src/arch/win32/vs10/diskimage.vcproj,
	src/arch/win32/vs10/drive.vcproj, src/arch/win32/vs10/fileio.vcproj,
	src/arch/win32/vs10/fsdevice.vcproj,
	src/arch/win32/vs10/geninfocontrib.vcproj,
	src/arch/win32/vs10/genmsvcver.vcproj,
	src/arch/win32/vs10/gentranslate.vcproj,
	src/arch/win32/vs10/genwinres.vcproj,
	src/arch/win32/vs10/gfxoutputdrv.vcproj,
	src/arch/win32/vs10/iec.vcproj, src/arch/win32/vs10/iec128dcr.vcproj,
	src/arch/win32/vs10/iecbus.vcproj, src/arch/win32/vs10/iecieee.vcproj,
	src/arch/win32/vs10/ieee.vcproj,
	src/arch/win32/vs10/imagecontents.vcproj,
	src/arch/win32/vs10/monitor.vcproj, src/arch/win32/vs10/p64.vcproj,
	src/arch/win32/vs10/parallel.vcproj, src/arch/win32/vs10/pet.vcproj,
	src/arch/win32/vs10/petcat.vcproj,
	src/arch/win32/vs10/platform.vcproj, src/arch/win32/vs10/plus4.vcproj,
	src/arch/win32/vs10/plus4exp.vcproj,
	src/arch/win32/vs10/printerdrv.vcproj,
	src/arch/win32/vs10/raster.vcproj, src/arch/win32/vs10/resid.vcproj,
	src/arch/win32/vs10/residdtv.vcproj,
	src/arch/win32/vs10/residfp.vcproj,
	src/arch/win32/vs10/rs232drv.vcproj, src/arch/win32/vs10/rtc.vcproj,
	src/arch/win32/vs10/scpu64.vcproj, src/arch/win32/vs10/serial.vcproj,
	src/arch/win32/vs10/sid.vcproj, src/arch/win32/vs10/sounddrv.vcproj,
	src/arch/win32/vs10/tape.vcproj, src/arch/win32/vs10/tcbm.vcproj,
	src/arch/win32/vs10/userport.vcproj, src/arch/win32/vs10/vdc.vcproj,
	src/arch/win32/vs10/vdrive.vcproj, src/arch/win32/vs10/vic20.vcproj,
	src/arch/win32/vs10/vic20cart.vcproj,
	src/arch/win32/vs10/vicii.vcproj, src/arch/win32/vs10/viciidtv.vcproj,
	src/arch/win32/vs10/viciisc.vcproj, src/arch/win32/vs10/video.vcproj,
	src/arch/win32/vs10/vsid.vcproj, src/arch/win32/vs10/vsidlib.vcproj,
	src/arch/win32/vs10/x128.vcproj, src/arch/win32/vs10/x64.vcproj,
	src/arch/win32/vs10/x64dtv.vcproj, src/arch/win32/vs10/x64sc.vcproj,
	src/arch/win32/vs10/xcbm2.vcproj, src/arch/win32/vs10/xcbm5x0.vcproj,
	src/arch/win32/vs10/xpet.vcproj, src/arch/win32/vs10/xplus4.vcproj,
	src/arch/win32/vs10/xscpu64.vcproj, src/arch/win32/vs10/xvic.vcproj:
	Made a vs10 directory and populated it with vs9 project files for now.

2013-06-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/mkmsvc.c, src/arch/win32/vs9/monitor.vcproj,
	src/arch/win32/vs9/plus4.vcproj, src/arch/win32/vs9/vice.sln,
	src/arch/win32/vs9/_vice.vcproj, src/arch/win32/vs9/arch.vcproj,
	src/arch/win32/vs9/base.vcproj, src/arch/win32/vs9/c128.vcproj,
	src/arch/win32/vs9/c1541.vcproj, src/arch/win32/vs9/c64.vcproj,
	src/arch/win32/vs9/c64c128.vcproj,
	src/arch/win32/vs9/c64c64dtv.vcproj,
	src/arch/win32/vs9/c64cart.vcproj,
	src/arch/win32/vs9/c64cartsystem.vcproj,
	src/arch/win32/vs9/c64commoncart.vcproj,
	src/arch/win32/vs9/c64dtv.vcproj,
	src/arch/win32/vs9/c64dtvstubs.vcproj,
	src/arch/win32/vs9/c64exp.vcproj, src/arch/win32/vs9/c64sc.vcproj,
	src/arch/win32/vs9/c64scpu64.vcproj,
	src/arch/win32/vs9/cartconv.vcproj, src/arch/win32/vs9/cbm2.vcproj,
	src/arch/win32/vs9/cbm2common.vcproj,
	src/arch/win32/vs9/cbm5x0.vcproj, src/arch/win32/vs9/core.vcproj,
	src/arch/win32/vs9/crtc.vcproj, src/arch/win32/vs9/diskimage.vcproj,
	src/arch/win32/vs9/drive.vcproj, src/arch/win32/vs9/fileio.vcproj,
	src/arch/win32/vs9/fsdevice.vcproj,
	src/arch/win32/vs9/geninfocontrib.vcproj,
	src/arch/win32/vs9/genmsvcver.vcproj,
	src/arch/win32/vs9/gentranslate.vcproj,
	src/arch/win32/vs9/genwinres.vcproj,
	src/arch/win32/vs9/gfxoutputdrv.vcproj, src/arch/win32/vs9/iec.vcproj,
	src/arch/win32/vs9/iec128dcr.vcproj, src/arch/win32/vs9/iecbus.vcproj,
	src/arch/win32/vs9/iecieee.vcproj, src/arch/win32/vs9/ieee.vcproj,
	src/arch/win32/vs9/imagecontents.vcproj,
	src/arch/win32/vs9/p64.vcproj, src/arch/win32/vs9/parallel.vcproj,
	src/arch/win32/vs9/pet.vcproj, src/arch/win32/vs9/petcat.vcproj,
	src/arch/win32/vs9/platform.vcproj,
	src/arch/win32/vs9/plus4exp.vcproj,
	src/arch/win32/vs9/printerdrv.vcproj,
	src/arch/win32/vs9/raster.vcproj, src/arch/win32/vs9/resid.vcproj,
	src/arch/win32/vs9/residdtv.vcproj, src/arch/win32/vs9/residfp.vcproj,
	src/arch/win32/vs9/rs232drv.vcproj, src/arch/win32/vs9/rtc.vcproj,
	src/arch/win32/vs9/scpu64.vcproj, src/arch/win32/vs9/serial.vcproj,
	src/arch/win32/vs9/sid.vcproj, src/arch/win32/vs9/sounddrv.vcproj,
	src/arch/win32/vs9/tape.vcproj, src/arch/win32/vs9/tcbm.vcproj,
	src/arch/win32/vs9/userport.vcproj, src/arch/win32/vs9/vdc.vcproj,
	src/arch/win32/vs9/vdrive.vcproj, src/arch/win32/vs9/vic20.vcproj,
	src/arch/win32/vs9/vic20cart.vcproj, src/arch/win32/vs9/vicii.vcproj,
	src/arch/win32/vs9/viciidtv.vcproj, src/arch/win32/vs9/viciisc.vcproj,
	src/arch/win32/vs9/video.vcproj, src/arch/win32/vs9/vsid.vcproj,
	src/arch/win32/vs9/vsidlib.vcproj, src/arch/win32/vs9/x128.vcproj,
	src/arch/win32/vs9/x64.vcproj, src/arch/win32/vs9/x64dtv.vcproj,
	src/arch/win32/vs9/x64sc.vcproj, src/arch/win32/vs9/xcbm2.vcproj,
	src/arch/win32/vs9/xcbm5x0.vcproj, src/arch/win32/vs9/xpet.vcproj,
	src/arch/win32/vs9/xplus4.vcproj, src/arch/win32/vs9/xscpu64.vcproj,
	src/arch/win32/vs9/xvic.vcproj: Finished the msvc9 support.

2013-06-28  Antti S. Lankila <alankila@bel.fi>

	* src/resid/extfilt.cc, src/resid/extfilt.h: Adjust highpass filter
	cutoff to 15.9 Hz as designed. Leandro Nini spotted that a 10 kOhm
	resistor was used to calculate the highpass filter whereas the value
	was supposed to be 1 kOhm.

2013-06-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/gnome/uiscreenshot.c: do not use lib_free on
	pointers not allocated by lib_malloc, it will break when using debug
	config

2013-06-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs8/monitor.vcproj, src/arch/win32/vs8/plus4.vcproj,
	src/arch/win32/vs8/_vice.vcproj, src/arch/win32/vs8/arch.vcproj,
	src/arch/win32/vs8/base.vcproj, src/arch/win32/vs8/c128.vcproj,
	src/arch/win32/vs8/c1541.vcproj, src/arch/win32/vs8/c64.vcproj,
	src/arch/win32/vs8/c64c128.vcproj,
	src/arch/win32/vs8/c64c64dtv.vcproj,
	src/arch/win32/vs8/c64cart.vcproj,
	src/arch/win32/vs8/c64cartsystem.vcproj,
	src/arch/win32/vs8/c64commoncart.vcproj,
	src/arch/win32/vs8/c64dtv.vcproj,
	src/arch/win32/vs8/c64dtvstubs.vcproj,
	src/arch/win32/vs8/c64exp.vcproj, src/arch/win32/vs8/c64sc.vcproj,
	src/arch/win32/vs8/c64scpu64.vcproj,
	src/arch/win32/vs8/cartconv.vcproj, src/arch/win32/vs8/cbm2.vcproj,
	src/arch/win32/vs8/cbm2common.vcproj,
	src/arch/win32/vs8/cbm5x0.vcproj, src/arch/win32/vs8/core.vcproj,
	src/arch/win32/vs8/crtc.vcproj, src/arch/win32/vs8/diskimage.vcproj,
	src/arch/win32/vs8/drive.vcproj, src/arch/win32/vs8/fileio.vcproj,
	src/arch/win32/vs8/fsdevice.vcproj,
	src/arch/win32/vs8/geninfocontrib.vcproj,
	src/arch/win32/vs8/genmsvcver.vcproj,
	src/arch/win32/vs8/gentranslate.vcproj,
	src/arch/win32/vs8/genwinres.vcproj,
	src/arch/win32/vs8/gfxoutputdrv.vcproj, src/arch/win32/vs8/iec.vcproj,
	src/arch/win32/vs8/iec128dcr.vcproj, src/arch/win32/vs8/iecbus.vcproj,
	src/arch/win32/vs8/iecieee.vcproj, src/arch/win32/vs8/ieee.vcproj,
	src/arch/win32/vs8/imagecontents.vcproj,
	src/arch/win32/vs8/p64.vcproj, src/arch/win32/vs8/parallel.vcproj,
	src/arch/win32/vs8/pet.vcproj, src/arch/win32/vs8/petcat.vcproj,
	src/arch/win32/vs8/platform.vcproj,
	src/arch/win32/vs8/plus4exp.vcproj,
	src/arch/win32/vs8/printerdrv.vcproj,
	src/arch/win32/vs8/raster.vcproj, src/arch/win32/vs8/resid.vcproj,
	src/arch/win32/vs8/residdtv.vcproj, src/arch/win32/vs8/residfp.vcproj,
	src/arch/win32/vs8/rs232drv.vcproj, src/arch/win32/vs8/rtc.vcproj,
	src/arch/win32/vs8/scpu64.vcproj, src/arch/win32/vs8/serial.vcproj,
	src/arch/win32/vs8/sid.vcproj, src/arch/win32/vs8/sounddrv.vcproj,
	src/arch/win32/vs8/tape.vcproj, src/arch/win32/vs8/tcbm.vcproj,
	src/arch/win32/vs8/userport.vcproj, src/arch/win32/vs8/vdc.vcproj,
	src/arch/win32/vs8/vdrive.vcproj, src/arch/win32/vs8/vic20.vcproj,
	src/arch/win32/vs8/vic20cart.vcproj, src/arch/win32/vs8/vicii.vcproj,
	src/arch/win32/vs8/viciidtv.vcproj, src/arch/win32/vs8/viciisc.vcproj,
	src/arch/win32/vs8/video.vcproj, src/arch/win32/vs8/vsid.vcproj,
	src/arch/win32/vs8/vsidlib.vcproj, src/arch/win32/vs8/x128.vcproj,
	src/arch/win32/vs8/x64.vcproj, src/arch/win32/vs8/x64dtv.vcproj,
	src/arch/win32/vs8/x64sc.vcproj, src/arch/win32/vs8/xcbm2.vcproj,
	src/arch/win32/vs8/xcbm5x0.vcproj, src/arch/win32/vs8/xpet.vcproj,
	src/arch/win32/vs8/xplus4.vcproj, src/arch/win32/vs8/xscpu64.vcproj,
	src/arch/win32/vs8/xvic.vcproj: Fixed a generation error.

2013-06-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs9/monitor.vcproj, src/arch/win32/vs9/plus4.vcproj,
	src/arch/win32/vs9/vice.sln, src/arch/win32/vs9/_vice.vcproj,
	src/arch/win32/vs9/arch.vcproj, src/arch/win32/vs9/base.vcproj,
	src/arch/win32/vs9/c128.vcproj, src/arch/win32/vs9/c1541.vcproj,
	src/arch/win32/vs9/c64.vcproj, src/arch/win32/vs9/c64c128.vcproj,
	src/arch/win32/vs9/c64c64dtv.vcproj,
	src/arch/win32/vs9/c64cart.vcproj,
	src/arch/win32/vs9/c64cartsystem.vcproj,
	src/arch/win32/vs9/c64commoncart.vcproj,
	src/arch/win32/vs9/c64dtv.vcproj,
	src/arch/win32/vs9/c64dtvstubs.vcproj,
	src/arch/win32/vs9/c64exp.vcproj, src/arch/win32/vs9/c64sc.vcproj,
	src/arch/win32/vs9/c64scpu64.vcproj,
	src/arch/win32/vs9/cartconv.vcproj, src/arch/win32/vs9/cbm2.vcproj,
	src/arch/win32/vs9/cbm2common.vcproj,
	src/arch/win32/vs9/cbm5x0.vcproj, src/arch/win32/vs9/core.vcproj,
	src/arch/win32/vs9/crtc.vcproj, src/arch/win32/vs9/diskimage.vcproj,
	src/arch/win32/vs9/drive.vcproj, src/arch/win32/vs9/fileio.vcproj,
	src/arch/win32/vs9/fsdevice.vcproj,
	src/arch/win32/vs9/geninfocontrib.vcproj,
	src/arch/win32/vs9/genmsvcver.vcproj,
	src/arch/win32/vs9/gentranslate.vcproj,
	src/arch/win32/vs9/genwinres.vcproj,
	src/arch/win32/vs9/gfxoutputdrv.vcproj,
	src/arch/win32/vs9/iec.vcproj, src/arch/win32/vs9/iec128dcr.vcproj,
	src/arch/win32/vs9/iecbus.vcproj, src/arch/win32/vs9/iecieee.vcproj,
	src/arch/win32/vs9/ieee.vcproj,
	src/arch/win32/vs9/imagecontents.vcproj,
	src/arch/win32/vs9/p64.vcproj, src/arch/win32/vs9/parallel.vcproj,
	src/arch/win32/vs9/pet.vcproj, src/arch/win32/vs9/petcat.vcproj,
	src/arch/win32/vs9/platform.vcproj,
	src/arch/win32/vs9/plus4exp.vcproj,
	src/arch/win32/vs9/printerdrv.vcproj,
	src/arch/win32/vs9/raster.vcproj, src/arch/win32/vs9/resid.vcproj,
	src/arch/win32/vs9/residdtv.vcproj, src/arch/win32/vs9/residfp.vcproj,
	src/arch/win32/vs9/rs232drv.vcproj, src/arch/win32/vs9/rtc.vcproj,
	src/arch/win32/vs9/scpu64.vcproj, src/arch/win32/vs9/serial.vcproj,
	src/arch/win32/vs9/sid.vcproj, src/arch/win32/vs9/sounddrv.vcproj,
	src/arch/win32/vs9/tape.vcproj, src/arch/win32/vs9/tcbm.vcproj,
	src/arch/win32/vs9/userport.vcproj, src/arch/win32/vs9/vdc.vcproj,
	src/arch/win32/vs9/vdrive.vcproj, src/arch/win32/vs9/vic20.vcproj,
	src/arch/win32/vs9/vic20cart.vcproj, src/arch/win32/vs9/vicii.vcproj,
	src/arch/win32/vs9/viciidtv.vcproj, src/arch/win32/vs9/viciisc.vcproj,
	src/arch/win32/vs9/video.vcproj, src/arch/win32/vs9/vsid.vcproj,
	src/arch/win32/vs9/vsidlib.vcproj, src/arch/win32/vs9/x128.vcproj,
	src/arch/win32/vs9/x64.vcproj, src/arch/win32/vs9/x64dtv.vcproj,
	src/arch/win32/vs9/x64sc.vcproj, src/arch/win32/vs9/xcbm2.vcproj,
	src/arch/win32/vs9/xcbm5x0.vcproj, src/arch/win32/vs9/xpet.vcproj,
	src/arch/win32/vs9/xplus4.vcproj, src/arch/win32/vs9/xscpu64.vcproj,
	src/arch/win32/vs9/xvic.vcproj: Replaced msvc8 project files with
	msvc9 project files.

2013-06-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/arch/win32/Makefile.am, src/arch/win32/vs9,
	src/arch/win32/vs9/monitor.vcproj, src/arch/win32/vs9/plus4.vcproj,
	src/arch/win32/vs9/vice.sln, src/arch/win32/vs9/Makefile.am,
	src/arch/win32/vs9/_vice.vcproj, src/arch/win32/vs9/arch.vcproj,
	src/arch/win32/vs9/base.vcproj, src/arch/win32/vs9/c128.vcproj,
	src/arch/win32/vs9/c1541.vcproj, src/arch/win32/vs9/c64.vcproj,
	src/arch/win32/vs9/c64c128.vcproj,
	src/arch/win32/vs9/c64c64dtv.vcproj,
	src/arch/win32/vs9/c64cart.vcproj,
	src/arch/win32/vs9/c64cartsystem.vcproj,
	src/arch/win32/vs9/c64commoncart.vcproj,
	src/arch/win32/vs9/c64dtv.vcproj,
	src/arch/win32/vs9/c64dtvstubs.vcproj,
	src/arch/win32/vs9/c64exp.vcproj, src/arch/win32/vs9/c64sc.vcproj,
	src/arch/win32/vs9/c64scpu64.vcproj,
	src/arch/win32/vs9/cartconv.vcproj, src/arch/win32/vs9/cbm2.vcproj,
	src/arch/win32/vs9/cbm2common.vcproj,
	src/arch/win32/vs9/cbm5x0.vcproj, src/arch/win32/vs9/core.vcproj,
	src/arch/win32/vs9/crtc.vcproj, src/arch/win32/vs9/diskimage.vcproj,
	src/arch/win32/vs9/drive.vcproj, src/arch/win32/vs9/fileio.vcproj,
	src/arch/win32/vs9/fsdevice.vcproj,
	src/arch/win32/vs9/geninfocontrib.vcproj,
	src/arch/win32/vs9/genmsvcver.vcproj,
	src/arch/win32/vs9/gentranslate.vcproj,
	src/arch/win32/vs9/genwinres.vcproj,
	src/arch/win32/vs9/gfxoutputdrv.vcproj, src/arch/win32/vs9/iec.vcproj,
	src/arch/win32/vs9/iec128dcr.vcproj, src/arch/win32/vs9/iecbus.vcproj,
	src/arch/win32/vs9/iecieee.vcproj, src/arch/win32/vs9/ieee.vcproj,
	src/arch/win32/vs9/imagecontents.vcproj,
	src/arch/win32/vs9/make-msvc-bindist.bat,
	src/arch/win32/vs9/p64.vcproj, src/arch/win32/vs9/parallel.vcproj,
	src/arch/win32/vs9/pet.vcproj, src/arch/win32/vs9/petcat.vcproj,
	src/arch/win32/vs9/platform.vcproj,
	src/arch/win32/vs9/plus4exp.vcproj,
	src/arch/win32/vs9/printerdrv.vcproj,
	src/arch/win32/vs9/raster.vcproj, src/arch/win32/vs9/resid.vcproj,
	src/arch/win32/vs9/residdtv.vcproj, src/arch/win32/vs9/residfp.vcproj,
	src/arch/win32/vs9/rs232drv.vcproj, src/arch/win32/vs9/rtc.vcproj,
	src/arch/win32/vs9/scpu64.vcproj, src/arch/win32/vs9/serial.vcproj,
	src/arch/win32/vs9/sid.vcproj, src/arch/win32/vs9/sounddrv.vcproj,
	src/arch/win32/vs9/tape.vcproj, arch/win32/vs9/tcbm.vcproj,
	src/arch/win32/vs9/userport.vcproj, src/arch/win32/vs9/vdc.vcproj,
	src/arch/win32/vs9/vdrive.vcproj, src/arch/win32/vs9/vic20.vcproj,
	src/arch/win32/vs9/vic20cart.vcproj, src/arch/win32/vs9/vicii.vcproj,
	src/arch/win32/vs9/viciidtv.vcproj, src/arch/win32/vs9/viciisc.vcproj,
	src/arch/win32/vs9/video.vcproj, src/arch/win32/vs9/vsid.vcproj,
	src/arch/win32/vs9/vsidlib.vcproj, src/arch/win32/vs9/winid_ia64.bat,
	src/arch/win32/vs9/winid_x64.bat, src/arch/win32/vs9/winid_x86.bat,
	src/arch/win32/vs9/x128.vcproj, src/arch/win32/vs9/x64.vcproj,
	src/arch/win32/vs9/x64dtv.vcproj, src/arch/win32/vs9/x64sc.vcproj,
	src/arch/win32/vs9/xcbm2.vcproj, src/arch/win32/vs9/xcbm5x0.vcproj,
	src/arch/win32/vs9/xpet.vcproj, src/arch/win32/vs9/xplus4.vcproj,
	src/arch/win32/vs9/xscpu64.vcproj, src/arch/win32/vs9/xvic.vcproj:
	Made vs9 directory populated with vs8 project files for now.

2013-06-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/mkmsvc.c, src/arch/win32/vs8/monitor.vcproj,
	src/arch/win32/vs8/plus4.vcproj, src/arch/win32/vs8/vice.sln,
	src/arch/win32/vs8/_vice.vcproj, src/arch/win32/vs8/arch.vcproj,
	src/arch/win32/vs8/base.vcproj, src/arch/win32/vs8/c128.vcproj,
	src/arch/win32/vs8/c1541.vcproj, src/arch/win32/vs8/c64.vcproj,
	src/arch/win32/vs8/c64c128.vcproj,
	src/arch/win32/vs8/c64c64dtv.vcproj,
	src/arch/win32/vs8/c64cart.vcproj,
	src/arch/win32/vs8/c64cartsystem.vcproj,
	src/arch/win32/vs8/c64commoncart.vcproj,
	src/arch/win32/vs8/c64dtv.vcproj,
	src/arch/win32/vs8/c64dtvstubs.vcproj,
	src/arch/win32/vs8/c64exp.vcproj, src/arch/win32/vs8/c64sc.vcproj,
	src/arch/win32/vs8/c64scpu64.vcproj,
	src/arch/win32/vs8/cartconv.vcproj, src/arch/win32/vs8/cbm2.vcproj,
	src/arch/win32/vs8/cbm2common.vcproj,
	src/arch/win32/vs8/cbm5x0.vcproj, src/arch/win32/vs8/core.vcproj,
	src/arch/win32/vs8/crtc.vcproj, src/arch/win32/vs8/diskimage.vcproj,
	src/arch/win32/vs8/drive.vcproj, src/arch/win32/vs8/fileio.vcproj,
	src/arch/win32/vs8/fsdevice.vcproj,
	src/arch/win32/vs8/geninfocontrib.vcproj,
	src/arch/win32/vs8/genmsvcver.vcproj,
	src/arch/win32/vs8/gentranslate.vcproj,
	src/arch/win32/vs8/genwinres.vcproj,
	src/arch/win32/vs8/gfxoutputdrv.vcproj, src/arch/win32/vs8/iec.vcproj,
	src/arch/win32/vs8/iec128dcr.vcproj, src/arch/win32/vs8/iecbus.vcproj,
	src/arch/win32/vs8/iecieee.vcproj, src/arch/win32/vs8/ieee.vcproj,
	src/arch/win32/vs8/imagecontents.vcproj,
	src/arch/win32/vs8/p64.vcproj, src/arch/win32/vs8/parallel.vcproj,
	src/arch/win32/vs8/pet.vcproj, src/arch/win32/vs8/petcat.vcproj,
	src/arch/win32/vs8/platform.vcproj,
	src/arch/win32/vs8/plus4exp.vcproj,
	src/arch/win32/vs8/printerdrv.vcproj,
	src/arch/win32/vs8/raster.vcproj, src/arch/win32/vs8/resid.vcproj,
	src/arch/win32/vs8/residdtv.vcproj, src/arch/win32/vs8/residfp.vcproj,
	src/arch/win32/vs8/rs232drv.vcproj, src/arch/win32/vs8/rtc.vcproj,
	src/arch/win32/vs8/scpu64.vcproj, src/arch/win32/vs8/serial.vcproj,
	src/arch/win32/vs8/sid.vcproj, src/arch/win32/vs8/sounddrv.vcproj,
	src/arch/win32/vs8/tape.vcproj, src/arch/win32/vs8/tcbm.vcproj,
	src/arch/win32/vs8/userport.vcproj, src/arch/win32/vs8/vdc.vcproj,
	src/arch/win32/vs8/vdrive.vcproj, src/arch/win32/vs8/vic20.vcproj,
	src/arch/win32/vs8/vic20cart.vcproj, src/arch/win32/vs8/vicii.vcproj,
	src/arch/win32/vs8/viciidtv.vcproj, src/arch/win32/vs8/viciisc.vcproj,
	src/arch/win32/vs8/video.vcproj, src/arch/win32/vs8/vsid.vcproj,
	src/arch/win32/vs8/vsidlib.vcproj, src/arch/win32/vs8/x128.vcproj,
	src/arch/win32/vs8/x64.vcproj, src/arch/win32/vs8/x64dtv.vcproj,
	src/arch/win32/vs8/x64sc.vcproj, src/arch/win32/vs8/xcbm2.vcproj,
	src/arch/win32/vs8/xcbm5x0.vcproj, src/arch/win32/vs8/xpet.vcproj,
	src/arch/win32/vs8/xplus4.vcproj, src/arch/win32/vs8/xscpu64.vcproj,
	src/arch/win32/vs8/xvic.vcproj: Finished the msvc8 support.

2013-06-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs71/plus4.vcproj, src/arch/win32/vs71/vice.sln,
	src/arch/win32/vs71/c128.vcproj, src/arch/win32/vs71/c64dtv.vcproj,
	src/arch/win32/vs71/c64sc.vcproj,
	src/arch/win32/vs71/cbm2common.vcproj,
	src/arch/win32/vs71/drive.vcproj, src/arch/win32/vs71/pet.vcproj,
	src/arch/win32/vs71/scpu64.vcproj, src/arch/win32/vs71/vic20.vcproj,
	src/arch/win32/vs71/vsidlib.vcproj, src/arch/win32/vs71/x64.vcproj,
	src/arch/win32/vs71/xpet.vcproj: Updated msvc7.1 project files to
	treat cpu type source files as regulars ones.

2013-06-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs70/plus4.vcproj, src/arch/win32/vs70/c128.vcproj,
	src/arch/win32/vs70/c64dtv.vcproj, src/arch/win32/vs70/c64sc.vcproj,
	src/arch/win32/vs70/cbm2common.vcproj,
	src/arch/win32/vs70/drive.vcproj, src/arch/win32/vs70/pet.vcproj,
	src/arch/win32/vs70/scpu64.vcproj, src/arch/win32/vs70/vic20.vcproj,
	src/arch/win32/vs70/vsidlib.vcproj, src/arch/win32/vs70/x64.vcproj,
	src/arch/win32/vs70/xpet.vcproj: Updated msvc7.0 project files to
	treat cpu type source files as regulars ones.

2013-06-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/mkmsvc.c, configure.proto,
	src/arch/win32/Makefile.am, src/arch/win32/vs8,
	src/arch/win32/vs8/winid_ia64.bat, src/arch/win32/vs8/winid_x64.bat,
	src/arch/win32/vs8/winid_x86.bat, src/arch/win32/msvc/ide-config.h,
	src/platform/platform_discovery.h, src/arch/win32/vs71/vice.sln,
	src/arch/win32/vs8/monitor.vcproj, src/arch/win32/vs8/plus4.vcproj,
	src/arch/win32/vs8/vice.sln, src/arch/win32/vs8/_vice.vcproj,
	src/arch/win32/vs8/arch.vcproj, src/arch/win32/vs8/base.vcproj,
	src/arch/win32/vs8/c128.vcproj, src/arch/win32/vs8/c1541.vcproj,
	src/arch/win32/vs8/c64.vcproj, src/arch/win32/vs8/c64c128.vcproj,
	src/arch/win32/vs8/c64c64dtv.vcproj,
	src/arch/win32/vs8/c64cart.vcproj,
	src/arch/win32/vs8/c64cartsystem.vcproj,
	src/arch/win32/vs8/c64commoncart.vcproj,
	src/arch/win32/vs8/c64dtv.vcproj,
	src/arch/win32/vs8/c64dtvstubs.vcproj,
	src/arch/win32/vs8/c64exp.vcproj, src/arch/win32/vs8/c64sc.vcproj,
	src/arch/win32/vs8/c64scpu64.vcproj,
	src/arch/win32/vs8/cartconv.vcproj, src/arch/win32/vs8/cbm2.vcproj,
	src/arch/win32/vs8/cbm2common.vcproj,
	src/arch/win32/vs8/cbm5x0.vcproj, src/arch/win32/vs8/core.vcproj,
	src/arch/win32/vs8/crtc.vcproj, src/arch/win32/vs8/diskimage.vcproj,
	src/arch/win32/vs8/drive.vcproj, src/arch/win32/vs8/fileio.vcproj,
	src/arch/win32/vs8/fsdevice.vcproj,
	src/arch/win32/vs8/geninfocontrib.vcproj,
